
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    int i0 = org.jfree.data.time.SerialDate.SERIAL_UPPER_BOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2958465);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(100, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int i0 = org.jfree.data.time.MonthConstants.SEPTEMBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 9);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    int i0 = org.jfree.data.time.MonthConstants.JUNE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 6);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(2958465, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    int i0 = org.jfree.data.time.SerialDate.SUNDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_SECOND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    boolean b0 = org.jfree.chart.util.ObjectUtilities.isJDK14();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b0 == true);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    java.lang.Class clazz0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Class clazz1 = org.jfree.data.time.RegularTimePeriod.downsize(clazz0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    int i0 = org.jfree.data.time.MonthConstants.MAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 5);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    int i0 = org.jfree.data.time.SerialDate.THIRD_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-460));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("hi!", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    int i0 = org.jfree.data.time.SerialDate.SATURDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 7);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Saturday"+ "'", str1.equals("Saturday"));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    int i0 = org.jfree.data.time.SerialDate.WEDNESDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    int i0 = org.jfree.data.time.MonthConstants.DECEMBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 12);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear((-460));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = new org.jfree.data.time.Month(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    int i0 = org.jfree.data.time.SerialDate.FOLLOWING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    int i0 = org.jfree.data.time.MonthConstants.FEBRUARY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    java.lang.String str0 = org.jfree.chart.util.ObjectUtilities.THREAD_CONTEXT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "ThreadContext"+ "'", str0.equals("ThreadContext"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.jfree.data.time.Year year1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month((-460), year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    int i0 = org.jfree.data.time.MonthConstants.AUGUST;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 8);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceRelativeAsStream("Saturday", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(1, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Nearest"+ "'", str1.equals("Nearest"));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    int i0 = org.jfree.data.time.SerialDate.SECOND_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("Nearest");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    int i0 = org.jfree.data.time.SerialDate.LAST_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-458));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    int i0 = org.jfree.data.time.SerialDate.NEAREST;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year(5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    int i0 = org.jfree.data.time.SerialDate.SERIAL_LOWER_BOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addMonths(3, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addYears((-458), serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    java.lang.Comparable comparable0 = null;
    java.lang.Class clazz3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries(comparable0, "Nearest", "", clazz3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    java.util.Date date0 = null;
    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(date0, timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    int i0 = org.jfree.data.time.SerialDate.MINIMUM_YEAR_SUPPORTED;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1900);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.jfree.chart.util.ObjectUtilities.setClassLoaderSource("Saturday");

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    java.lang.ClassLoader classLoader0 = org.jfree.chart.util.ObjectUtilities.getClassLoader();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(classLoader0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long2 = year0.getFirstMillisecond(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("ThreadContext", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    int i0 = org.jfree.data.time.SerialDate.FOURTH_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    int i0 = org.jfree.data.time.MonthConstants.OCTOBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 10);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_FIRST;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
    int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
    java.util.Date date3 = fixedMillisecond0.getEnd();
    java.util.TimeZone timeZone4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day5 = new org.jfree.data.time.Day(date3, timeZone4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(2016, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_NONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(0, 2, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    int i0 = org.jfree.data.time.SerialDate.PRECEDING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-1));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = serialDate1.getNearestDayOfWeek(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    int i0 = org.jfree.data.time.SerialDate.FRIDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 6);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    boolean b2 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)1456070540561L, (java.lang.Object)1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("2016");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2016);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(3, 9, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("Saturday");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    int i0 = org.jfree.data.time.SerialDate.INCLUDE_BOTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("org.jfree.data.general.SeriesException: Nearest");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(0, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceRelativeAsStream("ThreadContext", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    int i0 = org.jfree.data.time.SerialDate.TUESDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(0, 7, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate4 = serialDate1.getNearestDayOfWeek(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = new org.jfree.data.time.Year((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString((-460));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test075() {}
// Defects4J: flaky method
//   @Test
//   public void test075() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     org.jfree.data.time.Year year3 = new org.jfree.data.time.Year();
//     int i5 = year3.compareTo((java.lang.Object)4);
//     long long6 = year3.getFirstMillisecond();
//     int i7 = year3.getYear();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)year3);
//     java.lang.Class clazz9 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond10 = new org.jfree.data.time.FixedMillisecond();
//     int i12 = fixedMillisecond10.compareTo((java.lang.Object)(short)10);
//     java.util.Date date13 = fixedMillisecond10.getTime();
//     java.util.TimeZone timeZone14 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz9, date13, timeZone14);
//     java.util.TimeZone timeZone16 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(date13, timeZone16);
//     java.lang.String str18 = month17.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month17, 0.0d, false);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long6 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "February 2016"+ "'", str18.equals("February 2016"));
// 
//   }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    java.lang.String[] str_array1 = org.jfree.data.time.SerialDate.getMonths(false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number10 = timeSeries2.getValue((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    int i0 = org.jfree.data.time.MonthConstants.JANUARY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Year year9 = month8.getYear();
    int i11 = month8.compareTo((java.lang.Object)10);
    java.util.Calendar calendar12 = null;
    // The following exception was thrown during execution in test generation
    try {
      month8.peg(calendar12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate4 = serialDate1.getNearestDayOfWeek(3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.addDays(1900, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number5 = timeSeries2.getValue(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    timeSeries2.fireSeriesChanged();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.addPropertyChangeListener(propertyChangeListener5);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries9 = timeSeries2.createCopy((-460), 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    org.jfree.data.time.Year year3 = new org.jfree.data.time.Year();
    int i5 = year3.compareTo((java.lang.Object)4);
    long long6 = year3.getFirstMillisecond();
    int i7 = year3.getYear();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)year3);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(regularTimePeriod9, (java.lang.Number)1456070540581L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2016);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    java.lang.Comparable comparable0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries1 = new org.jfree.data.time.TimeSeries(comparable0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.setMaximumItemAge((-1L));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Collection collection1 = org.jfree.chart.util.ObjectUtilities.deepClone(collection0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Year year9 = new org.jfree.data.time.Year(date4);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = year9.previous();
    java.util.Calendar calendar11 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long12 = year9.getFirstMillisecond(calendar11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod10);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    int i0 = org.jfree.data.time.MonthConstants.NOVEMBER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 11);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long4 = day2.getLastMillisecond(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(100, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    java.util.Calendar calendar9 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long10 = month8.getMiddleMillisecond(calendar9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    int i3 = spreadsheetDate2.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate2.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate5);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate7 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(0, (org.jfree.data.time.SerialDate)spreadsheetDate5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    int i0 = org.jfree.data.time.MonthConstants.JULY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 7);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj1 = org.jfree.chart.util.ObjectUtilities.clone(obj0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() {}
// Defects4J: flaky method
//   @Test
//   public void test098() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }
// 
// 
//     java.lang.Class clazz0 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
//     int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
//     java.util.Date date4 = fixedMillisecond1.getTime();
//     java.util.TimeZone timeZone5 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
//     java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
//     java.lang.String str9 = month8.toString();
//     java.util.Calendar calendar10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = month8.getLastMillisecond(calendar10);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "February 2016"+ "'", str9.equals("February 2016"));
// 
//   }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate4.getNearestDayOfWeek((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = timeSeries2.getDataItem(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem4 = timeSeries2.getDataItem(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    java.lang.String str1 = year0.toString();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long3 = year0.getLastMillisecond(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2016"+ "'", str1.equals("2016"));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    int i0 = org.jfree.data.time.SerialDate.MONDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod4 = timeSeries2.getTimePeriod(8);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.lang.String str0 = org.jfree.chart.util.ObjectUtilities.CLASS_CONTEXT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "ClassContext"+ "'", str0.equals("ClassContext"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceRelativeAsStream("1-January-1900", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResource("Time", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(1900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    timeSeries12.setRangeDescription("hi!");
    timeSeries12.removeAgedItems(false);
    timeSeries12.setRangeDescription("Time");
    // The following exception was thrown during execution in test generation
    try {
      timeSeries12.delete(100, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod5 = timeSeries2.getTimePeriod(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number14 = timeSeries12.getValue(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Collection collection9 = org.jfree.chart.util.ObjectUtilities.deepClone((java.util.Collection)list8);
      org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException");
    } catch (java.lang.CloneNotSupportedException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.CloneNotSupportedException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResource("hi!", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    java.util.Calendar calendar25 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long26 = month12.getLastMillisecond(calendar25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(12, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 31);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate3.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate6 = spreadsheetDate1.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate3.getNearestDayOfWeek(98);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate6);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate3.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate6 = spreadsheetDate1.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate1.getFollowingDayOfWeek(2958465);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate6);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year();
    int i9 = year7.compareTo((java.lang.Object)4);
    int i10 = year7.getYear();
    int i12 = year7.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = year7.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem15 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year7, 0.0d);
    java.lang.Class clazz16 = null;
    java.lang.Class clazz17 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond();
    int i20 = fixedMillisecond18.compareTo((java.lang.Object)(short)10);
    java.util.Date date21 = fixedMillisecond18.getTime();
    java.util.TimeZone timeZone22 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz17, date21, timeZone22);
    java.util.TimeZone timeZone24 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month25 = new org.jfree.data.time.Month(date21, timeZone24);
    java.util.TimeZone timeZone26 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod27 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz16, date21, timeZone26);
    org.jfree.data.time.Day day28 = new org.jfree.data.time.Day(date21);
    org.jfree.data.time.SerialDate serialDate29 = day28.getSerialDate();
    int i30 = timeSeriesDataItem15.compareTo((java.lang.Object)day28);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem15, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long4 = day2.getMiddleMillisecond(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test121() {}
// Defects4J: flaky method
//   @Test
//   public void test121() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     long long1 = fixedMillisecond0.getFirstMillisecond();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long1 == 1456070541779L);
// 
//   }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    int i0 = org.jfree.data.time.SerialDate.FIRST_WEEK_IN_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    int i0 = org.jfree.data.time.SerialDate.MAXIMUM_YEAR_SUPPORTED;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 9999);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = timeSeries2.getTimePeriod((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-459));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    int i0 = org.jfree.data.time.MonthConstants.MARCH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceAsStream("org.jfree.data.general.SeriesException: ThreadContext", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    boolean b9 = timeSeries2.isEmpty();
    timeSeries2.setDomainDescription("org.jfree.data.general.SeriesException: Nearest");
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    boolean b9 = timeSeries2.isEmpty();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem11 = timeSeries2.getDataItem(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
    int i6 = spreadsheetDate1.getDayOfWeek();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate1.getPreviousDayOfWeek((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.jfree.data.time.Year year1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(2016, year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Year year9 = month8.getYear();
    org.jfree.data.time.SerialDate serialDate11 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b12 = month8.equals((java.lang.Object)serialDate11);
    org.jfree.data.time.Year year13 = month8.getYear();
    java.util.Calendar calendar14 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long15 = year13.getFirstMillisecond(calendar14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem13, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test136() {}
// Defects4J: flaky method
//   @Test
//   public void test136() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     java.lang.String str13 = timeSeries12.getDescription();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getTime();
//     long long18 = fixedMillisecond14.getMiddleMillisecond();
//     boolean b20 = fixedMillisecond14.equals((java.lang.Object)"");
//     int i22 = fixedMillisecond14.compareTo((java.lang.Object)2147483647);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries12.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond14, (java.lang.Number)1456070541276L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 1456070542222L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b20 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i22 == 1);
// 
//   }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    org.jfree.data.time.Year year3 = new org.jfree.data.time.Year();
    int i5 = year3.compareTo((java.lang.Object)4);
    long long6 = year3.getFirstMillisecond();
    int i7 = year3.getYear();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)year3);
    org.jfree.data.time.FixedMillisecond fixedMillisecond9 = new org.jfree.data.time.FixedMillisecond();
    int i11 = fixedMillisecond9.compareTo((java.lang.Object)(short)10);
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)fixedMillisecond9);
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
    java.lang.String str16 = timeSeries15.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day19 = new org.jfree.data.time.Day(serialDate18);
    long long20 = day19.getLastMillisecond();
    timeSeries15.delete((org.jfree.data.time.RegularTimePeriod)day19);
    java.lang.Object obj22 = timeSeries15.clone();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries15.createCopy(2, 7);
    java.lang.String str26 = timeSeries25.getDescription();
    java.lang.Class clazz28 = null;
    org.jfree.data.time.TimeSeries timeSeries29 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz28);
    boolean b30 = timeSeries29.getNotify();
    int i31 = timeSeries29.getMaximumItemCount();
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz33);
    java.lang.String str35 = timeSeries34.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate37 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day38 = new org.jfree.data.time.Day(serialDate37);
    long long39 = day38.getLastMillisecond();
    timeSeries34.delete((org.jfree.data.time.RegularTimePeriod)day38);
    java.lang.Object obj41 = timeSeries34.clone();
    org.jfree.data.time.TimeSeries timeSeries44 = timeSeries34.createCopy(2, 7);
    timeSeries44.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries29.addAndOrUpdate(timeSeries44);
    java.lang.String str48 = timeSeries44.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries49 = timeSeries25.addAndOrUpdate(timeSeries44);
    int i50 = fixedMillisecond9.compareTo((java.lang.Object)timeSeries25);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem52 = timeSeries25.getDataItem(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Time"+ "'", str16.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Time"+ "'", str35.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "hi!"+ "'", str48.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.jfree.data.time.Year year1 = new org.jfree.data.time.Year();
    java.lang.String str2 = year1.toString();
    int i3 = year1.getYear();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month4 = new org.jfree.data.time.Month((-460), year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "2016"+ "'", str2.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "November"+ "'", str1.equals("November"));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate5.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate3.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate5);
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.addMonths((-460), (org.jfree.data.time.SerialDate)spreadsheetDate3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString((-460), false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.jfree.data.time.Year year1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month((-1), year1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("November", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("ERROR : Relative To String", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
    int i6 = spreadsheetDate1.getDayOfWeek();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate1.getNearestDayOfWeek((-459));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);

  }

  @Test
  public void test147() {}
// Defects4J: flaky method
//   @Test
//   public void test147() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     boolean b3 = timeSeries2.getNotify();
//     int i4 = timeSeries2.getMaximumItemCount();
//     java.lang.Class clazz6 = null;
//     org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
//     java.lang.String str8 = timeSeries7.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
//     long long12 = day11.getLastMillisecond();
//     timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
//     java.lang.Object obj14 = timeSeries7.clone();
//     org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
//     timeSeries17.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
//     boolean b21 = timeSeries17.isEmpty();
//     boolean b22 = timeSeries17.getNotify();
//     org.jfree.data.time.Year year23 = new org.jfree.data.time.Year();
//     int i25 = year23.compareTo((java.lang.Object)4);
//     int i26 = year23.getYear();
//     int i28 = year23.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod29 = year23.next();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem31 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year23, 0.0d);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond();
//     int i34 = fixedMillisecond32.compareTo((java.lang.Object)(short)10);
//     java.util.Date date35 = fixedMillisecond32.getEnd();
//     java.util.Calendar calendar36 = null;
//     long long37 = fixedMillisecond32.getMiddleMillisecond(calendar36);
//     int i38 = timeSeriesDataItem31.compareTo((java.lang.Object)long37);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries17.add(timeSeriesDataItem31);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b21 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i34 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == 1456070542358L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 1);
// 
//   }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.jfree.chart.util.ObjectUtilities.setClassLoaderSource("Time");

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString((-460));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz2);
    boolean b4 = timeSeries3.getNotify();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem14 = timeSeries3.getDataItem((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.SerialDate serialDate15 = day11.getSerialDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(98, serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(10, 2, 7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    org.jfree.data.time.SerialDate serialDate26 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day27 = new org.jfree.data.time.Day(serialDate26);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod28 = day27.next();
    java.lang.Number number29 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day27);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(0, (java.lang.Number)31);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(0, 3, 9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(7, 8);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)month16, (java.lang.Number)4);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem13);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("org.jfree.data.general.SeriesException: Nearest");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    timeSeries12.setRangeDescription("hi!");
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries17 = timeSeries12.createCopy(10, (-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    int i0 = org.jfree.data.time.SerialDate.THURSDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 5);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Year year9 = month8.getYear();
    int i11 = month8.compareTo((java.lang.Object)10);
    java.util.Calendar calendar12 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long13 = month8.getFirstMillisecond(calendar12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    int i13 = timeSeries12.getMaximumItemCount();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number15 = timeSeries12.getValue(98);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2147483647);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(2, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Feb"+ "'", str2.equals("Feb"));

  }

  @Test
  public void test163() {}
// Defects4J: flaky method
//   @Test
//   public void test163() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }
// 
// 
//     java.lang.Class clazz0 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
//     int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
//     java.util.Date date4 = fixedMillisecond1.getTime();
//     java.util.TimeZone timeZone5 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
//     java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
//     long long9 = month8.getSerialIndex();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 24194L);
// 
//   }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString((-459));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SerialDate serialDate4 = org.jfree.data.time.SerialDate.createInstance(2);
    serialDate4.setDescription("2016");
    int i7 = spreadsheetDate2.compare(serialDate4);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(7, serialDate4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 98);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    java.lang.Class clazz9 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond10 = new org.jfree.data.time.FixedMillisecond();
    int i12 = fixedMillisecond10.compareTo((java.lang.Object)(short)10);
    java.util.Date date13 = fixedMillisecond10.getTime();
    java.util.TimeZone timeZone14 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz9, date13, timeZone14);
    java.util.TimeZone timeZone16 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(date13, timeZone16);
    org.jfree.data.time.Year year18 = new org.jfree.data.time.Year(date13);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = year18.previous();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year18, 0.0d, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod19);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    int i25 = timeSeries2.getItemCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)day10);
    java.util.Calendar calendar14 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long15 = day10.getLastMillisecond(calendar14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem13);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test171() {}
// Defects4J: flaky method
//   @Test
//   public void test171() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Date date3 = fixedMillisecond0.getTime();
//     long long4 = fixedMillisecond0.getMiddleMillisecond();
//     boolean b6 = fixedMillisecond0.equals((java.lang.Object)"");
//     int i8 = fixedMillisecond0.compareTo((java.lang.Object)2147483647);
//     java.util.Calendar calendar9 = null;
//     fixedMillisecond0.peg(calendar9);
//     long long11 = fixedMillisecond0.getSerialIndex();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 1456070542805L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 1456070542805L);
// 
//   }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(1900, (-459));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)day10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number15 = timeSeries2.getValue(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem13);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("Nearest", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long4 = day2.getFirstMillisecond(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    timeSeries12.setRangeDescription("hi!");
    timeSeries12.removeAgedItems(false);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries12.add(regularTimePeriod17, (java.lang.Number)1456070541714L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
    java.lang.String str6 = spreadsheetDate1.getDescription();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(9999);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "SerialDate.weekInMonthToString(): invalid code."+ "'", str1.equals("SerialDate.weekInMonthToString(): invalid code."));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    boolean b4 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)timeSeries2, (java.lang.Object)10.0f);
    java.lang.Class clazz5 = null;
    java.lang.Class clazz6 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond7 = new org.jfree.data.time.FixedMillisecond();
    int i9 = fixedMillisecond7.compareTo((java.lang.Object)(short)10);
    java.util.Date date10 = fixedMillisecond7.getTime();
    java.util.TimeZone timeZone11 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz6, date10, timeZone11);
    java.util.TimeZone timeZone13 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(date10, timeZone13);
    java.util.TimeZone timeZone15 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date10, timeZone15);
    org.jfree.data.time.Day day17 = new org.jfree.data.time.Day(date10);
    org.jfree.data.time.SerialDate serialDate18 = day17.getSerialDate();
    timeSeries2.setKey((java.lang.Comparable)serialDate18);
    org.jfree.data.time.Year year20 = new org.jfree.data.time.Year();
    int i22 = year20.compareTo((java.lang.Object)4);
    int i23 = year20.getYear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update((org.jfree.data.time.RegularTimePeriod)year20, (java.lang.Number)1456070541068L);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2016);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem5 = timeSeries2.addOrUpdate(regularTimePeriod3, (java.lang.Number)1456070541168L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj1 = org.jfree.chart.util.ObjectUtilities.clone((java.lang.Object)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException");
    } catch (java.lang.CloneNotSupportedException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.CloneNotSupportedException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.SerialDate serialDate14 = day10.getSerialDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = serialDate14.getFollowingDayOfWeek(9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries12.update(8, (java.lang.Number)1L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    org.jfree.data.time.Year year37 = new org.jfree.data.time.Year();
    int i39 = year37.compareTo((java.lang.Object)4);
    long long40 = year37.getFirstMillisecond();
    int i41 = year37.getYear();
    java.lang.String str42 = year37.toString();
    java.lang.Number number43 = timeSeries31.getValue((org.jfree.data.time.RegularTimePeriod)year37);
    java.util.List list44 = timeSeries31.getItems();
    java.lang.Comparable comparable45 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries31.setKey(comparable45);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "2016"+ "'", str42.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list44);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceAsStream("2016", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Year year9 = month8.getYear();
    org.jfree.data.time.SerialDate serialDate11 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b12 = month8.equals((java.lang.Object)serialDate11);
    java.lang.String str13 = serialDate11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1-January-1900"+ "'", str13.equals("1-January-1900"));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, 8);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year3 = month2.getYear();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-458));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz1 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond2 = new org.jfree.data.time.FixedMillisecond();
    int i4 = fixedMillisecond2.compareTo((java.lang.Object)(short)10);
    java.util.Date date5 = fixedMillisecond2.getTime();
    java.util.TimeZone timeZone6 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz1, date5, timeZone6);
    java.util.TimeZone timeZone8 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(date5, timeZone8);
    java.util.TimeZone timeZone10 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date5, timeZone10);
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day(date5);
    org.jfree.data.time.SerialDate serialDate13 = day12.getSerialDate();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod14 = day12.next();
    java.util.Calendar calendar15 = null;
    // The following exception was thrown during execution in test generation
    try {
      day12.peg(calendar15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod14);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    org.jfree.data.time.TimeSeries timeSeries13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Collection collection14 = timeSeries12.getTimePeriodsUniqueToOtherSeries(timeSeries13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test193() {}
// Defects4J: flaky method
//   @Test
//   public void test193() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.String str9 = timeSeries2.getRangeDescription();
//     org.jfree.data.time.Year year10 = new org.jfree.data.time.Year();
//     int i12 = year10.compareTo((java.lang.Object)4);
//     int i13 = year10.getYear();
//     int i15 = year10.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = year10.next();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem18 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year10, 0.0d);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond19 = new org.jfree.data.time.FixedMillisecond();
//     int i21 = fixedMillisecond19.compareTo((java.lang.Object)(short)10);
//     java.util.Date date22 = fixedMillisecond19.getEnd();
//     java.util.Calendar calendar23 = null;
//     long long24 = fixedMillisecond19.getMiddleMillisecond(calendar23);
//     int i25 = timeSeriesDataItem18.compareTo((java.lang.Object)long24);
//     java.lang.Number number26 = timeSeriesDataItem18.getValue();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add(timeSeriesDataItem18, false);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Value"+ "'", str9.equals("Value"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == 1456070543361L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + number26 + "' != '" + 0.0d+ "'", number26.equals(0.0d));
// 
//   }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz1 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond2 = new org.jfree.data.time.FixedMillisecond();
    int i4 = fixedMillisecond2.compareTo((java.lang.Object)(short)10);
    java.util.Date date5 = fixedMillisecond2.getTime();
    java.util.TimeZone timeZone6 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz1, date5, timeZone6);
    java.util.TimeZone timeZone8 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(date5, timeZone8);
    java.util.TimeZone timeZone10 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date5, timeZone10);
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day(date5);
    org.jfree.data.time.SerialDate serialDate13 = day12.getSerialDate();
    java.util.Calendar calendar14 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long15 = day12.getFirstMillisecond(calendar14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    boolean b4 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)timeSeries2, (java.lang.Object)10.0f);
    java.lang.Class clazz5 = null;
    java.lang.Class clazz6 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond7 = new org.jfree.data.time.FixedMillisecond();
    int i9 = fixedMillisecond7.compareTo((java.lang.Object)(short)10);
    java.util.Date date10 = fixedMillisecond7.getTime();
    java.util.TimeZone timeZone11 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz6, date10, timeZone11);
    java.util.TimeZone timeZone13 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(date10, timeZone13);
    java.util.TimeZone timeZone15 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date10, timeZone15);
    org.jfree.data.time.Day day17 = new org.jfree.data.time.Day(date10);
    org.jfree.data.time.SerialDate serialDate18 = day17.getSerialDate();
    timeSeries2.setKey((java.lang.Comparable)serialDate18);
    java.lang.Class clazz20 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond();
    int i23 = fixedMillisecond21.compareTo((java.lang.Object)(short)10);
    java.util.Date date24 = fixedMillisecond21.getTime();
    java.util.TimeZone timeZone25 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod26 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz20, date24, timeZone25);
    java.util.TimeZone timeZone27 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(date24, timeZone27);
    org.jfree.data.time.Year year29 = month28.getYear();
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b32 = month28.equals((java.lang.Object)serialDate31);
    org.jfree.data.time.Year year33 = month28.getYear();
    java.lang.Number number34 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)year33);
    timeSeries2.setRangeDescription("");
    org.jfree.data.time.Year year37 = new org.jfree.data.time.Year();
    int i39 = year37.compareTo((java.lang.Object)4);
    long long40 = year37.getFirstMillisecond();
    int i41 = year37.getYear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year37, (-1.0d), false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long40 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2016);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.jfree.chart.util.ObjectUtilities.setClassLoaderSource("November");

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries36.delete((-459), (-459));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    java.lang.Class clazz0 = null;
    java.util.Date date1 = null;
    java.util.TimeZone timeZone2 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date1, timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod3);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    timeSeries2.fireSeriesChanged();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = timeSeries2.getTimePeriod(9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem8 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year0, 0.0d);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = timeSeriesDataItem8.getPeriod();
    java.util.Calendar calendar10 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long11 = regularTimePeriod9.getMiddleMillisecond(calendar10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod9);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.jfree.data.time.RegularTimePeriod regularTimePeriod0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem2 = new org.jfree.data.time.TimeSeriesDataItem(regularTimePeriod0, (java.lang.Number)21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    java.lang.Class clazz38 = null;
    org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
    boolean b40 = timeSeries39.getNotify();
    int i41 = timeSeries39.getMaximumItemCount();
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
    java.lang.String str45 = timeSeries44.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
    long long49 = day48.getLastMillisecond();
    timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
    java.lang.Object obj51 = timeSeries44.clone();
    org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
    timeSeries54.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
    boolean b58 = timeSeries54.isEmpty();
    boolean b59 = timeSeries54.getNotify();
    org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
    org.jfree.data.time.Year year61 = new org.jfree.data.time.Year();
    int i63 = year61.compareTo((java.lang.Object)4);
    int i64 = year61.getYear();
    int i66 = year61.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod67 = year61.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem69 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year61, 0.0d);
    java.lang.Class clazz70 = null;
    java.lang.Class clazz71 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond72 = new org.jfree.data.time.FixedMillisecond();
    int i74 = fixedMillisecond72.compareTo((java.lang.Object)(short)10);
    java.util.Date date75 = fixedMillisecond72.getTime();
    java.util.TimeZone timeZone76 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod77 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz71, date75, timeZone76);
    java.util.TimeZone timeZone78 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month79 = new org.jfree.data.time.Month(date75, timeZone78);
    java.util.TimeZone timeZone80 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod81 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz70, date75, timeZone80);
    org.jfree.data.time.Day day82 = new org.jfree.data.time.Day(date75);
    org.jfree.data.time.SerialDate serialDate83 = day82.getSerialDate();
    int i84 = timeSeriesDataItem69.compareTo((java.lang.Object)day82);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries36.add(timeSeriesDataItem69, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Thursday"+ "'", str1.equals("Thursday"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = day2.next();
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      day2.peg(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate7 = new org.jfree.data.time.SpreadsheetDate(100);
    int i8 = spreadsheetDate7.getDayOfWeek();
    boolean b9 = spreadsheetDate4.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate7);
    // The following exception was thrown during execution in test generation
    try {
      int i11 = spreadsheetDate7.compareTo((java.lang.Object)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day1 = new org.jfree.data.time.Day(date0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.lang.ClassLoader classLoader0 = null;
    org.jfree.chart.util.ObjectUtilities.setClassLoader(classLoader0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)day10);
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate20 = new org.jfree.data.time.SpreadsheetDate(100);
    int i21 = spreadsheetDate20.getDayOfWeek();
    java.lang.Class clazz22 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond23 = new org.jfree.data.time.FixedMillisecond();
    int i25 = fixedMillisecond23.compareTo((java.lang.Object)(short)10);
    java.util.Date date26 = fixedMillisecond23.getTime();
    java.util.TimeZone timeZone27 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod28 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz22, date26, timeZone27);
    java.util.TimeZone timeZone29 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month30 = new org.jfree.data.time.Month(date26, timeZone29);
    boolean b31 = spreadsheetDate20.equals((java.lang.Object)timeZone29);
    org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(date18, timeZone29);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent33 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date18);
    org.jfree.data.time.FixedMillisecond fixedMillisecond34 = new org.jfree.data.time.FixedMillisecond();
    int i36 = fixedMillisecond34.compareTo((java.lang.Object)(short)10);
    java.util.Date date37 = fixedMillisecond34.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate39 = new org.jfree.data.time.SpreadsheetDate(100);
    int i40 = spreadsheetDate39.getDayOfWeek();
    java.lang.Class clazz41 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond42 = new org.jfree.data.time.FixedMillisecond();
    int i44 = fixedMillisecond42.compareTo((java.lang.Object)(short)10);
    java.util.Date date45 = fixedMillisecond42.getTime();
    java.util.TimeZone timeZone46 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod47 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz41, date45, timeZone46);
    java.util.TimeZone timeZone48 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(date45, timeZone48);
    boolean b50 = spreadsheetDate39.equals((java.lang.Object)timeZone48);
    org.jfree.data.time.Month month51 = new org.jfree.data.time.Month(date37, timeZone48);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent52 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date37);
    org.jfree.data.time.FixedMillisecond fixedMillisecond53 = new org.jfree.data.time.FixedMillisecond();
    int i55 = fixedMillisecond53.compareTo((java.lang.Object)(short)10);
    java.util.Date date56 = fixedMillisecond53.getTime();
    java.lang.Class clazz57 = null;
    java.lang.Class clazz58 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond59 = new org.jfree.data.time.FixedMillisecond();
    int i61 = fixedMillisecond59.compareTo((java.lang.Object)(short)10);
    java.util.Date date62 = fixedMillisecond59.getTime();
    java.util.TimeZone timeZone63 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod64 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz58, date62, timeZone63);
    java.util.TimeZone timeZone65 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month66 = new org.jfree.data.time.Month(date62, timeZone65);
    java.util.TimeZone timeZone67 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod68 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz57, date62, timeZone67);
    org.jfree.data.time.Day day69 = new org.jfree.data.time.Day(date56, timeZone67);
    org.jfree.data.time.Month month70 = new org.jfree.data.time.Month(date37, timeZone67);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod71 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone67);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate73 = new org.jfree.data.time.SpreadsheetDate(100);
    int i74 = spreadsheetDate73.getDayOfWeek();
    java.lang.Class clazz75 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond76 = new org.jfree.data.time.FixedMillisecond();
    int i78 = fixedMillisecond76.compareTo((java.lang.Object)(short)10);
    java.util.Date date79 = fixedMillisecond76.getTime();
    java.util.TimeZone timeZone80 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod81 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz75, date79, timeZone80);
    java.util.TimeZone timeZone82 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month83 = new org.jfree.data.time.Month(date79, timeZone82);
    boolean b84 = spreadsheetDate73.equals((java.lang.Object)timeZone82);
    org.jfree.data.time.Year year85 = new org.jfree.data.time.Year(date18, timeZone82);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year85, (java.lang.Number)1900, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("Nearest", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj1 = org.jfree.chart.util.ObjectUtilities.clone((java.lang.Object)12);
      org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException");
    } catch (java.lang.CloneNotSupportedException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.CloneNotSupportedException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(8, 9999, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(98, 2016, 2958465);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    org.jfree.data.time.SerialDate serialDate26 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day27 = new org.jfree.data.time.Day(serialDate26);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod28 = day27.next();
    java.lang.Number number29 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)day27);
    org.jfree.data.time.Year year30 = new org.jfree.data.time.Year();
    int i32 = year30.compareTo((java.lang.Object)4);
    int i33 = year30.getYear();
    int i35 = year30.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = year30.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem38 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year30, 0.0d);
    java.lang.Object obj39 = null;
    int i40 = timeSeriesDataItem38.compareTo(obj39);
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz42);
    boolean b44 = timeSeries43.getNotify();
    java.lang.Class clazz45 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond46 = new org.jfree.data.time.FixedMillisecond();
    int i48 = fixedMillisecond46.compareTo((java.lang.Object)(short)10);
    java.util.Date date49 = fixedMillisecond46.getTime();
    java.util.TimeZone timeZone50 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod51 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz45, date49, timeZone50);
    java.util.TimeZone timeZone52 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(date49, timeZone52);
    org.jfree.data.time.Year year54 = month53.getYear();
    java.lang.Class clazz55 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond56 = new org.jfree.data.time.FixedMillisecond();
    int i58 = fixedMillisecond56.compareTo((java.lang.Object)(short)10);
    java.util.Date date59 = fixedMillisecond56.getTime();
    java.util.TimeZone timeZone60 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod61 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz55, date59, timeZone60);
    java.util.TimeZone timeZone62 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month63 = new org.jfree.data.time.Month(date59, timeZone62);
    org.jfree.data.time.Year year64 = month63.getYear();
    org.jfree.data.time.TimeSeries timeSeries65 = timeSeries43.createCopy((org.jfree.data.time.RegularTimePeriod)month53, (org.jfree.data.time.RegularTimePeriod)year64);
    int i66 = timeSeriesDataItem38.compareTo((java.lang.Object)month53);
    timeSeries2.setKey((java.lang.Comparable)i66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 1);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth((-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.jfree.data.general.SeriesException seriesException1 = new org.jfree.data.general.SeriesException("Nearest");
    java.lang.String str2 = seriesException1.toString();
    java.lang.Throwable[] throwable_array3 = seriesException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.jfree.data.general.SeriesException: Nearest"+ "'", str2.equals("org.jfree.data.general.SeriesException: Nearest"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    java.util.Calendar calendar9 = null;
    // The following exception was thrown during execution in test generation
    try {
      month8.peg(calendar9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("21-February-2016", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem8 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year0, 0.0d);
    java.util.Calendar calendar9 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long10 = year0.getFirstMillisecond(calendar9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.jfree.data.time.Month month0 = new org.jfree.data.time.Month();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      month0.peg(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    boolean b4 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)timeSeries2, (java.lang.Object)10.0f);
    java.lang.Class clazz5 = null;
    java.lang.Class clazz6 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond7 = new org.jfree.data.time.FixedMillisecond();
    int i9 = fixedMillisecond7.compareTo((java.lang.Object)(short)10);
    java.util.Date date10 = fixedMillisecond7.getTime();
    java.util.TimeZone timeZone11 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz6, date10, timeZone11);
    java.util.TimeZone timeZone13 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(date10, timeZone13);
    java.util.TimeZone timeZone15 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date10, timeZone15);
    org.jfree.data.time.Day day17 = new org.jfree.data.time.Day(date10);
    org.jfree.data.time.SerialDate serialDate18 = day17.getSerialDate();
    timeSeries2.setKey((java.lang.Comparable)serialDate18);
    java.lang.Class clazz20 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond();
    int i23 = fixedMillisecond21.compareTo((java.lang.Object)(short)10);
    java.util.Date date24 = fixedMillisecond21.getTime();
    java.util.TimeZone timeZone25 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod26 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz20, date24, timeZone25);
    java.util.TimeZone timeZone27 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(date24, timeZone27);
    org.jfree.data.time.Year year29 = month28.getYear();
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b32 = month28.equals((java.lang.Object)serialDate31);
    org.jfree.data.time.Year year33 = month28.getYear();
    java.lang.Number number34 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)year33);
    org.jfree.data.time.Day day35 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = day35.previous();
    java.lang.Number number37 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(regularTimePeriod36, number37);
      org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
    } catch (org.jfree.data.general.SeriesException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod36);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month((-459), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(9999);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1964);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    org.jfree.data.time.TimeSeries timeSeries9 = timeSeries2.createCopy(12, 98);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem11 = timeSeries9.getDataItem(21);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries9);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(0, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() {}
// Defects4J: flaky method
//   @Test
//   public void test227() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     int i4 = timeSeries2.getItemCount();
//     java.beans.PropertyChangeListener propertyChangeListener5 = null;
//     timeSeries2.removePropertyChangeListener(propertyChangeListener5);
//     int i7 = timeSeries2.getMaximumItemCount();
//     java.util.List list8 = timeSeries2.getItems();
//     boolean b9 = timeSeries2.isEmpty();
//     timeSeries2.setDomainDescription("org.jfree.data.general.SeriesException: Nearest");
//     org.jfree.data.time.FixedMillisecond fixedMillisecond12 = new org.jfree.data.time.FixedMillisecond();
//     int i14 = fixedMillisecond12.compareTo((java.lang.Object)(short)10);
//     long long15 = fixedMillisecond12.getMiddleMillisecond();
//     long long16 = fixedMillisecond12.getMiddleMillisecond();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond12, (java.lang.Number)1456070540629L, true);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 1456070544068L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == 1456070544068L);
// 
//   }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test229() {}
// Defects4J: flaky method
//   @Test
//   public void test229() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     java.lang.String str13 = timeSeries12.getDescription();
//     java.lang.Class clazz15 = null;
//     org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
//     boolean b17 = timeSeries16.getNotify();
//     int i18 = timeSeries16.getMaximumItemCount();
//     java.lang.Class clazz20 = null;
//     org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
//     java.lang.String str22 = timeSeries21.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
//     long long26 = day25.getLastMillisecond();
//     timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
//     java.lang.Object obj28 = timeSeries21.clone();
//     org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
//     timeSeries31.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
//     java.lang.String str35 = timeSeries31.getRangeDescription();
//     org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
//     java.lang.Class clazz38 = null;
//     org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
//     boolean b40 = timeSeries39.getNotify();
//     int i41 = timeSeries39.getMaximumItemCount();
//     java.lang.Class clazz43 = null;
//     org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
//     java.lang.String str45 = timeSeries44.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
//     long long49 = day48.getLastMillisecond();
//     timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
//     java.lang.Object obj51 = timeSeries44.clone();
//     org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
//     timeSeries54.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
//     boolean b58 = timeSeries54.isEmpty();
//     boolean b59 = timeSeries54.getNotify();
//     org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond61 = new org.jfree.data.time.FixedMillisecond();
//     int i63 = fixedMillisecond61.compareTo((java.lang.Object)(short)10);
//     long long64 = fixedMillisecond61.getMiddleMillisecond();
//     long long65 = fixedMillisecond61.getMiddleMillisecond();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries60.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond61, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long26 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long49 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b58 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b59 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long64 == 1456070544123L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long65 == 1456070544123L);
// 
//   }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
    int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
    java.util.Date date3 = fixedMillisecond0.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    int i6 = spreadsheetDate5.getDayOfWeek();
    java.lang.Class clazz7 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond8 = new org.jfree.data.time.FixedMillisecond();
    int i10 = fixedMillisecond8.compareTo((java.lang.Object)(short)10);
    java.util.Date date11 = fixedMillisecond8.getTime();
    java.util.TimeZone timeZone12 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz7, date11, timeZone12);
    java.util.TimeZone timeZone14 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(date11, timeZone14);
    boolean b16 = spreadsheetDate5.equals((java.lang.Object)timeZone14);
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(date3, timeZone14);
    java.util.Calendar calendar18 = null;
    // The following exception was thrown during execution in test generation
    try {
      month17.peg(calendar18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem8 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year0, 0.0d);
    java.lang.Object obj9 = null;
    int i10 = timeSeriesDataItem8.compareTo(obj9);
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz12);
    boolean b14 = timeSeries13.getNotify();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond();
    int i18 = fixedMillisecond16.compareTo((java.lang.Object)(short)10);
    java.util.Date date19 = fixedMillisecond16.getTime();
    java.util.TimeZone timeZone20 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz15, date19, timeZone20);
    java.util.TimeZone timeZone22 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(date19, timeZone22);
    org.jfree.data.time.Year year24 = month23.getYear();
    java.lang.Class clazz25 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond();
    int i28 = fixedMillisecond26.compareTo((java.lang.Object)(short)10);
    java.util.Date date29 = fixedMillisecond26.getTime();
    java.util.TimeZone timeZone30 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz25, date29, timeZone30);
    java.util.TimeZone timeZone32 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(date29, timeZone32);
    org.jfree.data.time.Year year34 = month33.getYear();
    org.jfree.data.time.TimeSeries timeSeries35 = timeSeries13.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)year34);
    int i36 = timeSeriesDataItem8.compareTo((java.lang.Object)month23);
    java.util.Calendar calendar37 = null;
    // The following exception was thrown during execution in test generation
    try {
      month23.peg(calendar37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem11 = timeSeries2.addOrUpdate(regularTimePeriod9, (java.lang.Number)1456070544060L);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    java.lang.String str0 = org.jfree.chart.util.ObjectUtilities.getClassLoaderSource();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str0 + "' != '" + "November"+ "'", str0.equals("November"));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(5);
    java.lang.String str2 = serialDate1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate4 = serialDate1.getPreviousDayOfWeek(1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "4-January-1900"+ "'", str2.equals("4-January-1900"));

  }

  @Test
  public void test236() {}
// Defects4J: flaky method
//   @Test
//   public void test236() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     java.lang.Class clazz13 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getTime();
//     java.util.TimeZone timeZone18 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz13, date17, timeZone18);
//     java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(date17, timeZone20);
//     java.lang.String str22 = month21.toString();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem24 = timeSeries12.addOrUpdate((org.jfree.data.time.RegularTimePeriod)month21, (java.lang.Number)8);
//     java.lang.String str25 = timeSeries12.getDomainDescription();
//     java.lang.Class clazz26 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond27 = new org.jfree.data.time.FixedMillisecond();
//     int i29 = fixedMillisecond27.compareTo((java.lang.Object)(short)10);
//     java.util.Date date30 = fixedMillisecond27.getTime();
//     java.util.TimeZone timeZone31 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod32 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz26, date30, timeZone31);
//     java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month34 = new org.jfree.data.time.Month(date30, timeZone33);
//     java.lang.String str35 = month34.toString();
//     int i36 = month34.getMonth();
//     org.jfree.data.time.Year year37 = month34.getYear();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod38 = month34.previous();
//     java.lang.Class clazz40 = null;
//     org.jfree.data.time.TimeSeries timeSeries41 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz40);
//     boolean b42 = timeSeries41.getNotify();
//     java.lang.Class clazz43 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond44 = new org.jfree.data.time.FixedMillisecond();
//     int i46 = fixedMillisecond44.compareTo((java.lang.Object)(short)10);
//     java.util.Date date47 = fixedMillisecond44.getTime();
//     java.util.TimeZone timeZone48 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod49 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz43, date47, timeZone48);
//     java.util.TimeZone timeZone50 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month51 = new org.jfree.data.time.Month(date47, timeZone50);
//     org.jfree.data.time.Year year52 = month51.getYear();
//     java.lang.Class clazz53 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond54 = new org.jfree.data.time.FixedMillisecond();
//     int i56 = fixedMillisecond54.compareTo((java.lang.Object)(short)10);
//     java.util.Date date57 = fixedMillisecond54.getTime();
//     java.util.TimeZone timeZone58 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod59 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz53, date57, timeZone58);
//     java.util.TimeZone timeZone60 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(date57, timeZone60);
//     org.jfree.data.time.Year year62 = month61.getYear();
//     org.jfree.data.time.TimeSeries timeSeries63 = timeSeries41.createCopy((org.jfree.data.time.RegularTimePeriod)month51, (org.jfree.data.time.RegularTimePeriod)year62);
//     long long64 = month51.getLastMillisecond();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.jfree.data.time.TimeSeries timeSeries65 = timeSeries12.createCopy(regularTimePeriod38, (org.jfree.data.time.RegularTimePeriod)month51);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "February 2016"+ "'", str22.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Time"+ "'", str25.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "February 2016"+ "'", str35.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long64 == 1456819199999L);
// 
//   }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    java.lang.Class clazz8 = null;
    org.jfree.data.time.TimeSeries timeSeries9 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz8);
    java.lang.String str10 = timeSeries9.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate12 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day(serialDate12);
    long long14 = day13.getLastMillisecond();
    timeSeries9.delete((org.jfree.data.time.RegularTimePeriod)day13);
    java.lang.Object obj16 = timeSeries9.clone();
    org.jfree.data.time.TimeSeries timeSeries19 = timeSeries9.createCopy(2, 7);
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = month22.previous();
    timeSeries9.setKey((java.lang.Comparable)month22);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem26 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month22, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem26, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "Time"+ "'", str10.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod23);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("SerialDate.weekInMonthToString(): invalid code.");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.removeAgedItems(1456070544001L, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(3, (-458), 7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("Feb");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    int i4 = spreadsheetDate3.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate6 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate3.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate6);
    int i8 = spreadsheetDate3.getDayOfWeek();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(1, (org.jfree.data.time.SerialDate)spreadsheetDate3);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(11, (org.jfree.data.time.SerialDate)spreadsheetDate3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate5.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate3.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate5);
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate3);
    java.util.Date date10 = spreadsheetDate3.toDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate11 = org.jfree.data.time.SerialDate.addYears((-460), (org.jfree.data.time.SerialDate)spreadsheetDate3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    timeSeries2.setMaximumItemAge(1456070543177L);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(2016, (java.lang.Number)1456070544380L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    java.lang.String str1 = year0.toString();
    java.lang.Object obj2 = null;
    boolean b3 = year0.equals(obj2);
    int i4 = year0.getYear();
    java.lang.Object obj5 = null;
    boolean b6 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)i4, obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2016"+ "'", str1.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries24.removeAgedItems(0L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResource("", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    int i1 = org.jfree.data.time.SerialDate.monthCodeToQuarter(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(1964);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    boolean b4 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)timeSeries2, (java.lang.Object)10.0f);
    java.lang.Class clazz5 = null;
    java.lang.Class clazz6 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond7 = new org.jfree.data.time.FixedMillisecond();
    int i9 = fixedMillisecond7.compareTo((java.lang.Object)(short)10);
    java.util.Date date10 = fixedMillisecond7.getTime();
    java.util.TimeZone timeZone11 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz6, date10, timeZone11);
    java.util.TimeZone timeZone13 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(date10, timeZone13);
    java.util.TimeZone timeZone15 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date10, timeZone15);
    org.jfree.data.time.Day day17 = new org.jfree.data.time.Day(date10);
    org.jfree.data.time.SerialDate serialDate18 = day17.getSerialDate();
    timeSeries2.setKey((java.lang.Comparable)serialDate18);
    java.lang.Class clazz20 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond();
    int i23 = fixedMillisecond21.compareTo((java.lang.Object)(short)10);
    java.util.Date date24 = fixedMillisecond21.getTime();
    java.util.TimeZone timeZone25 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod26 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz20, date24, timeZone25);
    java.util.TimeZone timeZone27 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(date24, timeZone27);
    org.jfree.data.time.Year year29 = month28.getYear();
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b32 = month28.equals((java.lang.Object)serialDate31);
    org.jfree.data.time.Year year33 = month28.getYear();
    java.lang.Number number34 = timeSeries2.getValue((org.jfree.data.time.RegularTimePeriod)year33);
    timeSeries2.setRangeDescription("");
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem38 = timeSeries2.getDataItem(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    timeSeries12.setRangeDescription("hi!");
    timeSeries12.removeAgedItems(false);
    timeSeries12.setRangeDescription("Time");
    boolean b19 = timeSeries12.isEmpty();
    java.lang.Class clazz21 = null;
    org.jfree.data.time.TimeSeries timeSeries22 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz21);
    boolean b23 = timeSeries22.getNotify();
    int i24 = timeSeries22.getMaximumItemCount();
    java.lang.Class clazz26 = null;
    org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz26);
    java.lang.String str28 = timeSeries27.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate30 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day31 = new org.jfree.data.time.Day(serialDate30);
    long long32 = day31.getLastMillisecond();
    timeSeries27.delete((org.jfree.data.time.RegularTimePeriod)day31);
    java.lang.Object obj34 = timeSeries27.clone();
    org.jfree.data.time.TimeSeries timeSeries37 = timeSeries27.createCopy(2, 7);
    timeSeries37.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries40 = timeSeries22.addAndOrUpdate(timeSeries37);
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz42);
    boolean b44 = timeSeries43.getNotify();
    java.lang.Class clazz46 = null;
    org.jfree.data.time.TimeSeries timeSeries47 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz46);
    java.lang.String str48 = timeSeries47.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate50 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day51 = new org.jfree.data.time.Day(serialDate50);
    long long52 = day51.getLastMillisecond();
    timeSeries47.delete((org.jfree.data.time.RegularTimePeriod)day51);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem54 = timeSeries43.getDataItem((org.jfree.data.time.RegularTimePeriod)day51);
    org.jfree.data.time.SerialDate serialDate55 = day51.getSerialDate();
    timeSeries40.setKey((java.lang.Comparable)serialDate55);
    java.util.Collection collection57 = timeSeries12.getTimePeriodsUniqueToOtherSeries(timeSeries40);
    java.util.Collection collection58 = org.jfree.chart.util.ObjectUtilities.deepClone(collection57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "Time"+ "'", str28.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Time"+ "'", str48.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long52 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection58);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    long long3 = year0.getFirstMillisecond();
    int i4 = year0.getYear();
    java.util.Calendar calendar5 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long6 = year0.getFirstMillisecond(calendar5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2016);

  }

  @Test
  public void test254() {}
// Defects4J: flaky method
//   @Test
//   public void test254() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     int i4 = timeSeries2.getItemCount();
//     java.beans.PropertyChangeListener propertyChangeListener5 = null;
//     timeSeries2.removePropertyChangeListener(propertyChangeListener5);
//     int i7 = timeSeries2.getMaximumItemCount();
//     java.util.List list8 = timeSeries2.getItems();
//     java.lang.Class clazz9 = timeSeries2.getTimePeriodClass();
//     boolean b11 = timeSeries2.equals((java.lang.Object)11);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond12 = new org.jfree.data.time.FixedMillisecond();
//     int i14 = fixedMillisecond12.compareTo((java.lang.Object)(short)10);
//     long long15 = fixedMillisecond12.getMiddleMillisecond();
//     long long16 = fixedMillisecond12.getMiddleMillisecond();
//     java.util.Date date17 = fixedMillisecond12.getTime();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond12, (java.lang.Number)(byte)10, false);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(clazz9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 1456070544719L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == 1456070544719L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
// 
//   }

  @Test
  public void test255() {}
// Defects4J: flaky method
//   @Test
//   public void test255() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     boolean b3 = timeSeries2.getNotify();
//     java.lang.Class clazz4 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
//     int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
//     java.util.Date date8 = fixedMillisecond5.getTime();
//     java.util.TimeZone timeZone9 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
//     java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
//     org.jfree.data.time.Year year13 = month12.getYear();
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
//     int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
//     java.util.Date date18 = fixedMillisecond15.getTime();
//     java.util.TimeZone timeZone19 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
//     java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
//     org.jfree.data.time.Year year23 = month22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
//     org.jfree.data.time.Year year25 = new org.jfree.data.time.Year();
//     int i27 = year25.compareTo((java.lang.Object)4);
//     int i28 = year25.getYear();
//     int i30 = year25.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = year25.next();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem33 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year25, 0.0d);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond34 = new org.jfree.data.time.FixedMillisecond();
//     int i36 = fixedMillisecond34.compareTo((java.lang.Object)(short)10);
//     java.util.Date date37 = fixedMillisecond34.getEnd();
//     java.util.Calendar calendar38 = null;
//     long long39 = fixedMillisecond34.getMiddleMillisecond(calendar38);
//     int i40 = timeSeriesDataItem33.compareTo((java.lang.Object)long39);
//     timeSeriesDataItem33.setValue((java.lang.Number)(-1L));
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add(timeSeriesDataItem33, true);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i36 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long39 == 1456070544747L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i40 == 1);
// 
//   }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.SerialDate serialDate25 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b26 = month22.equals((java.lang.Object)serialDate25);
    org.jfree.data.time.Year year27 = month22.getYear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month22, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year27);

  }

  @Test
  public void test257() {}
// Defects4J: flaky method
//   @Test
//   public void test257() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     java.lang.String str13 = timeSeries12.getDescription();
//     java.lang.Class clazz15 = null;
//     org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
//     boolean b17 = timeSeries16.getNotify();
//     int i18 = timeSeries16.getMaximumItemCount();
//     java.lang.Class clazz20 = null;
//     org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
//     java.lang.String str22 = timeSeries21.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
//     long long26 = day25.getLastMillisecond();
//     timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
//     java.lang.Object obj28 = timeSeries21.clone();
//     org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
//     timeSeries31.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
//     java.lang.String str35 = timeSeries31.getRangeDescription();
//     org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
//     java.lang.Class clazz38 = null;
//     org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
//     boolean b40 = timeSeries39.getNotify();
//     int i41 = timeSeries39.getMaximumItemCount();
//     java.lang.Class clazz43 = null;
//     org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
//     java.lang.String str45 = timeSeries44.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
//     long long49 = day48.getLastMillisecond();
//     timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
//     java.lang.Object obj51 = timeSeries44.clone();
//     org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
//     timeSeries54.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
//     boolean b58 = timeSeries54.isEmpty();
//     boolean b59 = timeSeries54.getNotify();
//     org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond61 = new org.jfree.data.time.FixedMillisecond();
//     int i63 = fixedMillisecond61.compareTo((java.lang.Object)(short)10);
//     java.util.Date date64 = fixedMillisecond61.getEnd();
//     java.util.Calendar calendar65 = null;
//     long long66 = fixedMillisecond61.getMiddleMillisecond(calendar65);
//     org.jfree.data.time.Month month69 = new org.jfree.data.time.Month(7, 8);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod70 = month69.previous();
//     int i71 = fixedMillisecond61.compareTo((java.lang.Object)regularTimePeriod70);
//     java.lang.Number number72 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries60.update(regularTimePeriod70, number72);
//       org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException");
//     } catch (org.jfree.data.general.SeriesException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.jfree.data.general.SeriesException")) {
//         org.junit.Assert.fail("Expected exception of type org.jfree.data.general.SeriesException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long26 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long49 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b58 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b59 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long66 == 1456070544791L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i71 == 0);
// 
//   }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.Number number4 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(2, number4);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("org.jfree.data.general.SeriesException: ThreadContext", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    java.util.Calendar calendar7 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long8 = year0.getFirstMillisecond(calendar7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    java.lang.Class clazz37 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond38 = new org.jfree.data.time.FixedMillisecond();
    int i40 = fixedMillisecond38.compareTo((java.lang.Object)(short)10);
    java.util.Date date41 = fixedMillisecond38.getTime();
    java.util.TimeZone timeZone42 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod43 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz37, date41, timeZone42);
    java.util.TimeZone timeZone44 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(date41, timeZone44);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem47 = timeSeries12.addOrUpdate((org.jfree.data.time.RegularTimePeriod)month45, (java.lang.Number)1456070540561L);
    java.lang.String str48 = timeSeries12.getRangeDescription();
    java.lang.Class clazz50 = null;
    org.jfree.data.time.TimeSeries timeSeries51 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz50);
    java.lang.String str52 = timeSeries51.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate54 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day55 = new org.jfree.data.time.Day(serialDate54);
    long long56 = day55.getLastMillisecond();
    timeSeries51.delete((org.jfree.data.time.RegularTimePeriod)day55);
    java.lang.Object obj58 = timeSeries51.clone();
    org.jfree.data.time.TimeSeries timeSeries61 = timeSeries51.createCopy(2, 7);
    java.lang.String str62 = timeSeries61.getDescription();
    java.lang.Class clazz64 = null;
    org.jfree.data.time.TimeSeries timeSeries65 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz64);
    boolean b66 = timeSeries65.getNotify();
    int i67 = timeSeries65.getMaximumItemCount();
    java.lang.Class clazz69 = null;
    org.jfree.data.time.TimeSeries timeSeries70 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz69);
    java.lang.String str71 = timeSeries70.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate73 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day74 = new org.jfree.data.time.Day(serialDate73);
    long long75 = day74.getLastMillisecond();
    timeSeries70.delete((org.jfree.data.time.RegularTimePeriod)day74);
    java.lang.Object obj77 = timeSeries70.clone();
    org.jfree.data.time.TimeSeries timeSeries80 = timeSeries70.createCopy(2, 7);
    timeSeries80.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries83 = timeSeries65.addAndOrUpdate(timeSeries80);
    java.lang.String str84 = timeSeries80.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries85 = timeSeries61.addAndOrUpdate(timeSeries80);
    org.jfree.data.time.Year year86 = new org.jfree.data.time.Year();
    int i88 = year86.compareTo((java.lang.Object)4);
    long long89 = year86.getFirstMillisecond();
    int i90 = year86.getYear();
    java.lang.String str91 = year86.toString();
    java.lang.Number number92 = timeSeries80.getValue((org.jfree.data.time.RegularTimePeriod)year86);
    int i93 = year86.getYear();
    long long94 = year86.getLastMillisecond();
    long long95 = year86.getSerialIndex();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries12.add((org.jfree.data.time.RegularTimePeriod)year86, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Value"+ "'", str48.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "Time"+ "'", str52.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long56 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "Time"+ "'", str71.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long75 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "hi!"+ "'", str84.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long89 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str91 + "' != '" + "2016"+ "'", str91.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long94 == 1483257599999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long95 == 2016L);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear((-458));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    java.lang.Comparable comparable0 = null;
    java.lang.Class clazz3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries(comparable0, "Feb", "ThreadContext", clazz3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate((-459), 5, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("2016", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("February 2016", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod5 = timeSeries2.getTimePeriod(31);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    long long3 = year0.getFirstMillisecond();
    int i4 = year0.getYear();
    java.lang.String str5 = year0.toString();
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long7 = year0.getLastMillisecond(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "2016"+ "'", str5.equals("2016"));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    long long37 = timeSeries31.getMaximumItemAge();
    boolean b38 = timeSeries31.isEmpty();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod39 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries31.delete(regularTimePeriod39);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    long long37 = timeSeries31.getMaximumItemAge();
    boolean b38 = timeSeries31.isEmpty();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem40 = timeSeries31.getDataItem((-459));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    timeSeries2.fireSeriesChanged();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = timeSeries2.getTimePeriod((-459));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod4 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz2);
    boolean b5 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)timeSeries3, (java.lang.Object)10.0f);
    java.lang.Class clazz6 = null;
    java.lang.Class clazz7 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond8 = new org.jfree.data.time.FixedMillisecond();
    int i10 = fixedMillisecond8.compareTo((java.lang.Object)(short)10);
    java.util.Date date11 = fixedMillisecond8.getTime();
    java.util.TimeZone timeZone12 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz7, date11, timeZone12);
    java.util.TimeZone timeZone14 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(date11, timeZone14);
    java.util.TimeZone timeZone16 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz6, date11, timeZone16);
    org.jfree.data.time.Day day18 = new org.jfree.data.time.Day(date11);
    org.jfree.data.time.SerialDate serialDate19 = day18.getSerialDate();
    timeSeries3.setKey((java.lang.Comparable)serialDate19);
    java.lang.Class clazz21 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond22 = new org.jfree.data.time.FixedMillisecond();
    int i24 = fixedMillisecond22.compareTo((java.lang.Object)(short)10);
    java.util.Date date25 = fixedMillisecond22.getTime();
    java.util.TimeZone timeZone26 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod27 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz21, date25, timeZone26);
    java.util.TimeZone timeZone28 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(date25, timeZone28);
    org.jfree.data.time.Year year30 = month29.getYear();
    org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b33 = month29.equals((java.lang.Object)serialDate32);
    org.jfree.data.time.Year year34 = month29.getYear();
    java.lang.Number number35 = timeSeries3.getValue((org.jfree.data.time.RegularTimePeriod)year34);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(0, year34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);

  }

  @Test
  public void test275() {}
// Defects4J: flaky method
//   @Test
//   public void test275() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }
// 
// 
//     java.lang.Class clazz0 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
//     int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
//     java.util.Date date4 = fixedMillisecond1.getTime();
//     java.util.TimeZone timeZone5 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
//     java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
//     java.lang.String str9 = month8.toString();
//     int i10 = month8.getMonth();
//     org.jfree.data.time.Year year11 = month8.getYear();
//     java.util.Calendar calendar12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long13 = month8.getLastMillisecond(calendar12);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "February 2016"+ "'", str9.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year11);
// 
//   }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent25 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)year23);
    java.lang.Class clazz26 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond27 = new org.jfree.data.time.FixedMillisecond();
    int i29 = fixedMillisecond27.compareTo((java.lang.Object)(short)10);
    java.util.Date date30 = fixedMillisecond27.getTime();
    java.util.TimeZone timeZone31 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod32 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz26, date30, timeZone31);
    java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month34 = new org.jfree.data.time.Month(date30, timeZone33);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod35 = month34.previous();
    boolean b36 = year23.equals((java.lang.Object)regularTimePeriod35);
    java.util.Calendar calendar37 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long38 = year23.getLastMillisecond(calendar37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year();
    int i9 = year7.compareTo((java.lang.Object)4);
    long long10 = year7.getFirstMillisecond();
    int i11 = year7.getYear();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)year7);
    org.jfree.data.time.FixedMillisecond fixedMillisecond13 = new org.jfree.data.time.FixedMillisecond();
    int i15 = fixedMillisecond13.compareTo((java.lang.Object)(short)10);
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)fixedMillisecond13);
    java.lang.Class clazz18 = null;
    org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz18);
    java.lang.String str20 = timeSeries19.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate22 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day23 = new org.jfree.data.time.Day(serialDate22);
    long long24 = day23.getLastMillisecond();
    timeSeries19.delete((org.jfree.data.time.RegularTimePeriod)day23);
    java.lang.Object obj26 = timeSeries19.clone();
    org.jfree.data.time.TimeSeries timeSeries29 = timeSeries19.createCopy(2, 7);
    java.lang.String str30 = timeSeries29.getDescription();
    java.lang.Class clazz32 = null;
    org.jfree.data.time.TimeSeries timeSeries33 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz32);
    boolean b34 = timeSeries33.getNotify();
    int i35 = timeSeries33.getMaximumItemCount();
    java.lang.Class clazz37 = null;
    org.jfree.data.time.TimeSeries timeSeries38 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz37);
    java.lang.String str39 = timeSeries38.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate41 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day42 = new org.jfree.data.time.Day(serialDate41);
    long long43 = day42.getLastMillisecond();
    timeSeries38.delete((org.jfree.data.time.RegularTimePeriod)day42);
    java.lang.Object obj45 = timeSeries38.clone();
    org.jfree.data.time.TimeSeries timeSeries48 = timeSeries38.createCopy(2, 7);
    timeSeries48.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries51 = timeSeries33.addAndOrUpdate(timeSeries48);
    java.lang.String str52 = timeSeries48.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries53 = timeSeries29.addAndOrUpdate(timeSeries48);
    int i54 = fixedMillisecond13.compareTo((java.lang.Object)timeSeries29);
    timeSeries29.setMaximumItemCount(2);
    org.jfree.data.time.TimeSeries timeSeries57 = timeSeries2.addAndOrUpdate(timeSeries29);
    org.jfree.data.time.SerialDate serialDate59 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day60 = new org.jfree.data.time.Day(serialDate59);
    org.jfree.data.time.Day day61 = new org.jfree.data.time.Day(serialDate59);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate63 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate65 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b67 = spreadsheetDate65.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate68 = spreadsheetDate63.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate65);
    int i69 = day61.compareTo((java.lang.Object)spreadsheetDate63);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries57.add((org.jfree.data.time.RegularTimePeriod)day61, 1.0d, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Time"+ "'", str20.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Time"+ "'", str39.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "hi!"+ "'", str52.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Year year9 = new org.jfree.data.time.Year(date4);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = year9.previous();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem12 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year9, (java.lang.Number)1456127999999L);
    java.util.Calendar calendar13 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long14 = year9.getFirstMillisecond(calendar13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod10);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(98, 0, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    java.lang.Class clazz9 = timeSeries2.getTimePeriodClass();
    java.lang.Class clazz11 = null;
    org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz11);
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
    java.lang.String str16 = timeSeries15.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day19 = new org.jfree.data.time.Day(serialDate18);
    long long20 = day19.getLastMillisecond();
    timeSeries15.delete((org.jfree.data.time.RegularTimePeriod)day19);
    timeSeries12.delete((org.jfree.data.time.RegularTimePeriod)day19);
    org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries12);
    java.lang.Number number25 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(21, number25);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Time"+ "'", str16.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries23);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("November", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz4);
    java.lang.String str6 = timeSeries5.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(serialDate8);
    long long10 = day9.getLastMillisecond();
    timeSeries5.delete((org.jfree.data.time.RegularTimePeriod)day9);
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day9);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = day9.next();
    java.util.Calendar calendar14 = null;
    // The following exception was thrown during execution in test generation
    try {
      day9.peg(calendar14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod13);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month16.previous();
    org.jfree.data.time.Year year18 = new org.jfree.data.time.Year();
    int i20 = year18.compareTo((java.lang.Object)4);
    int i21 = year18.getYear();
    int i23 = year18.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = year18.next();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries2.createCopy(regularTimePeriod17, (org.jfree.data.time.RegularTimePeriod)year18);
    int i26 = year18.getYear();
    java.util.Date date27 = year18.getEnd();
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getEnd();
    boolean b33 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond28, (java.lang.Object)7);
    java.util.Date date34 = fixedMillisecond28.getTime();
    java.lang.Class clazz35 = null;
    java.lang.Class clazz36 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond37 = new org.jfree.data.time.FixedMillisecond();
    int i39 = fixedMillisecond37.compareTo((java.lang.Object)(short)10);
    java.util.Date date40 = fixedMillisecond37.getTime();
    java.util.TimeZone timeZone41 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod42 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz36, date40, timeZone41);
    java.util.TimeZone timeZone43 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(date40, timeZone43);
    java.util.TimeZone timeZone45 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz35, date40, timeZone45);
    org.jfree.data.time.Month month47 = new org.jfree.data.time.Month(date34, timeZone45);
    org.jfree.data.time.Year year48 = new org.jfree.data.time.Year(date27, timeZone45);
    org.jfree.data.time.Day day49 = new org.jfree.data.time.Day(date27);
    java.util.Calendar calendar50 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long51 = day49.getLastMillisecond(calendar50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod46);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(11);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    int i4 = spreadsheetDate3.getDayOfWeek();
    java.util.Date date5 = spreadsheetDate3.toDate();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate8 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate10 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b12 = spreadsheetDate10.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate13 = spreadsheetDate8.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate10);
    org.jfree.data.time.SerialDate serialDate14 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate8);
    java.util.Date date15 = spreadsheetDate8.toDate();
    org.jfree.data.time.SerialDate serialDate16 = spreadsheetDate3.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate8);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate18 = new org.jfree.data.time.SpreadsheetDate(2016);
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    java.lang.String str32 = timeSeries21.getRangeDescription();
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = month35.previous();
    org.jfree.data.time.Year year37 = new org.jfree.data.time.Year();
    int i39 = year37.compareTo((java.lang.Object)4);
    int i40 = year37.getYear();
    int i42 = year37.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod43 = year37.next();
    org.jfree.data.time.TimeSeries timeSeries44 = timeSeries21.createCopy(regularTimePeriod36, (org.jfree.data.time.RegularTimePeriod)year37);
    boolean b45 = spreadsheetDate18.equals((java.lang.Object)timeSeries21);
    int i46 = spreadsheetDate18.getDayOfWeek();
    boolean b48 = spreadsheetDate1.isInRange(serialDate16, (org.jfree.data.time.SerialDate)spreadsheetDate18, 8);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate50 = serialDate16.getFollowingDayOfWeek(9999);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Value"+ "'", str32.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem8 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year0, 0.0d);
    java.lang.Object obj9 = null;
    int i10 = timeSeriesDataItem8.compareTo(obj9);
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz12);
    boolean b14 = timeSeries13.getNotify();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond();
    int i18 = fixedMillisecond16.compareTo((java.lang.Object)(short)10);
    java.util.Date date19 = fixedMillisecond16.getTime();
    java.util.TimeZone timeZone20 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz15, date19, timeZone20);
    java.util.TimeZone timeZone22 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(date19, timeZone22);
    org.jfree.data.time.Year year24 = month23.getYear();
    java.lang.Class clazz25 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond();
    int i28 = fixedMillisecond26.compareTo((java.lang.Object)(short)10);
    java.util.Date date29 = fixedMillisecond26.getTime();
    java.util.TimeZone timeZone30 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz25, date29, timeZone30);
    java.util.TimeZone timeZone32 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(date29, timeZone32);
    org.jfree.data.time.Year year34 = month33.getYear();
    org.jfree.data.time.TimeSeries timeSeries35 = timeSeries13.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)year34);
    int i36 = timeSeriesDataItem8.compareTo((java.lang.Object)month23);
    org.jfree.data.general.SeriesException seriesException38 = new org.jfree.data.general.SeriesException("ThreadContext");
    java.lang.Throwable[] throwable_array39 = seriesException38.getSuppressed();
    java.lang.Throwable[] throwable_array40 = seriesException38.getSuppressed();
    org.jfree.data.general.SeriesException seriesException42 = new org.jfree.data.general.SeriesException("Nearest");
    java.lang.String str43 = seriesException42.toString();
    seriesException38.addSuppressed((java.lang.Throwable)seriesException42);
    boolean b45 = timeSeriesDataItem8.equals((java.lang.Object)seriesException38);
    java.lang.String[] str_array46 = org.jfree.data.time.SerialDate.getMonths();
    int i47 = timeSeriesDataItem8.compareTo((java.lang.Object)str_array46);
    org.jfree.data.time.Year year48 = new org.jfree.data.time.Year();
    int i50 = year48.compareTo((java.lang.Object)4);
    long long51 = year48.getFirstMillisecond();
    int i52 = year48.getYear();
    java.lang.String str53 = year48.toString();
    long long54 = year48.getLastMillisecond();
    boolean b55 = timeSeriesDataItem8.equals((java.lang.Object)long54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.jfree.data.general.SeriesException: Nearest"+ "'", str43.equals("org.jfree.data.general.SeriesException: Nearest"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long51 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "2016"+ "'", str53.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 1483257599999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(9, 6, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number5 = timeSeries2.getValue(1964);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResource("Saturday", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(9999, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    org.jfree.data.time.Year year37 = new org.jfree.data.time.Year();
    int i39 = year37.compareTo((java.lang.Object)4);
    int i40 = year37.getYear();
    int i42 = year37.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod43 = year37.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem45 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year37, 0.0d);
    java.lang.Object obj46 = null;
    int i47 = timeSeriesDataItem45.compareTo(obj46);
    java.lang.Class clazz49 = null;
    org.jfree.data.time.TimeSeries timeSeries50 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz49);
    boolean b51 = timeSeries50.getNotify();
    java.lang.Class clazz52 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond53 = new org.jfree.data.time.FixedMillisecond();
    int i55 = fixedMillisecond53.compareTo((java.lang.Object)(short)10);
    java.util.Date date56 = fixedMillisecond53.getTime();
    java.util.TimeZone timeZone57 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod58 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz52, date56, timeZone57);
    java.util.TimeZone timeZone59 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month60 = new org.jfree.data.time.Month(date56, timeZone59);
    org.jfree.data.time.Year year61 = month60.getYear();
    java.lang.Class clazz62 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond63 = new org.jfree.data.time.FixedMillisecond();
    int i65 = fixedMillisecond63.compareTo((java.lang.Object)(short)10);
    java.util.Date date66 = fixedMillisecond63.getTime();
    java.util.TimeZone timeZone67 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod68 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz62, date66, timeZone67);
    java.util.TimeZone timeZone69 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month70 = new org.jfree.data.time.Month(date66, timeZone69);
    org.jfree.data.time.Year year71 = month70.getYear();
    org.jfree.data.time.TimeSeries timeSeries72 = timeSeries50.createCopy((org.jfree.data.time.RegularTimePeriod)month60, (org.jfree.data.time.RegularTimePeriod)year71);
    int i73 = timeSeriesDataItem45.compareTo((java.lang.Object)month60);
    java.lang.Object obj74 = timeSeriesDataItem45.clone();
    java.lang.Object obj75 = timeSeriesDataItem45.clone();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries36.add(timeSeriesDataItem45);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj75);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    int i1 = org.jfree.data.time.SerialDate.stringToMonthCode("org.jfree.data.general.SeriesChangeEvent[source=1-January-1900]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.lang.Comparable comparable0 = null;
    java.lang.Class clazz3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries(comparable0, "ClassContext", "Nearest", clazz3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    java.lang.Object obj0 = null;
    boolean b2 = org.jfree.chart.util.ObjectUtilities.equal(obj0, (java.lang.Object)"1-January-1900");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate3.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate6 = spreadsheetDate1.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate3);
    int i7 = spreadsheetDate1.toSerial();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate9 = new org.jfree.data.time.SpreadsheetDate(100);
    int i10 = spreadsheetDate9.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate12 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b13 = spreadsheetDate9.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate12);
    boolean b14 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate9);
    org.jfree.data.time.SerialDate serialDate15 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = spreadsheetDate1.isAfter(serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = spreadsheetDate1.getFollowingDayOfWeek(21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    timeSeries2.setMaximumItemAge(1456070543177L);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
    int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
    java.util.Calendar calendar3 = null;
    fixedMillisecond0.peg(calendar3);
    java.util.Date date5 = fixedMillisecond0.getTime();
    org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
    int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
    java.util.Date date9 = fixedMillisecond6.getTime();
    java.lang.Class clazz10 = null;
    java.lang.Class clazz11 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond12 = new org.jfree.data.time.FixedMillisecond();
    int i14 = fixedMillisecond12.compareTo((java.lang.Object)(short)10);
    java.util.Date date15 = fixedMillisecond12.getTime();
    java.util.TimeZone timeZone16 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz11, date15, timeZone16);
    java.util.TimeZone timeZone18 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(date15, timeZone18);
    java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz10, date15, timeZone20);
    org.jfree.data.time.Day day22 = new org.jfree.data.time.Day(date9, timeZone20);
    org.jfree.data.time.Year year23 = new org.jfree.data.time.Year(date5, timeZone20);
    java.util.Calendar calendar24 = null;
    // The following exception was thrown during execution in test generation
    try {
      year23.peg(calendar24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod21);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "May"+ "'", str1.equals("May"));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResource("ERROR : Relative To String", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceRelativeAsStream("November", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
    int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
    java.util.Calendar calendar3 = null;
    fixedMillisecond0.peg(calendar3);
    java.util.Date date5 = fixedMillisecond0.getTime();
    org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
    int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
    java.util.Date date9 = fixedMillisecond6.getTime();
    java.lang.Class clazz10 = null;
    java.lang.Class clazz11 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond12 = new org.jfree.data.time.FixedMillisecond();
    int i14 = fixedMillisecond12.compareTo((java.lang.Object)(short)10);
    java.util.Date date15 = fixedMillisecond12.getTime();
    java.util.TimeZone timeZone16 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz11, date15, timeZone16);
    java.util.TimeZone timeZone18 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(date15, timeZone18);
    java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz10, date15, timeZone20);
    org.jfree.data.time.Day day22 = new org.jfree.data.time.Day(date9, timeZone20);
    org.jfree.data.time.Year year23 = new org.jfree.data.time.Year(date5, timeZone20);
    java.util.Calendar calendar24 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long25 = year23.getMiddleMillisecond(calendar24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod21);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate4.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate4);
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate2);
    java.util.Date date9 = spreadsheetDate2.toDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate11 = spreadsheetDate2.getNearestDayOfWeek(11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode((-460));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test305() {}
// Defects4J: flaky method
//   @Test
//   public void test305() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
//     int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
//     java.util.Date date4 = fixedMillisecond1.getTime();
//     java.lang.Class clazz5 = null;
//     java.lang.Class clazz6 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond7 = new org.jfree.data.time.FixedMillisecond();
//     int i9 = fixedMillisecond7.compareTo((java.lang.Object)(short)10);
//     java.util.Date date10 = fixedMillisecond7.getTime();
//     java.util.TimeZone timeZone11 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz6, date10, timeZone11);
//     java.util.TimeZone timeZone13 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month14 = new org.jfree.data.time.Month(date10, timeZone13);
//     java.util.TimeZone timeZone15 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date10, timeZone15);
//     org.jfree.data.time.Day day17 = new org.jfree.data.time.Day(date4, timeZone15);
//     int i18 = day17.getDayOfMonth();
//     long long19 = day17.getLastMillisecond();
//     org.jfree.data.time.SerialDate serialDate20 = day17.getSerialDate();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek((-1), serialDate20);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i9 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long19 == 1456127999999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate20);
// 
//   }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test307() {}
// Defects4J: flaky method
//   @Test
//   public void test307() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     long long4 = timeSeries2.getMaximumItemAge();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
//     int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
//     java.text.DateFormatSymbols dateFormatSymbols8 = org.jfree.data.time.SerialDate.DATE_FORMAT_SYMBOLS;
//     boolean b9 = fixedMillisecond5.equals((java.lang.Object)dateFormatSymbols8);
//     long long10 = fixedMillisecond5.getMiddleMillisecond();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = fixedMillisecond5.next();
//     java.util.Calendar calendar12 = null;
//     long long13 = fixedMillisecond5.getLastMillisecond(calendar12);
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem15 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond5, (java.lang.Number)(short)(-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add(timeSeriesDataItem15);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 9223372036854775807L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateFormatSymbols8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 1456070547539L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 1456070547539L);
// 
//   }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    timeSeries2.fireSeriesChanged();
    org.jfree.data.time.SerialDate serialDate6 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day7 = new org.jfree.data.time.Day(serialDate6);
    long long8 = day7.getLastMillisecond();
    int i9 = day7.getYear();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)day7, (java.lang.Number)1456070546839L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1900);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    int i3 = spreadsheetDate2.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate2.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate5);
    int i7 = spreadsheetDate2.getDayOfWeek();
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(1, (org.jfree.data.time.SerialDate)spreadsheetDate2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate11 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b15 = spreadsheetDate13.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate16 = spreadsheetDate11.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SerialDate serialDate17 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate11);
    org.jfree.data.time.SerialDate serialDate19 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate21 = new org.jfree.data.time.SpreadsheetDate(100);
    int i22 = spreadsheetDate21.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate24 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b25 = spreadsheetDate21.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate24);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate27 = new org.jfree.data.time.SpreadsheetDate(100);
    int i28 = spreadsheetDate27.getDayOfWeek();
    boolean b29 = spreadsheetDate24.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate27);
    org.jfree.data.time.SerialDate serialDate30 = serialDate19.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate24);
    boolean b31 = spreadsheetDate11.isBefore(serialDate30);
    boolean b32 = spreadsheetDate2.isBefore((org.jfree.data.time.SerialDate)spreadsheetDate11);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate34 = spreadsheetDate11.getNearestDayOfWeek((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("org.jfree.data.general.SeriesException: Nearest", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    java.lang.Object obj0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz2);
    java.lang.String str4 = timeSeries3.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate6 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day7 = new org.jfree.data.time.Day(serialDate6);
    long long8 = day7.getLastMillisecond();
    timeSeries3.delete((org.jfree.data.time.RegularTimePeriod)day7);
    java.lang.String str10 = timeSeries3.getRangeDescription();
    boolean b11 = org.jfree.chart.util.ObjectUtilities.equal(obj0, (java.lang.Object)str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Time"+ "'", str4.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "Value"+ "'", str10.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("ERROR : Relative To String");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(9999, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    long long37 = timeSeries31.getMaximumItemAge();
    timeSeries31.setMaximumItemAge(1456070542805L);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries31.delete(1900, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 9223372036854775807L);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("Saturday", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    java.lang.Number number10 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.update(2016, number10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate((-460), 3, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz5);
    java.lang.Class clazz8 = null;
    org.jfree.data.time.TimeSeries timeSeries9 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz8);
    java.lang.String str10 = timeSeries9.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate12 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day13 = new org.jfree.data.time.Day(serialDate12);
    long long14 = day13.getLastMillisecond();
    timeSeries9.delete((org.jfree.data.time.RegularTimePeriod)day13);
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day13);
    int i17 = day13.getMonth();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)day13, (java.lang.Number)(-1.0f), false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "Time"+ "'", str10.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    int i13 = timeSeries12.getMaximumItemCount();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    java.lang.String str17 = timeSeries16.getDomainDescription();
    int i18 = timeSeries16.getItemCount();
    java.util.List list19 = timeSeries16.getItems();
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries12.addAndOrUpdate(timeSeries16);
    java.lang.String str21 = timeSeries12.getDomainDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = timeSeries12.getTimePeriod(1900);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "Time"+ "'", str17.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Time"+ "'", str21.equals("Time"));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month16.previous();
    org.jfree.data.time.Year year18 = new org.jfree.data.time.Year();
    int i20 = year18.compareTo((java.lang.Object)4);
    int i21 = year18.getYear();
    int i23 = year18.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = year18.next();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries2.createCopy(regularTimePeriod17, (org.jfree.data.time.RegularTimePeriod)year18);
    int i26 = year18.getYear();
    java.util.Date date27 = year18.getEnd();
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getEnd();
    boolean b33 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond28, (java.lang.Object)7);
    java.util.Date date34 = fixedMillisecond28.getTime();
    java.lang.Class clazz35 = null;
    java.lang.Class clazz36 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond37 = new org.jfree.data.time.FixedMillisecond();
    int i39 = fixedMillisecond37.compareTo((java.lang.Object)(short)10);
    java.util.Date date40 = fixedMillisecond37.getTime();
    java.util.TimeZone timeZone41 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod42 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz36, date40, timeZone41);
    java.util.TimeZone timeZone43 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(date40, timeZone43);
    java.util.TimeZone timeZone45 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz35, date40, timeZone45);
    org.jfree.data.time.Month month47 = new org.jfree.data.time.Month(date34, timeZone45);
    org.jfree.data.time.Year year48 = new org.jfree.data.time.Year(date27, timeZone45);
    java.lang.Class clazz49 = null;
    java.lang.Class clazz50 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond51 = new org.jfree.data.time.FixedMillisecond();
    int i53 = fixedMillisecond51.compareTo((java.lang.Object)(short)10);
    java.util.Date date54 = fixedMillisecond51.getTime();
    java.util.TimeZone timeZone55 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod56 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz50, date54, timeZone55);
    java.util.TimeZone timeZone57 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month58 = new org.jfree.data.time.Month(date54, timeZone57);
    java.util.TimeZone timeZone59 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod60 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz49, date54, timeZone59);
    org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(date27, timeZone59);
    java.util.Calendar calendar62 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long63 = month61.getFirstMillisecond(calendar62);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod60);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz4);
    java.lang.String str6 = timeSeries5.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(serialDate8);
    long long10 = day9.getLastMillisecond();
    timeSeries5.delete((org.jfree.data.time.RegularTimePeriod)day9);
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day9);
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
    boolean b16 = timeSeries15.getNotify();
    java.lang.Class clazz17 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond();
    int i20 = fixedMillisecond18.compareTo((java.lang.Object)(short)10);
    java.util.Date date21 = fixedMillisecond18.getTime();
    java.util.TimeZone timeZone22 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz17, date21, timeZone22);
    java.util.TimeZone timeZone24 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month25 = new org.jfree.data.time.Month(date21, timeZone24);
    org.jfree.data.time.Year year26 = month25.getYear();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getTime();
    java.util.TimeZone timeZone32 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz27, date31, timeZone32);
    java.util.TimeZone timeZone34 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date31, timeZone34);
    org.jfree.data.time.Year year36 = month35.getYear();
    org.jfree.data.time.TimeSeries timeSeries37 = timeSeries15.createCopy((org.jfree.data.time.RegularTimePeriod)month25, (org.jfree.data.time.RegularTimePeriod)year36);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod38 = year36.previous();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year36, 10.0d, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod38);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate3 = org.jfree.data.time.SerialDate.createInstance(2, 7, (-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.jfree.data.time.Day day0 = new org.jfree.data.time.Day();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long2 = day0.getFirstMillisecond(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = month12.previous();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem14 = timeSeries2.getDataItem(regularTimePeriod13);
    java.lang.String str15 = timeSeries2.getDescription();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate17 = new org.jfree.data.time.SpreadsheetDate(100);
    int i18 = spreadsheetDate17.getDayOfWeek();
    java.lang.Class clazz19 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond20 = new org.jfree.data.time.FixedMillisecond();
    int i22 = fixedMillisecond20.compareTo((java.lang.Object)(short)10);
    java.util.Date date23 = fixedMillisecond20.getTime();
    java.util.TimeZone timeZone24 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod25 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz19, date23, timeZone24);
    java.util.TimeZone timeZone26 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month27 = new org.jfree.data.time.Month(date23, timeZone26);
    boolean b28 = spreadsheetDate17.equals((java.lang.Object)timeZone26);
    java.lang.String str29 = spreadsheetDate17.getDescription();
    boolean b30 = timeSeries2.equals((java.lang.Object)spreadsheetDate17);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate32 = spreadsheetDate17.getFollowingDayOfWeek(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    java.lang.Class clazz38 = null;
    org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
    boolean b40 = timeSeries39.getNotify();
    int i41 = timeSeries39.getMaximumItemCount();
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
    java.lang.String str45 = timeSeries44.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
    long long49 = day48.getLastMillisecond();
    timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
    java.lang.Object obj51 = timeSeries44.clone();
    org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
    timeSeries54.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
    boolean b58 = timeSeries54.isEmpty();
    boolean b59 = timeSeries54.getNotify();
    org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number62 = timeSeries36.getValue((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries60);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    java.lang.String str1 = year0.toString();
    java.lang.Object obj2 = null;
    boolean b3 = year0.equals(obj2);
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long5 = year0.getLastMillisecond(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2016"+ "'", str1.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode(2958465);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("9-April-1900", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(1900, 10, 7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.jfree.data.time.TimePeriodFormatException timePeriodFormatException1 = new org.jfree.data.time.TimePeriodFormatException("February 2016");

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.jfree.chart.util.ObjectUtilities.setClassLoaderSource("Nearest");

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("May", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test334() {}
// Defects4J: flaky method
//   @Test
//   public void test334() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Date date3 = fixedMillisecond0.getTime();
//     java.lang.Class clazz4 = null;
//     java.lang.Class clazz5 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
//     int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
//     java.util.Date date9 = fixedMillisecond6.getTime();
//     java.util.TimeZone timeZone10 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date9, timeZone10);
//     java.util.TimeZone timeZone12 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(date9, timeZone12);
//     java.util.TimeZone timeZone14 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date9, timeZone14);
//     org.jfree.data.time.Day day16 = new org.jfree.data.time.Day(date3, timeZone14);
//     int i17 = day16.getDayOfMonth();
//     long long18 = day16.getLastMillisecond();
//     org.jfree.data.time.SerialDate serialDate19 = day16.getSerialDate();
//     java.util.Calendar calendar20 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long21 = day16.getFirstMillisecond(calendar20);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 1456127999999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate19);
// 
//   }

  @Test
  public void test335() {}
// Defects4J: flaky method
//   @Test
//   public void test335() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     timeSeries12.setRangeDescription("hi!");
//     timeSeries12.setMaximumItemCount(100);
//     java.lang.Class clazz17 = null;
//     java.lang.Class clazz18 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond19 = new org.jfree.data.time.FixedMillisecond();
//     int i21 = fixedMillisecond19.compareTo((java.lang.Object)(short)10);
//     java.util.Date date22 = fixedMillisecond19.getTime();
//     java.util.TimeZone timeZone23 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz18, date22, timeZone23);
//     java.util.TimeZone timeZone25 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month26 = new org.jfree.data.time.Month(date22, timeZone25);
//     java.util.TimeZone timeZone27 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod28 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz17, date22, timeZone27);
//     org.jfree.data.time.Day day29 = new org.jfree.data.time.Day(date22);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond();
//     int i32 = fixedMillisecond30.compareTo((java.lang.Object)(short)10);
//     java.util.Date date33 = fixedMillisecond30.getTime();
//     long long34 = fixedMillisecond30.getMiddleMillisecond();
//     long long35 = fixedMillisecond30.getMiddleMillisecond();
//     org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.createCopy((org.jfree.data.time.RegularTimePeriod)day29, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond30);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries36.delete(8, 100);
//       org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
//     } catch (java.lang.IndexOutOfBoundsException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long34 == 1456070548624L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long35 == 1456070548624L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries36);
// 
//   }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    boolean b21 = timeSeries17.isEmpty();
    boolean b22 = timeSeries17.getNotify();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number24 = timeSeries17.getValue(regularTimePeriod23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    java.lang.Class clazz38 = null;
    org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
    boolean b40 = timeSeries39.getNotify();
    int i41 = timeSeries39.getMaximumItemCount();
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
    java.lang.String str45 = timeSeries44.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
    long long49 = day48.getLastMillisecond();
    timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
    java.lang.Object obj51 = timeSeries44.clone();
    org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
    timeSeries54.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
    boolean b58 = timeSeries54.isEmpty();
    boolean b59 = timeSeries54.getNotify();
    org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
    long long61 = timeSeries60.getMaximumItemAge();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries60.delete(98, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long61 == 9223372036854775807L);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
    int i6 = spreadsheetDate1.getDayOfWeek();
    java.lang.Object obj7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = spreadsheetDate1.compareTo(obj7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    org.jfree.data.time.Year year21 = new org.jfree.data.time.Year();
    int i23 = year21.compareTo((java.lang.Object)4);
    int i24 = year21.getYear();
    int i26 = year21.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod27 = year21.next();
    org.jfree.data.time.Year year28 = new org.jfree.data.time.Year();
    int i30 = year28.compareTo((java.lang.Object)4);
    long long31 = year28.getFirstMillisecond();
    int i32 = year28.getYear();
    java.lang.String str33 = year28.toString();
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)year21, (org.jfree.data.time.RegularTimePeriod)year28);
    java.util.Calendar calendar35 = null;
    // The following exception was thrown during execution in test generation
    try {
      year28.peg(calendar35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "2016"+ "'", str33.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b5 = spreadsheetDate3.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate6 = spreadsheetDate1.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate3);
    int i7 = spreadsheetDate1.toSerial();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate9 = new org.jfree.data.time.SpreadsheetDate(100);
    int i10 = spreadsheetDate9.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate12 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b13 = spreadsheetDate9.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate12);
    boolean b14 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate9);
    org.jfree.data.time.SerialDate serialDate15 = null;
    org.jfree.data.time.SpreadsheetDate spreadsheetDate17 = new org.jfree.data.time.SpreadsheetDate(100);
    int i18 = spreadsheetDate17.getMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate21 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate23 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b25 = spreadsheetDate23.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate26 = spreadsheetDate21.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate23);
    int i27 = spreadsheetDate21.toSerial();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate29 = new org.jfree.data.time.SpreadsheetDate(100);
    int i30 = spreadsheetDate29.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate32 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b33 = spreadsheetDate29.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate32);
    boolean b34 = spreadsheetDate21.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate29);
    org.jfree.data.time.SerialDate serialDate35 = org.jfree.data.time.SerialDate.addMonths(1, (org.jfree.data.time.SerialDate)spreadsheetDate29);
    boolean b36 = spreadsheetDate17.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate29);
    // The following exception was thrown during execution in test generation
    try {
      boolean b38 = spreadsheetDate1.isInRange(serialDate15, (org.jfree.data.time.SerialDate)spreadsheetDate29, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate4.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate4);
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate2);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate10 = serialDate8.getFollowingDayOfWeek(9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.jfree.chart.util.ObjectUtilities.setClassLoaderSource("4-January-1900");

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    java.lang.Class clazz0 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
    int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
    java.util.Date date4 = fixedMillisecond1.getTime();
    java.util.TimeZone timeZone5 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
    java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
    org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(date4);
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day9, "1-January-1900", "Thursday", clazz12);
    java.util.Calendar calendar14 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long15 = day9.getFirstMillisecond(calendar14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate((-459), 0, 21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-460));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    boolean b4 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)timeSeries2, (java.lang.Object)10.0f);
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0f);
    org.jfree.data.time.Year year7 = new org.jfree.data.time.Year();
    int i8 = year7.getYear();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem9 = timeSeries6.getDataItem((org.jfree.data.time.RegularTimePeriod)year7);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add((org.jfree.data.time.RegularTimePeriod)year7, (java.lang.Number)1456070544001L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem9);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test348() {}
// Defects4J: flaky method
//   @Test
//   public void test348() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Date date3 = fixedMillisecond0.getTime();
//     java.lang.Class clazz4 = null;
//     java.lang.Class clazz5 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
//     int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
//     java.util.Date date9 = fixedMillisecond6.getTime();
//     java.util.TimeZone timeZone10 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date9, timeZone10);
//     java.util.TimeZone timeZone12 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(date9, timeZone12);
//     java.util.TimeZone timeZone14 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date9, timeZone14);
//     org.jfree.data.time.Day day16 = new org.jfree.data.time.Day(date3, timeZone14);
//     int i17 = day16.getDayOfMonth();
//     long long18 = day16.getLastMillisecond();
//     org.jfree.data.time.SerialDate serialDate19 = day16.getSerialDate();
//     org.jfree.data.time.Day day20 = new org.jfree.data.time.Day(serialDate19);
//     java.lang.Class clazz21 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond22 = new org.jfree.data.time.FixedMillisecond();
//     int i24 = fixedMillisecond22.compareTo((java.lang.Object)(short)10);
//     java.util.Date date25 = fixedMillisecond22.getTime();
//     java.util.TimeZone timeZone26 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod27 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz21, date25, timeZone26);
//     java.util.TimeZone timeZone28 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(date25, timeZone28);
//     java.lang.String str30 = month29.toString();
//     int i31 = month29.getMonth();
//     org.jfree.data.time.Year year32 = month29.getYear();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = month29.previous();
//     boolean b34 = day20.equals((java.lang.Object)regularTimePeriod33);
//     java.util.Calendar calendar35 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long36 = day20.getFirstMillisecond(calendar35);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 1456127999999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "February 2016"+ "'", str30.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == false);
// 
//   }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz2);
    java.lang.String str4 = timeSeries3.getDomainDescription();
    int i5 = timeSeries3.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener6 = null;
    timeSeries3.removePropertyChangeListener(propertyChangeListener6);
    int i8 = timeSeries3.getMaximumItemCount();
    java.util.List list9 = timeSeries3.getItems();
    java.lang.Class clazz10 = timeSeries3.getTimePeriodClass();
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz12);
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    java.lang.String str17 = timeSeries16.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate19 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day20 = new org.jfree.data.time.Day(serialDate19);
    long long21 = day20.getLastMillisecond();
    timeSeries16.delete((org.jfree.data.time.RegularTimePeriod)day20);
    timeSeries13.delete((org.jfree.data.time.RegularTimePeriod)day20);
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries3.addAndOrUpdate(timeSeries13);
    org.jfree.data.time.Year year25 = new org.jfree.data.time.Year();
    int i27 = year25.compareTo((java.lang.Object)4);
    long long28 = year25.getFirstMillisecond();
    int i29 = year25.getYear();
    long long30 = year25.getFirstMillisecond();
    timeSeries24.setKey((java.lang.Comparable)year25);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(21, year25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Time"+ "'", str4.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "Time"+ "'", str17.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 1451635200000L);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Wednesday"+ "'", str1.equals("Wednesday"));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResource("Feb", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz1 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond2 = new org.jfree.data.time.FixedMillisecond();
    int i4 = fixedMillisecond2.compareTo((java.lang.Object)(short)10);
    java.util.Date date5 = fixedMillisecond2.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate7 = new org.jfree.data.time.SpreadsheetDate(100);
    int i8 = spreadsheetDate7.getDayOfWeek();
    java.lang.Class clazz9 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond10 = new org.jfree.data.time.FixedMillisecond();
    int i12 = fixedMillisecond10.compareTo((java.lang.Object)(short)10);
    java.util.Date date13 = fixedMillisecond10.getTime();
    java.util.TimeZone timeZone14 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz9, date13, timeZone14);
    java.util.TimeZone timeZone16 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(date13, timeZone16);
    boolean b18 = spreadsheetDate7.equals((java.lang.Object)timeZone16);
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(date5, timeZone16);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent20 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date5);
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond();
    int i23 = fixedMillisecond21.compareTo((java.lang.Object)(short)10);
    java.util.Date date24 = fixedMillisecond21.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate26 = new org.jfree.data.time.SpreadsheetDate(100);
    int i27 = spreadsheetDate26.getDayOfWeek();
    java.lang.Class clazz28 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond29 = new org.jfree.data.time.FixedMillisecond();
    int i31 = fixedMillisecond29.compareTo((java.lang.Object)(short)10);
    java.util.Date date32 = fixedMillisecond29.getTime();
    java.util.TimeZone timeZone33 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz28, date32, timeZone33);
    java.util.TimeZone timeZone35 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(date32, timeZone35);
    boolean b37 = spreadsheetDate26.equals((java.lang.Object)timeZone35);
    org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(date24, timeZone35);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent39 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date24);
    org.jfree.data.time.FixedMillisecond fixedMillisecond40 = new org.jfree.data.time.FixedMillisecond();
    int i42 = fixedMillisecond40.compareTo((java.lang.Object)(short)10);
    java.util.Date date43 = fixedMillisecond40.getTime();
    java.lang.Class clazz44 = null;
    java.lang.Class clazz45 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond46 = new org.jfree.data.time.FixedMillisecond();
    int i48 = fixedMillisecond46.compareTo((java.lang.Object)(short)10);
    java.util.Date date49 = fixedMillisecond46.getTime();
    java.util.TimeZone timeZone50 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod51 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz45, date49, timeZone50);
    java.util.TimeZone timeZone52 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(date49, timeZone52);
    java.util.TimeZone timeZone54 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod55 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz44, date49, timeZone54);
    org.jfree.data.time.Day day56 = new org.jfree.data.time.Day(date43, timeZone54);
    org.jfree.data.time.Month month57 = new org.jfree.data.time.Month(date24, timeZone54);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod58 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz1, date5, timeZone54);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate60 = new org.jfree.data.time.SpreadsheetDate(100);
    int i61 = spreadsheetDate60.getDayOfWeek();
    java.lang.Class clazz62 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond63 = new org.jfree.data.time.FixedMillisecond();
    int i65 = fixedMillisecond63.compareTo((java.lang.Object)(short)10);
    java.util.Date date66 = fixedMillisecond63.getTime();
    java.util.TimeZone timeZone67 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod68 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz62, date66, timeZone67);
    java.util.TimeZone timeZone69 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month70 = new org.jfree.data.time.Month(date66, timeZone69);
    boolean b71 = spreadsheetDate60.equals((java.lang.Object)timeZone69);
    org.jfree.data.time.Year year72 = new org.jfree.data.time.Year(date5, timeZone69);
    java.util.Date date73 = year72.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate76 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate78 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b80 = spreadsheetDate78.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate81 = spreadsheetDate76.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate78);
    org.jfree.data.time.SerialDate serialDate82 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate76);
    java.util.Date date83 = spreadsheetDate76.toDate();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate85 = new org.jfree.data.time.SpreadsheetDate(100);
    int i86 = spreadsheetDate85.getDayOfWeek();
    java.lang.Class clazz87 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond88 = new org.jfree.data.time.FixedMillisecond();
    int i90 = fixedMillisecond88.compareTo((java.lang.Object)(short)10);
    java.util.Date date91 = fixedMillisecond88.getTime();
    java.util.TimeZone timeZone92 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod93 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz87, date91, timeZone92);
    java.util.TimeZone timeZone94 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month95 = new org.jfree.data.time.Month(date91, timeZone94);
    boolean b96 = spreadsheetDate85.equals((java.lang.Object)timeZone94);
    org.jfree.data.time.Month month97 = new org.jfree.data.time.Month(date83, timeZone94);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod98 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date73, timeZone94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod98);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.lang.Comparable comparable0 = null;
    java.lang.Class clazz3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries4 = new org.jfree.data.time.TimeSeries(comparable0, "Sun Feb 21 08:02:28 PST 2016", "21-February-2016", clazz3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.jfree.data.time.Year year2 = org.jfree.data.time.Year.parseYear("2016");
    java.lang.String str3 = year2.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month4 = new org.jfree.data.time.Month(98, year2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "2016"+ "'", str3.equals("2016"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getMonth();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate7 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b9 = spreadsheetDate7.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate10 = spreadsheetDate5.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate7);
    int i11 = spreadsheetDate5.toSerial();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(100);
    int i14 = spreadsheetDate13.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate16 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b17 = spreadsheetDate13.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate16);
    boolean b18 = spreadsheetDate5.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SerialDate serialDate19 = org.jfree.data.time.SerialDate.addMonths(1, (org.jfree.data.time.SerialDate)spreadsheetDate13);
    boolean b20 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate23 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate25 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b27 = spreadsheetDate25.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate28 = spreadsheetDate23.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate25);
    org.jfree.data.time.SerialDate serialDate29 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate23);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate31 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate34 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate36 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b38 = spreadsheetDate36.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate39 = spreadsheetDate34.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate36);
    org.jfree.data.time.SerialDate serialDate40 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate34);
    org.jfree.data.time.SerialDate serialDate42 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate44 = new org.jfree.data.time.SpreadsheetDate(100);
    int i45 = spreadsheetDate44.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate47 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b48 = spreadsheetDate44.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate47);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate50 = new org.jfree.data.time.SpreadsheetDate(100);
    int i51 = spreadsheetDate50.getDayOfWeek();
    boolean b52 = spreadsheetDate47.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate50);
    org.jfree.data.time.SerialDate serialDate53 = serialDate42.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate47);
    boolean b54 = spreadsheetDate34.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate47);
    boolean b55 = spreadsheetDate31.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate34);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate58 = new org.jfree.data.time.SpreadsheetDate(100);
    int i59 = spreadsheetDate58.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate61 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b62 = spreadsheetDate58.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate61);
    int i63 = spreadsheetDate58.getDayOfWeek();
    org.jfree.data.time.SerialDate serialDate64 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(1, (org.jfree.data.time.SerialDate)spreadsheetDate58);
    boolean b66 = spreadsheetDate23.isInRange((org.jfree.data.time.SerialDate)spreadsheetDate34, (org.jfree.data.time.SerialDate)spreadsheetDate58, 7);
    boolean b67 = spreadsheetDate13.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate58);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate69 = spreadsheetDate58.getPreviousDayOfWeek(11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2958465);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);

  }

  @Test
  public void test357() {}
// Defects4J: flaky method
//   @Test
//   public void test357() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     timeSeries2.fireSeriesChanged();
//     timeSeries2.setKey((java.lang.Comparable)(byte)10);
//     org.jfree.data.time.TimeSeries timeSeries8 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)10.0f);
//     org.jfree.data.time.Year year9 = new org.jfree.data.time.Year();
//     int i10 = year9.getYear();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem11 = timeSeries8.getDataItem((org.jfree.data.time.RegularTimePeriod)year9);
//     java.lang.Class clazz12 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond13 = new org.jfree.data.time.FixedMillisecond();
//     int i15 = fixedMillisecond13.compareTo((java.lang.Object)(short)10);
//     java.util.Date date16 = fixedMillisecond13.getTime();
//     java.util.TimeZone timeZone17 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz12, date16, timeZone17);
//     java.util.TimeZone timeZone19 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(date16, timeZone19);
//     org.jfree.data.time.Year year21 = month20.getYear();
//     int i23 = month20.compareTo((java.lang.Object)10);
//     int i24 = month20.getMonth();
//     org.jfree.data.time.TimeSeries timeSeries25 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)year9, (org.jfree.data.time.RegularTimePeriod)month20);
//     java.util.Calendar calendar26 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long27 = year9.getLastMillisecond(calendar26);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries25);
// 
//   }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("ERROR : Relative To String");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    timeSeries2.fireSeriesChanged();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem7 = timeSeries2.addOrUpdate(regularTimePeriod5, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));

  }

  @Test
  public void test360() {}
// Defects4J: flaky method
//   @Test
//   public void test360() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Date date3 = fixedMillisecond0.getEnd();
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i6 = spreadsheetDate5.getDayOfWeek();
//     java.lang.Class clazz7 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond8 = new org.jfree.data.time.FixedMillisecond();
//     int i10 = fixedMillisecond8.compareTo((java.lang.Object)(short)10);
//     java.util.Date date11 = fixedMillisecond8.getTime();
//     java.util.TimeZone timeZone12 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz7, date11, timeZone12);
//     java.util.TimeZone timeZone14 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(date11, timeZone14);
//     boolean b16 = spreadsheetDate5.equals((java.lang.Object)timeZone14);
//     org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(date3, timeZone14);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent18 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date3);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond19 = new org.jfree.data.time.FixedMillisecond();
//     int i21 = fixedMillisecond19.compareTo((java.lang.Object)(short)10);
//     java.util.Date date22 = fixedMillisecond19.getTime();
//     java.lang.Class clazz23 = null;
//     java.lang.Class clazz24 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond25 = new org.jfree.data.time.FixedMillisecond();
//     int i27 = fixedMillisecond25.compareTo((java.lang.Object)(short)10);
//     java.util.Date date28 = fixedMillisecond25.getTime();
//     java.util.TimeZone timeZone29 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod30 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz24, date28, timeZone29);
//     java.util.TimeZone timeZone31 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(date28, timeZone31);
//     java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz23, date28, timeZone33);
//     org.jfree.data.time.Day day35 = new org.jfree.data.time.Day(date22, timeZone33);
//     org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(date3, timeZone33);
//     long long37 = month36.getLastMillisecond();
//     java.util.Calendar calendar38 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long39 = month36.getLastMillisecond(calendar38);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == 1456819199999L);
// 
//   }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekInMonthToString(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "Last"+ "'", str1.equals("Last"));

  }

  @Test
  public void test363() {}
// Defects4J: flaky method
//   @Test
//   public void test363() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }
// 
// 
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i2 = spreadsheetDate1.getDayOfWeek();
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
//     boolean b5 = spreadsheetDate1.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
//     int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
//     java.util.Date date9 = fixedMillisecond6.getEnd();
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate11 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i12 = spreadsheetDate11.getDayOfWeek();
//     java.lang.Class clazz13 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getTime();
//     java.util.TimeZone timeZone18 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz13, date17, timeZone18);
//     java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(date17, timeZone20);
//     boolean b22 = spreadsheetDate11.equals((java.lang.Object)timeZone20);
//     org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(date9, timeZone20);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent24 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date9);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond25 = new org.jfree.data.time.FixedMillisecond();
//     int i27 = fixedMillisecond25.compareTo((java.lang.Object)(short)10);
//     java.util.Date date28 = fixedMillisecond25.getTime();
//     java.lang.Class clazz29 = null;
//     java.lang.Class clazz30 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond31 = new org.jfree.data.time.FixedMillisecond();
//     int i33 = fixedMillisecond31.compareTo((java.lang.Object)(short)10);
//     java.util.Date date34 = fixedMillisecond31.getTime();
//     java.util.TimeZone timeZone35 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz30, date34, timeZone35);
//     java.util.TimeZone timeZone37 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(date34, timeZone37);
//     java.util.TimeZone timeZone39 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod40 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz29, date34, timeZone39);
//     org.jfree.data.time.Day day41 = new org.jfree.data.time.Day(date28, timeZone39);
//     org.jfree.data.time.Month month42 = new org.jfree.data.time.Month(date9, timeZone39);
//     java.lang.String str43 = month42.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i44 = spreadsheetDate1.compareTo((java.lang.Object)str43);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str43 + "' != '" + "February 2016"+ "'", str43.equals("February 2016"));
// 
//   }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate((-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.jfree.data.general.SeriesException seriesException1 = new org.jfree.data.general.SeriesException("Nearest");
    java.lang.Throwable[] throwable_array2 = seriesException1.getSuppressed();
    java.lang.Throwable throwable3 = null;
    // The following exception was thrown during execution in test generation
    try {
      seriesException1.addSuppressed(throwable3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test366() {}
// Defects4J: flaky method
//   @Test
//   public void test366() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     boolean b3 = timeSeries2.getNotify();
//     java.lang.Class clazz4 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
//     int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
//     java.util.Date date8 = fixedMillisecond5.getTime();
//     java.util.TimeZone timeZone9 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
//     java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
//     org.jfree.data.time.Year year13 = month12.getYear();
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
//     int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
//     java.util.Date date18 = fixedMillisecond15.getTime();
//     java.util.TimeZone timeZone19 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
//     java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
//     org.jfree.data.time.Year year23 = month22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
//     long long25 = month12.getLastMillisecond();
//     int i26 = month12.getYearValue();
//     long long27 = month12.getLastMillisecond();
//     org.jfree.data.time.Year year28 = new org.jfree.data.time.Year();
//     int i30 = year28.compareTo((java.lang.Object)4);
//     int i31 = year28.getYear();
//     int i33 = year28.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = year28.next();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem36 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year28, 0.0d);
//     java.lang.Object obj37 = null;
//     int i38 = timeSeriesDataItem36.compareTo(obj37);
//     java.lang.Class clazz40 = null;
//     org.jfree.data.time.TimeSeries timeSeries41 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz40);
//     boolean b42 = timeSeries41.getNotify();
//     java.lang.Class clazz43 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond44 = new org.jfree.data.time.FixedMillisecond();
//     int i46 = fixedMillisecond44.compareTo((java.lang.Object)(short)10);
//     java.util.Date date47 = fixedMillisecond44.getTime();
//     java.util.TimeZone timeZone48 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod49 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz43, date47, timeZone48);
//     java.util.TimeZone timeZone50 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month51 = new org.jfree.data.time.Month(date47, timeZone50);
//     org.jfree.data.time.Year year52 = month51.getYear();
//     java.lang.Class clazz53 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond54 = new org.jfree.data.time.FixedMillisecond();
//     int i56 = fixedMillisecond54.compareTo((java.lang.Object)(short)10);
//     java.util.Date date57 = fixedMillisecond54.getTime();
//     java.util.TimeZone timeZone58 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod59 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz53, date57, timeZone58);
//     java.util.TimeZone timeZone60 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(date57, timeZone60);
//     org.jfree.data.time.Year year62 = month61.getYear();
//     org.jfree.data.time.TimeSeries timeSeries63 = timeSeries41.createCopy((org.jfree.data.time.RegularTimePeriod)month51, (org.jfree.data.time.RegularTimePeriod)year62);
//     int i64 = timeSeriesDataItem36.compareTo((java.lang.Object)month51);
//     long long65 = month51.getFirstMillisecond();
//     boolean b66 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)long27, (java.lang.Object)long65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 1456819199999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 1456819199999L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i31 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i38 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i46 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long65 == 1454313600000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b66 == false);
// 
//   }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz1 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond2 = new org.jfree.data.time.FixedMillisecond();
    int i4 = fixedMillisecond2.compareTo((java.lang.Object)(short)10);
    java.util.Date date5 = fixedMillisecond2.getTime();
    java.util.TimeZone timeZone6 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz1, date5, timeZone6);
    java.util.TimeZone timeZone8 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(date5, timeZone8);
    java.util.TimeZone timeZone10 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date5, timeZone10);
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day(date5);
    org.jfree.data.time.FixedMillisecond fixedMillisecond13 = new org.jfree.data.time.FixedMillisecond();
    int i15 = fixedMillisecond13.compareTo((java.lang.Object)(short)10);
    java.util.Date date16 = fixedMillisecond13.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate18 = new org.jfree.data.time.SpreadsheetDate(100);
    int i19 = spreadsheetDate18.getDayOfWeek();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond();
    int i23 = fixedMillisecond21.compareTo((java.lang.Object)(short)10);
    java.util.Date date24 = fixedMillisecond21.getTime();
    java.util.TimeZone timeZone25 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod26 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz20, date24, timeZone25);
    java.util.TimeZone timeZone27 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(date24, timeZone27);
    boolean b29 = spreadsheetDate18.equals((java.lang.Object)timeZone27);
    org.jfree.data.time.Month month30 = new org.jfree.data.time.Month(date16, timeZone27);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent31 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date16);
    org.jfree.data.time.FixedMillisecond fixedMillisecond32 = new org.jfree.data.time.FixedMillisecond();
    int i34 = fixedMillisecond32.compareTo((java.lang.Object)(short)10);
    java.util.Date date35 = fixedMillisecond32.getTime();
    java.lang.Class clazz36 = null;
    java.lang.Class clazz37 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond38 = new org.jfree.data.time.FixedMillisecond();
    int i40 = fixedMillisecond38.compareTo((java.lang.Object)(short)10);
    java.util.Date date41 = fixedMillisecond38.getTime();
    java.util.TimeZone timeZone42 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod43 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz37, date41, timeZone42);
    java.util.TimeZone timeZone44 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(date41, timeZone44);
    java.util.TimeZone timeZone46 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod47 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz36, date41, timeZone46);
    org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(date35, timeZone46);
    org.jfree.data.time.Month month49 = new org.jfree.data.time.Month(date16, timeZone46);
    org.jfree.data.time.Day day50 = new org.jfree.data.time.Day(date5, timeZone46);
    java.util.Calendar calendar51 = null;
    // The following exception was thrown during execution in test generation
    try {
      day50.peg(calendar51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod47);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getItemCount();
    org.jfree.data.time.Day day5 = new org.jfree.data.time.Day();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = day5.previous();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(regularTimePeriod6, (java.lang.Number)1456070545445L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    java.util.Date date0 = null;
    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz2);
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    timeSeries3.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod14 = day10.next();
    java.util.Date date15 = regularTimePeriod14.getStart();
    java.lang.Class clazz16 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond17 = new org.jfree.data.time.FixedMillisecond();
    int i19 = fixedMillisecond17.compareTo((java.lang.Object)(short)10);
    java.util.Date date20 = fixedMillisecond17.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate22 = new org.jfree.data.time.SpreadsheetDate(100);
    int i23 = spreadsheetDate22.getDayOfWeek();
    java.lang.Class clazz24 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond25 = new org.jfree.data.time.FixedMillisecond();
    int i27 = fixedMillisecond25.compareTo((java.lang.Object)(short)10);
    java.util.Date date28 = fixedMillisecond25.getTime();
    java.util.TimeZone timeZone29 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod30 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz24, date28, timeZone29);
    java.util.TimeZone timeZone31 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(date28, timeZone31);
    boolean b33 = spreadsheetDate22.equals((java.lang.Object)timeZone31);
    org.jfree.data.time.Month month34 = new org.jfree.data.time.Month(date20, timeZone31);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent35 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date20);
    org.jfree.data.time.FixedMillisecond fixedMillisecond36 = new org.jfree.data.time.FixedMillisecond();
    int i38 = fixedMillisecond36.compareTo((java.lang.Object)(short)10);
    java.util.Date date39 = fixedMillisecond36.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate41 = new org.jfree.data.time.SpreadsheetDate(100);
    int i42 = spreadsheetDate41.getDayOfWeek();
    java.lang.Class clazz43 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond44 = new org.jfree.data.time.FixedMillisecond();
    int i46 = fixedMillisecond44.compareTo((java.lang.Object)(short)10);
    java.util.Date date47 = fixedMillisecond44.getTime();
    java.util.TimeZone timeZone48 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod49 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz43, date47, timeZone48);
    java.util.TimeZone timeZone50 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month51 = new org.jfree.data.time.Month(date47, timeZone50);
    boolean b52 = spreadsheetDate41.equals((java.lang.Object)timeZone50);
    org.jfree.data.time.Month month53 = new org.jfree.data.time.Month(date39, timeZone50);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent54 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date39);
    org.jfree.data.time.FixedMillisecond fixedMillisecond55 = new org.jfree.data.time.FixedMillisecond();
    int i57 = fixedMillisecond55.compareTo((java.lang.Object)(short)10);
    java.util.Date date58 = fixedMillisecond55.getTime();
    java.lang.Class clazz59 = null;
    java.lang.Class clazz60 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond61 = new org.jfree.data.time.FixedMillisecond();
    int i63 = fixedMillisecond61.compareTo((java.lang.Object)(short)10);
    java.util.Date date64 = fixedMillisecond61.getTime();
    java.util.TimeZone timeZone65 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod66 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz60, date64, timeZone65);
    java.util.TimeZone timeZone67 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month68 = new org.jfree.data.time.Month(date64, timeZone67);
    java.util.TimeZone timeZone69 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod70 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz59, date64, timeZone69);
    org.jfree.data.time.Day day71 = new org.jfree.data.time.Day(date58, timeZone69);
    org.jfree.data.time.Month month72 = new org.jfree.data.time.Month(date39, timeZone69);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod73 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz16, date20, timeZone69);
    org.jfree.data.time.Day day74 = new org.jfree.data.time.Day(date15, timeZone69);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month75 = new org.jfree.data.time.Month(date0, timeZone69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod73);

  }

  @Test
  public void test370() {}
// Defects4J: flaky method
//   @Test
//   public void test370() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     boolean b3 = timeSeries2.getNotify();
//     java.lang.Class clazz4 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
//     int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
//     java.util.Date date8 = fixedMillisecond5.getTime();
//     java.util.TimeZone timeZone9 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
//     java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
//     org.jfree.data.time.Year year13 = month12.getYear();
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
//     int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
//     java.util.Date date18 = fixedMillisecond15.getTime();
//     java.util.TimeZone timeZone19 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
//     java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
//     org.jfree.data.time.Year year23 = month22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent25 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)year23);
//     java.lang.String str26 = year23.toString();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond27 = new org.jfree.data.time.FixedMillisecond();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
//     int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
//     java.util.Date date31 = fixedMillisecond28.getTime();
//     long long32 = fixedMillisecond28.getMiddleMillisecond();
//     boolean b33 = fixedMillisecond27.equals((java.lang.Object)long32);
//     boolean b34 = year23.equals((java.lang.Object)long32);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod35 = year23.next();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str26 + "' != '" + "2016"+ "'", str26.equals("2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long32 == 1456070549822L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b33 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b34 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod35);
// 
//   }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz2);
    boolean b4 = timeSeries3.getNotify();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem14 = timeSeries3.getDataItem((org.jfree.data.time.RegularTimePeriod)day11);
    org.jfree.data.time.SerialDate serialDate15 = day11.getSerialDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(21, serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(7, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Jul"+ "'", str2.equals("Jul"));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate5.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate3.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate5);
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate3);
    org.jfree.data.time.SerialDate serialDate11 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(100);
    int i14 = spreadsheetDate13.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate16 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b17 = spreadsheetDate13.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate16);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate19 = new org.jfree.data.time.SpreadsheetDate(100);
    int i20 = spreadsheetDate19.getDayOfWeek();
    boolean b21 = spreadsheetDate16.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate19);
    org.jfree.data.time.SerialDate serialDate22 = serialDate11.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate16);
    boolean b23 = spreadsheetDate3.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate16);
    java.lang.Class clazz25 = null;
    org.jfree.data.time.TimeSeries timeSeries26 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz25);
    boolean b27 = timeSeries26.getNotify();
    java.lang.Class clazz29 = null;
    org.jfree.data.time.TimeSeries timeSeries30 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz29);
    java.lang.String str31 = timeSeries30.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate33 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day34 = new org.jfree.data.time.Day(serialDate33);
    long long35 = day34.getLastMillisecond();
    timeSeries30.delete((org.jfree.data.time.RegularTimePeriod)day34);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem37 = timeSeries26.getDataItem((org.jfree.data.time.RegularTimePeriod)day34);
    org.jfree.data.time.SerialDate serialDate38 = day34.getSerialDate();
    org.jfree.data.time.SerialDate serialDate40 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate42 = new org.jfree.data.time.SpreadsheetDate(100);
    int i43 = spreadsheetDate42.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate45 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b46 = spreadsheetDate42.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate45);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate48 = new org.jfree.data.time.SpreadsheetDate(100);
    int i49 = spreadsheetDate48.getDayOfWeek();
    boolean b50 = spreadsheetDate45.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate48);
    org.jfree.data.time.SerialDate serialDate51 = serialDate40.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate45);
    boolean b53 = spreadsheetDate16.isInRange(serialDate38, (org.jfree.data.time.SerialDate)spreadsheetDate45, 31);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate54 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(0, (org.jfree.data.time.SerialDate)spreadsheetDate16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "Time"+ "'", str31.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    java.lang.Class clazz38 = null;
    org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
    boolean b40 = timeSeries39.getNotify();
    int i41 = timeSeries39.getMaximumItemCount();
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
    java.lang.String str45 = timeSeries44.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
    long long49 = day48.getLastMillisecond();
    timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
    java.lang.Object obj51 = timeSeries44.clone();
    org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
    timeSeries54.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
    boolean b58 = timeSeries54.isEmpty();
    boolean b59 = timeSeries54.getNotify();
    org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod61 = timeSeries54.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries60);

  }

  @Test
  public void test375() {}
// Defects4J: flaky method
//   @Test
//   public void test375() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     java.lang.Class clazz13 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getTime();
//     java.util.TimeZone timeZone18 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz13, date17, timeZone18);
//     java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(date17, timeZone20);
//     java.lang.String str22 = month21.toString();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem24 = timeSeries12.addOrUpdate((org.jfree.data.time.RegularTimePeriod)month21, (java.lang.Number)8);
//     java.lang.String str25 = month21.toString();
//     java.util.Calendar calendar26 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long27 = month21.getFirstMillisecond(calendar26);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "February 2016"+ "'", str22.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "February 2016"+ "'", str25.equals("February 2016"));
// 
//   }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    java.lang.String[] str_array1 = org.jfree.data.time.SerialDate.getMonths(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test377() {}
// Defects4J: flaky method
//   @Test
//   public void test377() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     int i4 = timeSeries2.getItemCount();
//     java.beans.PropertyChangeListener propertyChangeListener5 = null;
//     timeSeries2.removePropertyChangeListener(propertyChangeListener5);
//     int i7 = timeSeries2.getMaximumItemCount();
//     java.util.List list8 = timeSeries2.getItems();
//     java.lang.Class clazz9 = timeSeries2.getTimePeriodClass();
//     java.lang.Class clazz11 = null;
//     org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz11);
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
//     java.lang.String str16 = timeSeries15.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day19 = new org.jfree.data.time.Day(serialDate18);
//     long long20 = day19.getLastMillisecond();
//     timeSeries15.delete((org.jfree.data.time.RegularTimePeriod)day19);
//     timeSeries12.delete((org.jfree.data.time.RegularTimePeriod)day19);
//     org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries12);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond24 = new org.jfree.data.time.FixedMillisecond();
//     int i26 = fixedMillisecond24.compareTo((java.lang.Object)(short)10);
//     long long27 = fixedMillisecond24.getMiddleMillisecond();
//     long long28 = fixedMillisecond24.getMiddleMillisecond();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond24, (java.lang.Number)2L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(clazz9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Time"+ "'", str16.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 1456070550135L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long28 == 1456070550135L);
// 
//   }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString((-460));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() {}
// Defects4J: flaky method
//   @Test
//   public void test379() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }
// 
// 
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate6 = new org.jfree.data.time.SpreadsheetDate(100);
//     boolean b8 = spreadsheetDate6.equals((java.lang.Object)"2016");
//     org.jfree.data.time.SerialDate serialDate9 = spreadsheetDate4.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate6);
//     org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate4);
//     org.jfree.data.time.SerialDate serialDate12 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate14 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i15 = spreadsheetDate14.getDayOfWeek();
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate17 = new org.jfree.data.time.SpreadsheetDate(100);
//     boolean b18 = spreadsheetDate14.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate17);
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate20 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i21 = spreadsheetDate20.getDayOfWeek();
//     boolean b22 = spreadsheetDate17.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate20);
//     org.jfree.data.time.SerialDate serialDate23 = serialDate12.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate17);
//     boolean b24 = spreadsheetDate4.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate17);
//     boolean b25 = spreadsheetDate1.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate4);
//     java.lang.Class clazz27 = null;
//     org.jfree.data.time.TimeSeries timeSeries28 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz27);
//     boolean b29 = timeSeries28.getNotify();
//     java.lang.Class clazz30 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond31 = new org.jfree.data.time.FixedMillisecond();
//     int i33 = fixedMillisecond31.compareTo((java.lang.Object)(short)10);
//     java.util.Date date34 = fixedMillisecond31.getTime();
//     java.util.TimeZone timeZone35 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz30, date34, timeZone35);
//     java.util.TimeZone timeZone37 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(date34, timeZone37);
//     org.jfree.data.time.Year year39 = month38.getYear();
//     java.lang.Class clazz40 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond41 = new org.jfree.data.time.FixedMillisecond();
//     int i43 = fixedMillisecond41.compareTo((java.lang.Object)(short)10);
//     java.util.Date date44 = fixedMillisecond41.getTime();
//     java.util.TimeZone timeZone45 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz40, date44, timeZone45);
//     java.util.TimeZone timeZone47 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month48 = new org.jfree.data.time.Month(date44, timeZone47);
//     org.jfree.data.time.Year year49 = month48.getYear();
//     org.jfree.data.time.TimeSeries timeSeries50 = timeSeries28.createCopy((org.jfree.data.time.RegularTimePeriod)month38, (org.jfree.data.time.RegularTimePeriod)year49);
//     long long51 = month38.getLastMillisecond();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i52 = spreadsheetDate4.compareTo((java.lang.Object)long51);
//       org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
//     } catch (java.lang.ClassCastException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b8 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b25 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b29 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long51 == 1456819199999L);
// 
//   }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month16.previous();
    org.jfree.data.time.Year year18 = new org.jfree.data.time.Year();
    int i20 = year18.compareTo((java.lang.Object)4);
    int i21 = year18.getYear();
    int i23 = year18.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = year18.next();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries2.createCopy(regularTimePeriod17, (org.jfree.data.time.RegularTimePeriod)year18);
    int i26 = year18.getYear();
    java.util.Date date27 = year18.getEnd();
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getEnd();
    boolean b33 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond28, (java.lang.Object)7);
    java.util.Date date34 = fixedMillisecond28.getTime();
    java.lang.Class clazz35 = null;
    java.lang.Class clazz36 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond37 = new org.jfree.data.time.FixedMillisecond();
    int i39 = fixedMillisecond37.compareTo((java.lang.Object)(short)10);
    java.util.Date date40 = fixedMillisecond37.getTime();
    java.util.TimeZone timeZone41 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod42 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz36, date40, timeZone41);
    java.util.TimeZone timeZone43 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(date40, timeZone43);
    java.util.TimeZone timeZone45 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz35, date40, timeZone45);
    org.jfree.data.time.Month month47 = new org.jfree.data.time.Month(date34, timeZone45);
    org.jfree.data.time.Year year48 = new org.jfree.data.time.Year(date27, timeZone45);
    java.util.Calendar calendar49 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long50 = year48.getLastMillisecond(calendar49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod46);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceRelativeAsStream("", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("Last");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() {}
// Defects4J: flaky method
//   @Test
//   public void test383() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
//     java.lang.Class clazz4 = null;
//     org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz4);
//     java.lang.String str6 = timeSeries5.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(serialDate8);
//     long long10 = day9.getLastMillisecond();
//     timeSeries5.delete((org.jfree.data.time.RegularTimePeriod)day9);
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day9);
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
//     boolean b16 = timeSeries15.getNotify();
//     java.lang.Class clazz18 = null;
//     org.jfree.data.time.TimeSeries timeSeries19 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz18);
//     java.lang.String str20 = timeSeries19.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate22 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day23 = new org.jfree.data.time.Day(serialDate22);
//     long long24 = day23.getLastMillisecond();
//     timeSeries19.delete((org.jfree.data.time.RegularTimePeriod)day23);
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem26 = timeSeries15.getDataItem((org.jfree.data.time.RegularTimePeriod)day23);
//     java.lang.Class clazz27 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
//     int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
//     java.util.Date date31 = fixedMillisecond28.getTime();
//     java.util.TimeZone timeZone32 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz27, date31, timeZone32);
//     java.util.TimeZone timeZone34 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date31, timeZone34);
//     java.lang.String str36 = month35.toString();
//     int i37 = month35.getMonth();
//     org.jfree.data.time.Year year38 = month35.getYear();
//     int i39 = day23.compareTo((java.lang.Object)year38);
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem41 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year38, (java.lang.Number)1455566399999L);
//     boolean b42 = day9.equals((java.lang.Object)year38);
//     java.lang.Class clazz44 = null;
//     org.jfree.data.time.TimeSeries timeSeries45 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz44);
//     java.lang.String str46 = timeSeries45.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate48 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day49 = new org.jfree.data.time.Day(serialDate48);
//     long long50 = day49.getLastMillisecond();
//     timeSeries45.delete((org.jfree.data.time.RegularTimePeriod)day49);
//     java.lang.Object obj52 = timeSeries45.clone();
//     org.jfree.data.time.TimeSeries timeSeries55 = timeSeries45.createCopy(2, 7);
//     int i56 = timeSeries55.getMaximumItemCount();
//     java.lang.Class clazz58 = null;
//     org.jfree.data.time.TimeSeries timeSeries59 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz58);
//     java.lang.String str60 = timeSeries59.getDomainDescription();
//     int i61 = timeSeries59.getItemCount();
//     java.util.List list62 = timeSeries59.getItems();
//     org.jfree.data.time.TimeSeries timeSeries63 = timeSeries55.addAndOrUpdate(timeSeries59);
//     java.lang.String str64 = timeSeries55.getDomainDescription();
//     int i65 = day9.compareTo((java.lang.Object)str64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Time"+ "'", str20.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long24 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i30 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str36 + "' != '" + "February 2016"+ "'", str36.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i37 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str46 + "' != '" + "Time"+ "'", str46.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long50 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i56 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str60 + "' != '" + "Time"+ "'", str60.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i61 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str64 + "' != '" + "Time"+ "'", str64.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 1);
// 
//   }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    java.lang.String str21 = timeSeries17.getRangeDescription();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem23 = timeSeries17.getDataItem(16);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));

  }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Date date3 = fixedMillisecond0.getEnd();
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i6 = spreadsheetDate5.getDayOfWeek();
//     java.lang.Class clazz7 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond8 = new org.jfree.data.time.FixedMillisecond();
//     int i10 = fixedMillisecond8.compareTo((java.lang.Object)(short)10);
//     java.util.Date date11 = fixedMillisecond8.getTime();
//     java.util.TimeZone timeZone12 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz7, date11, timeZone12);
//     java.util.TimeZone timeZone14 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(date11, timeZone14);
//     boolean b16 = spreadsheetDate5.equals((java.lang.Object)timeZone14);
//     org.jfree.data.time.Month month17 = new org.jfree.data.time.Month(date3, timeZone14);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent18 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date3);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond19 = new org.jfree.data.time.FixedMillisecond();
//     int i21 = fixedMillisecond19.compareTo((java.lang.Object)(short)10);
//     java.util.Date date22 = fixedMillisecond19.getTime();
//     java.lang.Class clazz23 = null;
//     java.lang.Class clazz24 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond25 = new org.jfree.data.time.FixedMillisecond();
//     int i27 = fixedMillisecond25.compareTo((java.lang.Object)(short)10);
//     java.util.Date date28 = fixedMillisecond25.getTime();
//     java.util.TimeZone timeZone29 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod30 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz24, date28, timeZone29);
//     java.util.TimeZone timeZone31 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month32 = new org.jfree.data.time.Month(date28, timeZone31);
//     java.util.TimeZone timeZone33 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod34 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz23, date28, timeZone33);
//     org.jfree.data.time.Day day35 = new org.jfree.data.time.Day(date22, timeZone33);
//     org.jfree.data.time.Month month36 = new org.jfree.data.time.Month(date3, timeZone33);
//     long long37 = month36.getLastMillisecond();
//     java.util.Calendar calendar38 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long39 = month36.getFirstMillisecond(calendar38);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i21 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == 1456819199999L);
// 
//   }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month16.previous();
    org.jfree.data.time.Year year18 = new org.jfree.data.time.Year();
    int i20 = year18.compareTo((java.lang.Object)4);
    int i21 = year18.getYear();
    int i23 = year18.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = year18.next();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries2.createCopy(regularTimePeriod17, (org.jfree.data.time.RegularTimePeriod)year18);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete((-459), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    org.jfree.data.time.Year year3 = new org.jfree.data.time.Year();
    int i5 = year3.compareTo((java.lang.Object)4);
    long long6 = year3.getFirstMillisecond();
    int i7 = year3.getYear();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)year3);
    org.jfree.data.time.FixedMillisecond fixedMillisecond9 = new org.jfree.data.time.FixedMillisecond();
    int i11 = fixedMillisecond9.compareTo((java.lang.Object)(short)10);
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)fixedMillisecond9);
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
    java.lang.String str16 = timeSeries15.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day19 = new org.jfree.data.time.Day(serialDate18);
    long long20 = day19.getLastMillisecond();
    timeSeries15.delete((org.jfree.data.time.RegularTimePeriod)day19);
    java.lang.Object obj22 = timeSeries15.clone();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries15.createCopy(2, 7);
    java.lang.String str26 = timeSeries25.getDescription();
    java.lang.Class clazz28 = null;
    org.jfree.data.time.TimeSeries timeSeries29 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz28);
    boolean b30 = timeSeries29.getNotify();
    int i31 = timeSeries29.getMaximumItemCount();
    java.lang.Class clazz33 = null;
    org.jfree.data.time.TimeSeries timeSeries34 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz33);
    java.lang.String str35 = timeSeries34.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate37 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day38 = new org.jfree.data.time.Day(serialDate37);
    long long39 = day38.getLastMillisecond();
    timeSeries34.delete((org.jfree.data.time.RegularTimePeriod)day38);
    java.lang.Object obj41 = timeSeries34.clone();
    org.jfree.data.time.TimeSeries timeSeries44 = timeSeries34.createCopy(2, 7);
    timeSeries44.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries47 = timeSeries29.addAndOrUpdate(timeSeries44);
    java.lang.String str48 = timeSeries44.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries49 = timeSeries25.addAndOrUpdate(timeSeries44);
    int i50 = fixedMillisecond9.compareTo((java.lang.Object)timeSeries25);
    timeSeries25.setMaximumItemCount(2);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries25.removeAgedItems(1456070543647L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1451635200000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Time"+ "'", str16.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Time"+ "'", str35.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "hi!"+ "'", str48.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem8 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year0, 0.0d);
    java.lang.Object obj9 = null;
    int i10 = timeSeriesDataItem8.compareTo(obj9);
    java.lang.Class clazz12 = null;
    org.jfree.data.time.TimeSeries timeSeries13 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz12);
    boolean b14 = timeSeries13.getNotify();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond();
    int i18 = fixedMillisecond16.compareTo((java.lang.Object)(short)10);
    java.util.Date date19 = fixedMillisecond16.getTime();
    java.util.TimeZone timeZone20 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz15, date19, timeZone20);
    java.util.TimeZone timeZone22 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(date19, timeZone22);
    org.jfree.data.time.Year year24 = month23.getYear();
    java.lang.Class clazz25 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond();
    int i28 = fixedMillisecond26.compareTo((java.lang.Object)(short)10);
    java.util.Date date29 = fixedMillisecond26.getTime();
    java.util.TimeZone timeZone30 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz25, date29, timeZone30);
    java.util.TimeZone timeZone32 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(date29, timeZone32);
    org.jfree.data.time.Year year34 = month33.getYear();
    org.jfree.data.time.TimeSeries timeSeries35 = timeSeries13.createCopy((org.jfree.data.time.RegularTimePeriod)month23, (org.jfree.data.time.RegularTimePeriod)year34);
    int i36 = timeSeriesDataItem8.compareTo((java.lang.Object)month23);
    java.lang.Number number37 = timeSeriesDataItem8.getValue();
    java.lang.Number number38 = null;
    timeSeriesDataItem8.setValue(number38);
    java.lang.Number number40 = timeSeriesDataItem8.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 0.0d+ "'", number37.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.String str9 = timeSeries2.getRangeDescription();
    timeSeries2.setRangeDescription("");
    timeSeries2.setNotify(false);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod14 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.delete(regularTimePeriod14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Value"+ "'", str9.equals("Value"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("ClassContext", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    timeSeries2.setMaximumItemAge(1456070543177L);
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz10);
    java.lang.String str12 = timeSeries11.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate14 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day15 = new org.jfree.data.time.Day(serialDate14);
    long long16 = day15.getLastMillisecond();
    timeSeries11.delete((org.jfree.data.time.RegularTimePeriod)day15);
    java.lang.Object obj18 = timeSeries11.clone();
    org.jfree.data.time.TimeSeries timeSeries21 = timeSeries11.createCopy(2, 7);
    org.jfree.data.time.Month month24 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod25 = month24.previous();
    timeSeries11.setKey((java.lang.Comparable)month24);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem28 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month24, 0.0d);
    java.lang.Object obj29 = new java.lang.Object();
    boolean b30 = timeSeriesDataItem28.equals(obj29);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Time"+ "'", str12.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.jfree.data.general.SeriesException seriesException1 = new org.jfree.data.general.SeriesException("");
    java.lang.Throwable throwable2 = null;
    // The following exception was thrown during execution in test generation
    try {
      seriesException1.addSuppressed(throwable2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() {}
// Defects4J: flaky method
//   @Test
//   public void test393() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     timeSeries12.setRangeDescription("hi!");
//     timeSeries12.removeAgedItems(false);
//     int i17 = timeSeries12.getMaximumItemCount();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond();
//     java.util.Calendar calendar19 = null;
//     long long20 = fixedMillisecond18.getFirstMillisecond(calendar19);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = fixedMillisecond18.next();
//     org.jfree.data.time.Year year22 = new org.jfree.data.time.Year();
//     int i24 = year22.compareTo((java.lang.Object)4);
//     long long25 = year22.getFirstMillisecond();
//     int i26 = year22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries27 = timeSeries12.createCopy(regularTimePeriod21, (org.jfree.data.time.RegularTimePeriod)year22);
//     timeSeries12.setDomainDescription("ClassContext");
//     org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond();
//     int i32 = fixedMillisecond30.compareTo((java.lang.Object)(short)10);
//     java.util.Date date33 = fixedMillisecond30.getTime();
//     long long34 = fixedMillisecond30.getMiddleMillisecond();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem35 = timeSeries12.getDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond30);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries12.add(regularTimePeriod36, 10.0d, true);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 1456070551159L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long34 == 1456070551161L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem35);
// 
//   }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(10, 11, 2147483647);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    org.jfree.data.time.TimeSeries timeSeries9 = timeSeries2.createCopy(12, 98);
    int i10 = timeSeries2.getItemCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate4.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate4);
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate2);
    java.util.Date date9 = spreadsheetDate2.toDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate11 = spreadsheetDate2.getFollowingDayOfWeek(12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(2958465, 1964, 7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    boolean b14 = timeSeries2.isEmpty();
    org.jfree.data.time.Year year15 = new org.jfree.data.time.Year();
    int i17 = year15.compareTo((java.lang.Object)4);
    int i18 = year15.getYear();
    int i20 = year15.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = year15.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem23 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year15, 0.0d);
    java.lang.Object obj24 = null;
    int i25 = timeSeriesDataItem23.compareTo(obj24);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    int i5 = spreadsheetDate4.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate7 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b8 = spreadsheetDate4.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate7);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate10 = new org.jfree.data.time.SpreadsheetDate(100);
    int i11 = spreadsheetDate10.getDayOfWeek();
    boolean b12 = spreadsheetDate7.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate10);
    org.jfree.data.time.SerialDate serialDate13 = serialDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate7);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate14 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(9999, (org.jfree.data.time.SerialDate)spreadsheetDate7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate13);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(98, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("May", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    timeSeries17.setDomainDescription("org.jfree.data.general.SeriesException: ThreadContext");
    timeSeries17.setMaximumItemAge(1456070541168L);
    java.lang.Class clazz25 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond();
    int i28 = fixedMillisecond26.compareTo((java.lang.Object)(short)10);
    java.util.Date date29 = fixedMillisecond26.getTime();
    java.util.TimeZone timeZone30 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz25, date29, timeZone30);
    java.util.TimeZone timeZone32 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(date29, timeZone32);
    org.jfree.data.time.Year year34 = new org.jfree.data.time.Year(date29);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod35 = year34.previous();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem37 = timeSeries17.addOrUpdate((org.jfree.data.time.RegularTimePeriod)year34, (java.lang.Number)2016L);
    timeSeries17.setDescription("SerialDate.weekInMonthToString(): invalid code.");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem37);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    int i4 = spreadsheetDate3.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate6 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate3.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate6);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate9 = new org.jfree.data.time.SpreadsheetDate(100);
    int i10 = spreadsheetDate9.getDayOfWeek();
    boolean b11 = spreadsheetDate6.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate9);
    org.jfree.data.time.SerialDate serialDate12 = serialDate1.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate6);
    int i13 = spreadsheetDate6.toSerial();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate16 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate18 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b20 = spreadsheetDate18.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate21 = spreadsheetDate16.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate18);
    org.jfree.data.time.SerialDate serialDate22 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate16);
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate26 = new org.jfree.data.time.SpreadsheetDate(100);
    int i27 = spreadsheetDate26.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate29 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b30 = spreadsheetDate26.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate29);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate32 = new org.jfree.data.time.SpreadsheetDate(100);
    int i33 = spreadsheetDate32.getDayOfWeek();
    boolean b34 = spreadsheetDate29.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate32);
    org.jfree.data.time.SerialDate serialDate35 = serialDate24.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate29);
    boolean b36 = spreadsheetDate16.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate29);
    java.lang.Class clazz38 = null;
    org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
    boolean b40 = timeSeries39.getNotify();
    java.lang.Class clazz42 = null;
    org.jfree.data.time.TimeSeries timeSeries43 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz42);
    java.lang.String str44 = timeSeries43.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate46 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day47 = new org.jfree.data.time.Day(serialDate46);
    long long48 = day47.getLastMillisecond();
    timeSeries43.delete((org.jfree.data.time.RegularTimePeriod)day47);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem50 = timeSeries39.getDataItem((org.jfree.data.time.RegularTimePeriod)day47);
    org.jfree.data.time.SerialDate serialDate51 = day47.getSerialDate();
    org.jfree.data.time.SerialDate serialDate53 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate55 = new org.jfree.data.time.SpreadsheetDate(100);
    int i56 = spreadsheetDate55.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate58 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b59 = spreadsheetDate55.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate58);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate61 = new org.jfree.data.time.SpreadsheetDate(100);
    int i62 = spreadsheetDate61.getDayOfWeek();
    boolean b63 = spreadsheetDate58.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate61);
    org.jfree.data.time.SerialDate serialDate64 = serialDate53.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate58);
    boolean b66 = spreadsheetDate29.isInRange(serialDate51, (org.jfree.data.time.SerialDate)spreadsheetDate58, 31);
    int i67 = spreadsheetDate29.getYYYY();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate69 = new org.jfree.data.time.SpreadsheetDate(100);
    int i70 = spreadsheetDate69.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate72 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b73 = spreadsheetDate69.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate72);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate75 = new org.jfree.data.time.SpreadsheetDate(100);
    int i76 = spreadsheetDate75.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate78 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b79 = spreadsheetDate75.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate78);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate81 = new org.jfree.data.time.SpreadsheetDate(100);
    int i82 = spreadsheetDate81.getDayOfWeek();
    boolean b83 = spreadsheetDate78.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate81);
    int i84 = spreadsheetDate72.compare((org.jfree.data.time.SerialDate)spreadsheetDate81);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate86 = new org.jfree.data.time.SpreadsheetDate(100);
    int i87 = spreadsheetDate86.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate89 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b90 = spreadsheetDate86.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate89);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate92 = new org.jfree.data.time.SpreadsheetDate(100);
    int i93 = spreadsheetDate92.getDayOfWeek();
    boolean b94 = spreadsheetDate89.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate92);
    boolean b95 = spreadsheetDate81.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate92);
    boolean b96 = spreadsheetDate29.isBefore((org.jfree.data.time.SerialDate)spreadsheetDate92);
    boolean b97 = spreadsheetDate6.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate92);
    int i98 = spreadsheetDate6.getDayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "Time"+ "'", str44.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long48 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i93 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i98 == 9);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = year0.next();
    java.lang.Class clazz8 = null;
    org.jfree.data.time.TimeSeries timeSeries9 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz8);
    boolean b10 = timeSeries9.getNotify();
    int i11 = timeSeries9.getMaximumItemCount();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.TimeSeries timeSeries14 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz13);
    java.lang.String str15 = timeSeries14.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate17 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day18 = new org.jfree.data.time.Day(serialDate17);
    long long19 = day18.getLastMillisecond();
    timeSeries14.delete((org.jfree.data.time.RegularTimePeriod)day18);
    java.lang.Object obj21 = timeSeries14.clone();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries14.createCopy(2, 7);
    timeSeries24.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries27 = timeSeries9.addAndOrUpdate(timeSeries24);
    timeSeries24.setDomainDescription("org.jfree.data.general.SeriesException: ThreadContext");
    timeSeries24.setMaximumItemAge(1456070541168L);
    java.lang.Comparable comparable32 = timeSeries24.getKey();
    timeSeries24.fireSeriesChanged();
    int i34 = year0.compareTo((java.lang.Object)timeSeries24);
    java.util.Calendar calendar35 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Time"+ "'", str15.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + comparable32 + "' != '" + 1+ "'", comparable32.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate4.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate4);
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate10 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate15 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b17 = spreadsheetDate15.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate18 = spreadsheetDate13.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate15);
    org.jfree.data.time.SerialDate serialDate19 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate23 = new org.jfree.data.time.SpreadsheetDate(100);
    int i24 = spreadsheetDate23.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate26 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b27 = spreadsheetDate23.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate26);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate29 = new org.jfree.data.time.SpreadsheetDate(100);
    int i30 = spreadsheetDate29.getDayOfWeek();
    boolean b31 = spreadsheetDate26.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate29);
    org.jfree.data.time.SerialDate serialDate32 = serialDate21.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate26);
    boolean b33 = spreadsheetDate13.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate26);
    boolean b34 = spreadsheetDate10.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate37 = new org.jfree.data.time.SpreadsheetDate(100);
    int i38 = spreadsheetDate37.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate40 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b41 = spreadsheetDate37.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate40);
    int i42 = spreadsheetDate37.getDayOfWeek();
    org.jfree.data.time.SerialDate serialDate43 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(1, (org.jfree.data.time.SerialDate)spreadsheetDate37);
    boolean b45 = spreadsheetDate2.isInRange((org.jfree.data.time.SerialDate)spreadsheetDate13, (org.jfree.data.time.SerialDate)spreadsheetDate37, 7);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate47 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate49 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b51 = spreadsheetDate49.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate52 = spreadsheetDate47.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate49);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate54 = new org.jfree.data.time.SpreadsheetDate(100);
    int i55 = spreadsheetDate54.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate57 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b58 = spreadsheetDate54.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate57);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate60 = new org.jfree.data.time.SpreadsheetDate(100);
    int i61 = spreadsheetDate60.getDayOfWeek();
    boolean b62 = spreadsheetDate57.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate60);
    boolean b63 = spreadsheetDate13.isInRange((org.jfree.data.time.SerialDate)spreadsheetDate49, (org.jfree.data.time.SerialDate)spreadsheetDate57);
    org.jfree.data.time.SerialDate serialDate64 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b65 = spreadsheetDate49.isOn(serialDate64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.lang.Class clazz2 = null;
    org.jfree.data.time.TimeSeries timeSeries3 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz2);
    boolean b4 = timeSeries3.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
    int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
    java.util.Date date9 = fixedMillisecond6.getTime();
    java.util.TimeZone timeZone10 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz5, date9, timeZone10);
    java.util.TimeZone timeZone12 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month13 = new org.jfree.data.time.Month(date9, timeZone12);
    org.jfree.data.time.Year year14 = month13.getYear();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond16 = new org.jfree.data.time.FixedMillisecond();
    int i18 = fixedMillisecond16.compareTo((java.lang.Object)(short)10);
    java.util.Date date19 = fixedMillisecond16.getTime();
    java.util.TimeZone timeZone20 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz15, date19, timeZone20);
    java.util.TimeZone timeZone22 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(date19, timeZone22);
    org.jfree.data.time.Year year24 = month23.getYear();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries3.createCopy((org.jfree.data.time.RegularTimePeriod)month13, (org.jfree.data.time.RegularTimePeriod)year24);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem27 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year24, (java.lang.Number)100);
    int i28 = year24.getYear();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month29 = new org.jfree.data.time.Month(2016, year24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 2016);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    java.lang.String str1 = year0.toString();
    java.util.Calendar calendar2 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2016"+ "'", str1.equals("2016"));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode((-460));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("February 2016", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(1, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(1900, (-460));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate4.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate4);
    int i8 = spreadsheetDate2.toSerial();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate10 = new org.jfree.data.time.SpreadsheetDate(100);
    int i11 = spreadsheetDate10.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate13 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b14 = spreadsheetDate10.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate13);
    boolean b15 = spreadsheetDate2.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate10);
    org.jfree.data.time.SerialDate serialDate16 = org.jfree.data.time.SerialDate.addMonths(1, (org.jfree.data.time.SerialDate)spreadsheetDate10);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate18 = new org.jfree.data.time.SpreadsheetDate(100);
    int i19 = spreadsheetDate18.getDayOfWeek();
    java.util.Date date20 = spreadsheetDate18.toDate();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate23 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate25 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b27 = spreadsheetDate25.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate28 = spreadsheetDate23.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate25);
    org.jfree.data.time.SerialDate serialDate29 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate23);
    java.util.Date date30 = spreadsheetDate23.toDate();
    org.jfree.data.time.SerialDate serialDate31 = spreadsheetDate18.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate23);
    boolean b32 = spreadsheetDate10.isOn((org.jfree.data.time.SerialDate)spreadsheetDate23);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate34 = spreadsheetDate23.getNearestDayOfWeek(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 29);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    timeSeries2.setMaximumItemAge(1456070543177L);
    org.jfree.data.time.Year year9 = new org.jfree.data.time.Year();
    int i11 = year9.compareTo((java.lang.Object)4);
    int i12 = year9.getYear();
    int i14 = year9.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod15 = year9.next();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem17 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year9, 0.0d);
    java.lang.Object obj18 = null;
    int i19 = timeSeriesDataItem17.compareTo(obj18);
    timeSeriesDataItem17.setValue((java.lang.Number)(-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem17, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    java.lang.Class clazz1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Object obj3 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("Value", clazz1, clazz2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    timeSeries17.setDomainDescription("org.jfree.data.general.SeriesException: ThreadContext");
    java.lang.Class clazz24 = null;
    org.jfree.data.time.TimeSeries timeSeries25 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz24);
    java.util.List list26 = timeSeries25.getItems();
    org.jfree.data.general.SeriesChangeListener seriesChangeListener27 = null;
    timeSeries25.addChangeListener(seriesChangeListener27);
    java.lang.Class clazz30 = null;
    org.jfree.data.time.TimeSeries timeSeries31 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz30);
    java.lang.String str32 = timeSeries31.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate34 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day35 = new org.jfree.data.time.Day(serialDate34);
    long long36 = day35.getLastMillisecond();
    timeSeries31.delete((org.jfree.data.time.RegularTimePeriod)day35);
    java.lang.Object obj38 = timeSeries31.clone();
    org.jfree.data.time.TimeSeries timeSeries41 = timeSeries31.createCopy(2, 7);
    java.lang.String str42 = timeSeries31.getRangeDescription();
    org.jfree.data.time.Month month45 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = month45.previous();
    org.jfree.data.time.Year year47 = new org.jfree.data.time.Year();
    int i49 = year47.compareTo((java.lang.Object)4);
    int i50 = year47.getYear();
    int i52 = year47.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod53 = year47.next();
    org.jfree.data.time.TimeSeries timeSeries54 = timeSeries31.createCopy(regularTimePeriod46, (org.jfree.data.time.RegularTimePeriod)year47);
    int i55 = year47.getYear();
    java.util.Date date56 = year47.getEnd();
    org.jfree.data.time.FixedMillisecond fixedMillisecond57 = new org.jfree.data.time.FixedMillisecond();
    int i59 = fixedMillisecond57.compareTo((java.lang.Object)(short)10);
    java.util.Date date60 = fixedMillisecond57.getEnd();
    boolean b62 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond57, (java.lang.Object)7);
    java.util.Date date63 = fixedMillisecond57.getTime();
    java.lang.Class clazz64 = null;
    java.lang.Class clazz65 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond66 = new org.jfree.data.time.FixedMillisecond();
    int i68 = fixedMillisecond66.compareTo((java.lang.Object)(short)10);
    java.util.Date date69 = fixedMillisecond66.getTime();
    java.util.TimeZone timeZone70 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod71 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz65, date69, timeZone70);
    java.util.TimeZone timeZone72 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month73 = new org.jfree.data.time.Month(date69, timeZone72);
    java.util.TimeZone timeZone74 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod75 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz64, date69, timeZone74);
    org.jfree.data.time.Month month76 = new org.jfree.data.time.Month(date63, timeZone74);
    org.jfree.data.time.Year year77 = new org.jfree.data.time.Year(date56, timeZone74);
    org.jfree.data.time.Day day78 = new org.jfree.data.time.Day(date56);
    boolean b79 = timeSeries25.equals((java.lang.Object)day78);
    // The following exception was thrown during execution in test generation
    try {
      timeSeries17.add((org.jfree.data.time.RegularTimePeriod)day78, (java.lang.Number)1456070546835L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Time"+ "'", str32.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "Value"+ "'", str42.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    java.lang.String str1 = year0.toString();
    java.lang.Object obj2 = null;
    boolean b3 = year0.equals(obj2);
    int i4 = year0.getYear();
    java.util.Calendar calendar5 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2016"+ "'", str1.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2016);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekInMonthCode((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    timeSeries2.setMaximumItemAge(1456070543177L);
    java.lang.Class clazz10 = null;
    org.jfree.data.time.TimeSeries timeSeries11 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz10);
    boolean b12 = timeSeries11.getNotify();
    java.lang.Class clazz13 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
    int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
    java.util.Date date17 = fixedMillisecond14.getTime();
    java.util.TimeZone timeZone18 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz13, date17, timeZone18);
    java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(date17, timeZone20);
    org.jfree.data.time.Year year22 = month21.getYear();
    java.lang.Class clazz23 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond24 = new org.jfree.data.time.FixedMillisecond();
    int i26 = fixedMillisecond24.compareTo((java.lang.Object)(short)10);
    java.util.Date date27 = fixedMillisecond24.getTime();
    java.util.TimeZone timeZone28 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod29 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz23, date27, timeZone28);
    java.util.TimeZone timeZone30 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month31 = new org.jfree.data.time.Month(date27, timeZone30);
    org.jfree.data.time.Year year32 = month31.getYear();
    org.jfree.data.time.TimeSeries timeSeries33 = timeSeries11.createCopy((org.jfree.data.time.RegularTimePeriod)month21, (org.jfree.data.time.RegularTimePeriod)year32);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem35 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)year32, (java.lang.Number)100);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = timeSeriesDataItem35.getPeriod();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.add(timeSeriesDataItem35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod36);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    java.lang.String str21 = timeSeries17.getRangeDescription();
    timeSeries17.setRangeDescription("November");
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries26 = timeSeries17.createCopy(9999, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(11);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate5.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate3.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate5);
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    org.jfree.data.time.Day day12 = new org.jfree.data.time.Day(serialDate10);
    boolean b13 = spreadsheetDate5.isAfter(serialDate10);
    org.jfree.data.time.SerialDate serialDate15 = spreadsheetDate5.getNearestDayOfWeek(1);
    org.jfree.data.time.Day day16 = new org.jfree.data.time.Day((org.jfree.data.time.SerialDate)spreadsheetDate5);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate18 = new org.jfree.data.time.SpreadsheetDate(100);
    int i19 = spreadsheetDate18.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate21 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b22 = spreadsheetDate18.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate21);
    int i23 = spreadsheetDate18.getDayOfWeek();
    boolean b24 = spreadsheetDate5.isOnOrBefore((org.jfree.data.time.SerialDate)spreadsheetDate18);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate26 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate28 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b30 = spreadsheetDate28.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate31 = spreadsheetDate26.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate28);
    org.jfree.data.time.SerialDate serialDate33 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day34 = new org.jfree.data.time.Day(serialDate33);
    org.jfree.data.time.Day day35 = new org.jfree.data.time.Day(serialDate33);
    boolean b36 = spreadsheetDate28.isAfter(serialDate33);
    org.jfree.data.time.SerialDate serialDate38 = spreadsheetDate28.getNearestDayOfWeek(1);
    org.jfree.data.time.Day day39 = new org.jfree.data.time.Day((org.jfree.data.time.SerialDate)spreadsheetDate28);
    org.jfree.data.time.SerialDate serialDate41 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day42 = new org.jfree.data.time.Day(serialDate41);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate44 = new org.jfree.data.time.SpreadsheetDate(100);
    int i45 = spreadsheetDate44.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate47 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b48 = spreadsheetDate44.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate47);
    org.jfree.data.time.SerialDate serialDate49 = serialDate41.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate44);
    boolean b51 = spreadsheetDate5.isInRange((org.jfree.data.time.SerialDate)spreadsheetDate28, serialDate49, 9);
    boolean b52 = spreadsheetDate1.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate28);
    org.jfree.data.time.SerialDate serialDate53 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate54 = spreadsheetDate28.getEndOfCurrentMonth(serialDate53);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.io.InputStream inputStream2 = org.jfree.chart.util.ObjectUtilities.getResourceRelativeAsStream("4-January-1900", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    int i4 = timeSeries2.getMaximumItemCount();
    java.lang.Class clazz6 = null;
    org.jfree.data.time.TimeSeries timeSeries7 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz6);
    java.lang.String str8 = timeSeries7.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate10 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day11 = new org.jfree.data.time.Day(serialDate10);
    long long12 = day11.getLastMillisecond();
    timeSeries7.delete((org.jfree.data.time.RegularTimePeriod)day11);
    java.lang.Object obj14 = timeSeries7.clone();
    org.jfree.data.time.TimeSeries timeSeries17 = timeSeries7.createCopy(2, 7);
    timeSeries17.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries2.addAndOrUpdate(timeSeries17);
    boolean b21 = timeSeries17.isEmpty();
    boolean b22 = timeSeries17.isEmpty();
    // The following exception was thrown during execution in test generation
    try {
      timeSeries17.removeAgedItems(1456070542280L, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Time"+ "'", str8.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(29, 2016, 29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() {}
// Defects4J: flaky method
//   @Test
//   public void test427() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     int i13 = timeSeries12.getMaximumItemCount();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getEnd();
//     boolean b19 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond14, (java.lang.Object)7);
//     long long20 = fixedMillisecond14.getSerialIndex();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond14, (java.lang.Number)(byte)1);
//     boolean b23 = timeSeries12.equals((java.lang.Object)timeSeriesDataItem22);
//     java.lang.Number number24 = timeSeriesDataItem22.getValue();
//     java.lang.Class clazz26 = null;
//     org.jfree.data.time.TimeSeries timeSeries27 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz26);
//     java.lang.String str28 = timeSeries27.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate30 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day31 = new org.jfree.data.time.Day(serialDate30);
//     long long32 = day31.getLastMillisecond();
//     timeSeries27.delete((org.jfree.data.time.RegularTimePeriod)day31);
//     java.lang.Object obj34 = timeSeries27.clone();
//     org.jfree.data.time.TimeSeries timeSeries37 = timeSeries27.createCopy(2, 7);
//     java.lang.String str38 = timeSeries37.getDescription();
//     java.lang.Class clazz40 = null;
//     org.jfree.data.time.TimeSeries timeSeries41 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz40);
//     boolean b42 = timeSeries41.getNotify();
//     int i43 = timeSeries41.getMaximumItemCount();
//     java.lang.Class clazz45 = null;
//     org.jfree.data.time.TimeSeries timeSeries46 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz45);
//     java.lang.String str47 = timeSeries46.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate49 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day50 = new org.jfree.data.time.Day(serialDate49);
//     long long51 = day50.getLastMillisecond();
//     timeSeries46.delete((org.jfree.data.time.RegularTimePeriod)day50);
//     java.lang.Object obj53 = timeSeries46.clone();
//     org.jfree.data.time.TimeSeries timeSeries56 = timeSeries46.createCopy(2, 7);
//     timeSeries56.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries59 = timeSeries41.addAndOrUpdate(timeSeries56);
//     java.lang.String str60 = timeSeries56.getRangeDescription();
//     org.jfree.data.time.TimeSeries timeSeries61 = timeSeries37.addAndOrUpdate(timeSeries56);
//     org.jfree.data.time.Year year62 = new org.jfree.data.time.Year();
//     int i64 = year62.compareTo((java.lang.Object)4);
//     long long65 = year62.getFirstMillisecond();
//     int i66 = year62.getYear();
//     java.lang.String str67 = year62.toString();
//     java.lang.Number number68 = timeSeries56.getValue((org.jfree.data.time.RegularTimePeriod)year62);
//     java.util.List list69 = timeSeries56.getItems();
//     int i70 = timeSeriesDataItem22.compareTo((java.lang.Object)timeSeries56);
//     org.jfree.data.time.SerialDate serialDate72 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day73 = new org.jfree.data.time.Day(serialDate72);
//     long long74 = day73.getLastMillisecond();
//     int i75 = day73.getYear();
//     long long76 = day73.getSerialIndex();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod77 = day73.previous();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries56.add((org.jfree.data.time.RegularTimePeriod)day73, 1.0d, false);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 1456070552372L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + number24 + "' != '" + (byte)1+ "'", number24.equals((byte)1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "Time"+ "'", str28.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long32 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b42 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Time"+ "'", str47.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long51 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str60 + "' != '" + "hi!"+ "'", str60.equals("hi!"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i64 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long65 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i66 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str67 + "' != '" + "2016"+ "'", str67.equals("2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(number68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i70 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long74 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i75 == 1900);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long76 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod77);
// 
//   }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.jfree.data.general.SeriesException seriesException1 = new org.jfree.data.general.SeriesException("");
    java.lang.Throwable[] throwable_array2 = seriesException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    java.lang.Class clazz1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.net.URL uRL2 = org.jfree.chart.util.ObjectUtilities.getResourceRelative("Time", clazz1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    int i4 = spreadsheetDate3.getDayOfWeek();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate6 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate3.isAfter((org.jfree.data.time.SerialDate)spreadsheetDate6);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate9 = new org.jfree.data.time.SpreadsheetDate(100);
    int i10 = spreadsheetDate9.getDayOfWeek();
    boolean b11 = spreadsheetDate6.isOnOrAfter((org.jfree.data.time.SerialDate)spreadsheetDate9);
    org.jfree.data.time.SerialDate serialDate12 = serialDate1.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate6);
    int i13 = spreadsheetDate6.toSerial();
    org.jfree.data.time.Day day14 = new org.jfree.data.time.Day((org.jfree.data.time.SerialDate)spreadsheetDate6);
    org.jfree.data.time.SerialDate serialDate15 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = spreadsheetDate6.isOnOrAfter(serialDate15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(1900, 9999, 9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(2147483647, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    org.jfree.data.time.TimeSeries timeSeries11 = timeSeries2.createCopy(8, 2958465);
    int i12 = timeSeries2.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = timeSeries2.getNextTimePeriod();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(16, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() {}
// Defects4J: flaky method
//   @Test
//   public void test435() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     boolean b3 = timeSeries2.getNotify();
//     java.lang.Class clazz4 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
//     int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
//     java.util.Date date8 = fixedMillisecond5.getTime();
//     java.util.TimeZone timeZone9 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
//     java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
//     org.jfree.data.time.Year year13 = month12.getYear();
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
//     int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
//     java.util.Date date18 = fixedMillisecond15.getTime();
//     java.util.TimeZone timeZone19 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
//     java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
//     org.jfree.data.time.Year year23 = month22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
//     java.lang.String str25 = month12.toString();
//     int i26 = month12.getYearValue();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str25 + "' != '" + "February 2016"+ "'", str25.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2016);
// 
//   }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    int i13 = timeSeries12.getMaximumItemCount();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    java.lang.String str17 = timeSeries16.getDomainDescription();
    int i18 = timeSeries16.getItemCount();
    java.util.List list19 = timeSeries16.getItems();
    org.jfree.data.time.TimeSeries timeSeries20 = timeSeries12.addAndOrUpdate(timeSeries16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number22 = timeSeries16.getValue(4);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "Time"+ "'", str17.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries20);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode(31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test438() {}
// Defects4J: flaky method
//   @Test
//   public void test438() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }
// 
// 
//     java.lang.Class clazz0 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
//     int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
//     java.util.Date date4 = fixedMillisecond1.getTime();
//     java.util.TimeZone timeZone5 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
//     java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
//     java.lang.String str9 = month8.toString();
//     int i10 = month8.getMonth();
//     org.jfree.data.time.Year year11 = month8.getYear();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod12 = month8.previous();
//     java.util.Calendar calendar13 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       month8.peg(calendar13);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str9 + "' != '" + "February 2016"+ "'", str9.equals("February 2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod12);
// 
//   }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    int i3 = spreadsheetDate2.getMonth();
    java.lang.String str4 = spreadsheetDate2.toString();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.addMonths(0, (org.jfree.data.time.SerialDate)spreadsheetDate2);
    org.jfree.data.time.SerialDate serialDate6 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = spreadsheetDate2.isAfter(serialDate6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "9-April-1900"+ "'", str4.equals("9-April-1900"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz5 = null;
    org.jfree.data.time.TimeSeries timeSeries6 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz5);
    java.lang.String str7 = timeSeries6.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day10 = new org.jfree.data.time.Day(serialDate9);
    long long11 = day10.getLastMillisecond();
    timeSeries6.delete((org.jfree.data.time.RegularTimePeriod)day10);
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem13 = timeSeries2.getDataItem((org.jfree.data.time.RegularTimePeriod)day10);
    java.util.Calendar calendar14 = null;
    // The following exception was thrown during execution in test generation
    try {
      day10.peg(calendar14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Time"+ "'", str7.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(timeSeriesDataItem13);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.String str9 = timeSeries2.getRangeDescription();
    timeSeries2.setRangeDescription("");
    java.util.List list12 = timeSeries2.getItems();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Collection collection13 = org.jfree.chart.util.ObjectUtilities.deepClone((java.util.Collection)list12);
      org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException");
    } catch (java.lang.CloneNotSupportedException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.CloneNotSupportedException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Value"+ "'", str9.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.jfree.data.time.Year year0 = new org.jfree.data.time.Year();
    int i2 = year0.compareTo((java.lang.Object)4);
    int i3 = year0.getYear();
    int i5 = year0.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      year0.peg(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    boolean b3 = timeSeries2.getNotify();
    java.lang.Class clazz4 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getTime();
    java.util.TimeZone timeZone9 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod10 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz4, date8, timeZone9);
    java.util.TimeZone timeZone11 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month12 = new org.jfree.data.time.Month(date8, timeZone11);
    org.jfree.data.time.Year year13 = month12.getYear();
    java.lang.Class clazz14 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond15 = new org.jfree.data.time.FixedMillisecond();
    int i17 = fixedMillisecond15.compareTo((java.lang.Object)(short)10);
    java.util.Date date18 = fixedMillisecond15.getTime();
    java.util.TimeZone timeZone19 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz14, date18, timeZone19);
    java.util.TimeZone timeZone21 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date18, timeZone21);
    org.jfree.data.time.Year year23 = month22.getYear();
    org.jfree.data.time.TimeSeries timeSeries24 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month12, (org.jfree.data.time.RegularTimePeriod)year23);
    org.jfree.data.general.SeriesChangeEvent seriesChangeEvent25 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)year23);
    java.util.Calendar calendar26 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long27 = year23.getLastMillisecond(calendar26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries24);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.jfree.data.time.SerialDate serialDate1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate2 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek(31, serialDate1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    int i1 = org.jfree.data.time.SerialDate.stringToWeekdayCode("org.jfree.data.general.SeriesChangeEvent[source=1-January-1900]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries12.getDescription();
    java.lang.Class clazz15 = null;
    org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
    boolean b17 = timeSeries16.getNotify();
    int i18 = timeSeries16.getMaximumItemCount();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
    java.lang.String str22 = timeSeries21.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
    long long26 = day25.getLastMillisecond();
    timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
    java.lang.Object obj28 = timeSeries21.clone();
    org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
    timeSeries31.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
    java.lang.String str35 = timeSeries31.getRangeDescription();
    org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
    java.lang.Class clazz38 = null;
    org.jfree.data.time.TimeSeries timeSeries39 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz38);
    boolean b40 = timeSeries39.getNotify();
    int i41 = timeSeries39.getMaximumItemCount();
    java.lang.Class clazz43 = null;
    org.jfree.data.time.TimeSeries timeSeries44 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz43);
    java.lang.String str45 = timeSeries44.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate47 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day48 = new org.jfree.data.time.Day(serialDate47);
    long long49 = day48.getLastMillisecond();
    timeSeries44.delete((org.jfree.data.time.RegularTimePeriod)day48);
    java.lang.Object obj51 = timeSeries44.clone();
    org.jfree.data.time.TimeSeries timeSeries54 = timeSeries44.createCopy(2, 7);
    timeSeries54.setRangeDescription("hi!");
    org.jfree.data.time.TimeSeries timeSeries57 = timeSeries39.addAndOrUpdate(timeSeries54);
    boolean b58 = timeSeries54.isEmpty();
    boolean b59 = timeSeries54.getNotify();
    org.jfree.data.time.TimeSeries timeSeries60 = timeSeries36.addAndOrUpdate(timeSeries54);
    timeSeries60.clear();
    int i62 = timeSeries60.getItemCount();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod64 = timeSeries60.getTimePeriod(29);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Time"+ "'", str45.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz1);
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz4);
    java.lang.String str6 = timeSeries5.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(serialDate8);
    long long10 = day9.getLastMillisecond();
    timeSeries5.delete((org.jfree.data.time.RegularTimePeriod)day9);
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day9);
    java.lang.Class clazz14 = null;
    org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
    boolean b16 = timeSeries15.getNotify();
    java.lang.Class clazz17 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond();
    int i20 = fixedMillisecond18.compareTo((java.lang.Object)(short)10);
    java.util.Date date21 = fixedMillisecond18.getTime();
    java.util.TimeZone timeZone22 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz17, date21, timeZone22);
    java.util.TimeZone timeZone24 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month25 = new org.jfree.data.time.Month(date21, timeZone24);
    org.jfree.data.time.Year year26 = month25.getYear();
    java.lang.Class clazz27 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getTime();
    java.util.TimeZone timeZone32 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz27, date31, timeZone32);
    java.util.TimeZone timeZone34 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date31, timeZone34);
    org.jfree.data.time.Year year36 = month35.getYear();
    org.jfree.data.time.TimeSeries timeSeries37 = timeSeries15.createCopy((org.jfree.data.time.RegularTimePeriod)month25, (org.jfree.data.time.RegularTimePeriod)year36);
    org.jfree.data.time.Year year39 = org.jfree.data.time.Year.parseYear("2016");
    java.lang.String str40 = year39.toString();
    java.util.Date date41 = year39.getEnd();
    org.jfree.data.time.TimeSeries timeSeries42 = timeSeries2.createCopy((org.jfree.data.time.RegularTimePeriod)month25, (org.jfree.data.time.RegularTimePeriod)year39);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem44 = timeSeries42.getDataItem(98);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "2016"+ "'", str40.equals("2016"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries42);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString((-459));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    int i1 = org.jfree.data.time.SerialDate.leapYearCount(9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-457));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(serialDate1);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate7 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b9 = spreadsheetDate7.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate10 = spreadsheetDate5.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate7);
    int i11 = day3.compareTo((java.lang.Object)spreadsheetDate5);
    long long12 = day3.getFirstMillisecond();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate14 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate16 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b18 = spreadsheetDate16.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate19 = spreadsheetDate14.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate16);
    org.jfree.data.time.SerialDate serialDate21 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day22 = new org.jfree.data.time.Day(serialDate21);
    org.jfree.data.time.Day day23 = new org.jfree.data.time.Day(serialDate21);
    boolean b24 = spreadsheetDate16.isAfter(serialDate21);
    org.jfree.data.time.SerialDate serialDate26 = spreadsheetDate16.getNearestDayOfWeek(1);
    java.lang.Class clazz27 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getTime();
    java.util.TimeZone timeZone32 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod33 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz27, date31, timeZone32);
    java.util.TimeZone timeZone34 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month35 = new org.jfree.data.time.Month(date31, timeZone34);
    org.jfree.data.time.Day day36 = new org.jfree.data.time.Day(date31);
    java.lang.Class clazz39 = null;
    org.jfree.data.time.TimeSeries timeSeries40 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)day36, "1-January-1900", "Thursday", clazz39);
    boolean b41 = spreadsheetDate16.equals((java.lang.Object)"1-January-1900");
    int i42 = day3.compareTo((java.lang.Object)spreadsheetDate16);
    java.util.Calendar calendar43 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long44 = day3.getFirstMillisecond(calendar43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == (-2208960000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);

  }

  @Test
  public void test452() {}
// Defects4J: flaky method
//   @Test
//   public void test452() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     java.lang.String str13 = timeSeries12.getDescription();
//     java.lang.Class clazz15 = null;
//     org.jfree.data.time.TimeSeries timeSeries16 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz15);
//     boolean b17 = timeSeries16.getNotify();
//     int i18 = timeSeries16.getMaximumItemCount();
//     java.lang.Class clazz20 = null;
//     org.jfree.data.time.TimeSeries timeSeries21 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz20);
//     java.lang.String str22 = timeSeries21.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate24 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day25 = new org.jfree.data.time.Day(serialDate24);
//     long long26 = day25.getLastMillisecond();
//     timeSeries21.delete((org.jfree.data.time.RegularTimePeriod)day25);
//     java.lang.Object obj28 = timeSeries21.clone();
//     org.jfree.data.time.TimeSeries timeSeries31 = timeSeries21.createCopy(2, 7);
//     timeSeries31.setRangeDescription("hi!");
//     org.jfree.data.time.TimeSeries timeSeries34 = timeSeries16.addAndOrUpdate(timeSeries31);
//     java.lang.String str35 = timeSeries31.getRangeDescription();
//     org.jfree.data.time.TimeSeries timeSeries36 = timeSeries12.addAndOrUpdate(timeSeries31);
//     org.jfree.data.time.Year year37 = new org.jfree.data.time.Year();
//     int i39 = year37.compareTo((java.lang.Object)4);
//     long long40 = year37.getFirstMillisecond();
//     int i41 = year37.getYear();
//     java.lang.String str42 = year37.toString();
//     java.lang.Number number43 = timeSeries31.getValue((org.jfree.data.time.RegularTimePeriod)year37);
//     java.lang.Class clazz45 = null;
//     org.jfree.data.time.TimeSeries timeSeries46 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz45);
//     java.lang.String str47 = timeSeries46.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate49 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day50 = new org.jfree.data.time.Day(serialDate49);
//     long long51 = day50.getLastMillisecond();
//     timeSeries46.delete((org.jfree.data.time.RegularTimePeriod)day50);
//     java.lang.Object obj53 = timeSeries46.clone();
//     org.jfree.data.time.TimeSeries timeSeries56 = timeSeries46.createCopy(2, 7);
//     timeSeries56.setRangeDescription("hi!");
//     timeSeries56.setMaximumItemCount(100);
//     java.lang.Class clazz61 = null;
//     java.lang.Class clazz62 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond63 = new org.jfree.data.time.FixedMillisecond();
//     int i65 = fixedMillisecond63.compareTo((java.lang.Object)(short)10);
//     java.util.Date date66 = fixedMillisecond63.getTime();
//     java.util.TimeZone timeZone67 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod68 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz62, date66, timeZone67);
//     java.util.TimeZone timeZone69 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month70 = new org.jfree.data.time.Month(date66, timeZone69);
//     java.util.TimeZone timeZone71 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod72 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz61, date66, timeZone71);
//     org.jfree.data.time.Day day73 = new org.jfree.data.time.Day(date66);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond74 = new org.jfree.data.time.FixedMillisecond();
//     int i76 = fixedMillisecond74.compareTo((java.lang.Object)(short)10);
//     java.util.Date date77 = fixedMillisecond74.getTime();
//     long long78 = fixedMillisecond74.getMiddleMillisecond();
//     long long79 = fixedMillisecond74.getMiddleMillisecond();
//     org.jfree.data.time.TimeSeries timeSeries80 = timeSeries56.createCopy((org.jfree.data.time.RegularTimePeriod)day73, (org.jfree.data.time.RegularTimePeriod)fixedMillisecond74);
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem82 = timeSeries31.addOrUpdate((org.jfree.data.time.RegularTimePeriod)day73, (java.lang.Number)1456070550205L);
//     java.lang.String str83 = day73.toString();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(str13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b17 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i18 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Time"+ "'", str22.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long26 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i39 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long40 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i41 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str42 + "' != '" + "2016"+ "'", str42.equals("2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(number43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str47 + "' != '" + "Time"+ "'", str47.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long51 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i65 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i76 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long78 == 1456070553237L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long79 == 1456070553237L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(timeSeriesDataItem82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str83 + "' != '" + "21-February-2016"+ "'", str83.equals("21-February-2016"));
// 
//   }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(6, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Jun"+ "'", str2.equals("Jun"));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    int i0 = org.jfree.data.time.MonthConstants.APRIL;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate((-458));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() {}
// Defects4J: flaky method
//   @Test
//   public void test457() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     int i4 = timeSeries2.getItemCount();
//     java.beans.PropertyChangeListener propertyChangeListener5 = null;
//     timeSeries2.removePropertyChangeListener(propertyChangeListener5);
//     int i7 = timeSeries2.getMaximumItemCount();
//     java.util.List list8 = timeSeries2.getItems();
//     java.lang.Class clazz9 = timeSeries2.getTimePeriodClass();
//     java.lang.Class clazz11 = null;
//     org.jfree.data.time.TimeSeries timeSeries12 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)12, clazz11);
//     java.lang.Class clazz14 = null;
//     org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz14);
//     java.lang.String str16 = timeSeries15.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate18 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day19 = new org.jfree.data.time.Day(serialDate18);
//     long long20 = day19.getLastMillisecond();
//     timeSeries15.delete((org.jfree.data.time.RegularTimePeriod)day19);
//     timeSeries12.delete((org.jfree.data.time.RegularTimePeriod)day19);
//     org.jfree.data.time.TimeSeries timeSeries23 = timeSeries2.addAndOrUpdate(timeSeries12);
//     org.jfree.data.time.Year year24 = new org.jfree.data.time.Year();
//     int i26 = year24.compareTo((java.lang.Object)4);
//     long long27 = year24.getFirstMillisecond();
//     int i28 = year24.getYear();
//     long long29 = year24.getFirstMillisecond();
//     timeSeries23.setKey((java.lang.Comparable)year24);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond31 = new org.jfree.data.time.FixedMillisecond();
//     int i33 = fixedMillisecond31.compareTo((java.lang.Object)(short)10);
//     java.util.Date date34 = fixedMillisecond31.getEnd();
//     boolean b36 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond31, (java.lang.Object)7);
//     long long37 = fixedMillisecond31.getSerialIndex();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem39 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond31, (java.lang.Number)(byte)1);
//     org.jfree.data.time.Year year40 = new org.jfree.data.time.Year();
//     java.lang.String str41 = year40.toString();
//     int i42 = year40.getYear();
//     boolean b43 = timeSeriesDataItem39.equals((java.lang.Object)i42);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries23.add(timeSeriesDataItem39);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(clazz9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Time"+ "'", str16.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long27 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long37 == 1456070553366L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str41 + "' != '" + "2016"+ "'", str41.equals("2016"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b43 == false);
// 
//   }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(31, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.jfree.data.time.RegularTimePeriod regularTimePeriod0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem2 = new org.jfree.data.time.TimeSeriesDataItem(regularTimePeriod0, (java.lang.Number)(-457));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate4 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b6 = spreadsheetDate4.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate7 = spreadsheetDate2.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate4);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.getNearestDayOfWeek(2958465, serialDate7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate7);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.lang.Class clazz1 = null;
    java.lang.Object obj2 = org.jfree.chart.util.ObjectUtilities.loadAndInstantiate("Jul", clazz1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj2);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month1 = org.jfree.data.time.Month.parseMonth("");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() {}
// Defects4J: flaky method
//   @Test
//   public void test463() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Date date3 = fixedMillisecond0.getTime();
//     long long4 = fixedMillisecond0.getMiddleMillisecond();
//     long long5 = fixedMillisecond0.getMiddleMillisecond();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond6 = new org.jfree.data.time.FixedMillisecond();
//     int i8 = fixedMillisecond6.compareTo((java.lang.Object)(short)10);
//     java.util.Date date9 = fixedMillisecond6.getEnd();
//     org.jfree.data.time.SpreadsheetDate spreadsheetDate11 = new org.jfree.data.time.SpreadsheetDate(100);
//     int i12 = spreadsheetDate11.getDayOfWeek();
//     java.lang.Class clazz13 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getTime();
//     java.util.TimeZone timeZone18 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod19 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz13, date17, timeZone18);
//     java.util.TimeZone timeZone20 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month21 = new org.jfree.data.time.Month(date17, timeZone20);
//     boolean b22 = spreadsheetDate11.equals((java.lang.Object)timeZone20);
//     org.jfree.data.time.Month month23 = new org.jfree.data.time.Month(date9, timeZone20);
//     org.jfree.data.general.SeriesChangeEvent seriesChangeEvent24 = new org.jfree.data.general.SeriesChangeEvent((java.lang.Object)date9);
//     org.jfree.data.time.FixedMillisecond fixedMillisecond25 = new org.jfree.data.time.FixedMillisecond();
//     int i27 = fixedMillisecond25.compareTo((java.lang.Object)(short)10);
//     java.util.Date date28 = fixedMillisecond25.getTime();
//     java.lang.Class clazz29 = null;
//     java.lang.Class clazz30 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond31 = new org.jfree.data.time.FixedMillisecond();
//     int i33 = fixedMillisecond31.compareTo((java.lang.Object)(short)10);
//     java.util.Date date34 = fixedMillisecond31.getTime();
//     java.util.TimeZone timeZone35 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz30, date34, timeZone35);
//     java.util.TimeZone timeZone37 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month38 = new org.jfree.data.time.Month(date34, timeZone37);
//     java.util.TimeZone timeZone39 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod40 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz29, date34, timeZone39);
//     org.jfree.data.time.Day day41 = new org.jfree.data.time.Day(date28, timeZone39);
//     org.jfree.data.time.Month month42 = new org.jfree.data.time.Month(date9, timeZone39);
//     int i43 = fixedMillisecond0.compareTo((java.lang.Object)month42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 1456070553460L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long5 == 1456070553460L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i33 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i43 == 0);
// 
//   }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(0, (-457));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() {}
// Defects4J: flaky method
//   @Test
//   public void test465() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     int i4 = timeSeries2.getItemCount();
//     java.beans.PropertyChangeListener propertyChangeListener5 = null;
//     timeSeries2.removePropertyChangeListener(propertyChangeListener5);
//     int i7 = timeSeries2.getMaximumItemCount();
//     java.util.List list8 = timeSeries2.getItems();
//     java.lang.Class clazz9 = timeSeries2.getTimePeriodClass();
//     java.lang.Class clazz10 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond11 = new org.jfree.data.time.FixedMillisecond();
//     int i13 = fixedMillisecond11.compareTo((java.lang.Object)(short)10);
//     java.util.Date date14 = fixedMillisecond11.getTime();
//     java.util.TimeZone timeZone15 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz10, date14, timeZone15);
//     java.util.TimeZone timeZone17 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month18 = new org.jfree.data.time.Month(date14, timeZone17);
//     java.lang.String str19 = month18.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add((org.jfree.data.time.RegularTimePeriod)month18, (java.lang.Number)1456070544616L);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(list8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(clazz9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str19 + "' != '" + "February 2016"+ "'", str19.equals("February 2016"));
// 
//   }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    timeSeries12.setRangeDescription("hi!");
    timeSeries12.removeAgedItems(false);
    timeSeries12.setRangeDescription("Time");
    boolean b19 = timeSeries12.isEmpty();
    java.lang.Class clazz20 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond21 = new org.jfree.data.time.FixedMillisecond();
    int i23 = fixedMillisecond21.compareTo((java.lang.Object)(short)10);
    java.util.Date date24 = fixedMillisecond21.getTime();
    java.util.TimeZone timeZone25 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod26 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz20, date24, timeZone25);
    java.util.TimeZone timeZone27 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month28 = new org.jfree.data.time.Month(date24, timeZone27);
    org.jfree.data.time.Year year29 = month28.getYear();
    org.jfree.data.time.SerialDate serialDate31 = org.jfree.data.time.SerialDate.createInstance(2);
    boolean b32 = month28.equals((java.lang.Object)serialDate31);
    org.jfree.data.time.Year year33 = month28.getYear();
    int i34 = timeSeries12.getIndex((org.jfree.data.time.RegularTimePeriod)month28);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.RegularTimePeriod regularTimePeriod36 = timeSeries12.getTimePeriod(6);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidWeekdayCode((-457));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Day day3 = new org.jfree.data.time.Day(7, (-460), 29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.relativeToString(2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "ERROR : Relative To String"+ "'", str1.equals("ERROR : Relative To String"));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    boolean b1 = org.jfree.data.time.SerialDate.isLeapYear(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test472() {}
// Defects4J: flaky method
//   @Test
//   public void test472() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     java.util.Calendar calendar3 = null;
//     fixedMillisecond0.peg(calendar3);
//     java.util.Calendar calendar5 = null;
//     long long6 = fixedMillisecond0.getMiddleMillisecond(calendar5);
//     org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(serialDate8);
//     long long10 = day9.getSerialIndex();
//     int i11 = fixedMillisecond0.compareTo((java.lang.Object)day9);
//     java.util.Calendar calendar12 = null;
//     long long13 = fixedMillisecond0.getLastMillisecond(calendar12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long6 == 1456070553691L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 1456070553691L);
// 
//   }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = org.jfree.data.time.SerialDate.monthCodeToString(1900, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.weekdayCodeToString(2958465);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    int i4 = timeSeries2.getItemCount();
    java.beans.PropertyChangeListener propertyChangeListener5 = null;
    timeSeries2.removePropertyChangeListener(propertyChangeListener5);
    int i7 = timeSeries2.getMaximumItemCount();
    java.util.List list8 = timeSeries2.getItems();
    java.lang.Class clazz9 = timeSeries2.getTimePeriodClass();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(5, 16);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem14 = timeSeries12.getDataItem(29);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(clazz9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, 8);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      long long4 = month2.getFirstMillisecond(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(7, 21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 31);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = month2.previous();
    int i4 = month2.getMonth();
    org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
    int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
    java.util.Date date8 = fixedMillisecond5.getEnd();
    org.jfree.data.time.SpreadsheetDate spreadsheetDate10 = new org.jfree.data.time.SpreadsheetDate(100);
    int i11 = spreadsheetDate10.getDayOfWeek();
    java.lang.Class clazz12 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond13 = new org.jfree.data.time.FixedMillisecond();
    int i15 = fixedMillisecond13.compareTo((java.lang.Object)(short)10);
    java.util.Date date16 = fixedMillisecond13.getTime();
    java.util.TimeZone timeZone17 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod18 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz12, date16, timeZone17);
    java.util.TimeZone timeZone19 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month20 = new org.jfree.data.time.Month(date16, timeZone19);
    boolean b21 = spreadsheetDate10.equals((java.lang.Object)timeZone19);
    org.jfree.data.time.Month month22 = new org.jfree.data.time.Month(date8, timeZone19);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod23 = month22.next();
    org.jfree.data.time.Year year24 = month22.getYear();
    boolean b25 = month2.equals((java.lang.Object)year24);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj26 = org.jfree.chart.util.ObjectUtilities.clone((java.lang.Object)month2);
      org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException");
    } catch (java.lang.CloneNotSupportedException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.CloneNotSupportedException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.CloneNotSupportedException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(year24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.jfree.data.time.SerialDate.lastDayOfMonth(100, 1900);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.jfree.data.time.Day day1 = org.jfree.data.time.Day.parseDay("Overwritten values from: 1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(day1);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    java.lang.String str13 = timeSeries2.getRangeDescription();
    org.jfree.data.time.Month month16 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod17 = month16.previous();
    org.jfree.data.time.Year year18 = new org.jfree.data.time.Year();
    int i20 = year18.compareTo((java.lang.Object)4);
    int i21 = year18.getYear();
    int i23 = year18.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod24 = year18.next();
    org.jfree.data.time.TimeSeries timeSeries25 = timeSeries2.createCopy(regularTimePeriod17, (org.jfree.data.time.RegularTimePeriod)year18);
    int i26 = year18.getYear();
    java.util.Date date27 = year18.getEnd();
    org.jfree.data.time.FixedMillisecond fixedMillisecond28 = new org.jfree.data.time.FixedMillisecond();
    int i30 = fixedMillisecond28.compareTo((java.lang.Object)(short)10);
    java.util.Date date31 = fixedMillisecond28.getEnd();
    boolean b33 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond28, (java.lang.Object)7);
    java.util.Date date34 = fixedMillisecond28.getTime();
    java.lang.Class clazz35 = null;
    java.lang.Class clazz36 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond37 = new org.jfree.data.time.FixedMillisecond();
    int i39 = fixedMillisecond37.compareTo((java.lang.Object)(short)10);
    java.util.Date date40 = fixedMillisecond37.getTime();
    java.util.TimeZone timeZone41 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod42 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz36, date40, timeZone41);
    java.util.TimeZone timeZone43 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month44 = new org.jfree.data.time.Month(date40, timeZone43);
    java.util.TimeZone timeZone45 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod46 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz35, date40, timeZone45);
    org.jfree.data.time.Month month47 = new org.jfree.data.time.Month(date34, timeZone45);
    org.jfree.data.time.Year year48 = new org.jfree.data.time.Year(date27, timeZone45);
    java.lang.Class clazz49 = null;
    java.lang.Class clazz50 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond51 = new org.jfree.data.time.FixedMillisecond();
    int i53 = fixedMillisecond51.compareTo((java.lang.Object)(short)10);
    java.util.Date date54 = fixedMillisecond51.getTime();
    java.util.TimeZone timeZone55 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod56 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz50, date54, timeZone55);
    java.util.TimeZone timeZone57 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month58 = new org.jfree.data.time.Month(date54, timeZone57);
    java.util.TimeZone timeZone59 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod60 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz49, date54, timeZone59);
    org.jfree.data.time.Month month61 = new org.jfree.data.time.Month(date27, timeZone59);
    int i63 = month61.compareTo((java.lang.Object)9999);
    java.util.Date date64 = month61.getStart();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod65 = month61.next();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Value"+ "'", str13.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod65);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() {}
// Defects4J: flaky method
//   @Test
//   public void test483() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     int i13 = timeSeries12.getMaximumItemCount();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond14 = new org.jfree.data.time.FixedMillisecond();
//     int i16 = fixedMillisecond14.compareTo((java.lang.Object)(short)10);
//     java.util.Date date17 = fixedMillisecond14.getEnd();
//     boolean b19 = org.jfree.chart.util.ObjectUtilities.equal((java.lang.Object)fixedMillisecond14, (java.lang.Object)7);
//     long long20 = fixedMillisecond14.getSerialIndex();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem22 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)fixedMillisecond14, (java.lang.Number)(byte)1);
//     boolean b23 = timeSeries12.equals((java.lang.Object)timeSeriesDataItem22);
//     java.lang.Class clazz24 = null;
//     java.lang.Class clazz25 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond26 = new org.jfree.data.time.FixedMillisecond();
//     int i28 = fixedMillisecond26.compareTo((java.lang.Object)(short)10);
//     java.util.Date date29 = fixedMillisecond26.getTime();
//     java.util.TimeZone timeZone30 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod31 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz25, date29, timeZone30);
//     java.util.TimeZone timeZone32 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month33 = new org.jfree.data.time.Month(date29, timeZone32);
//     java.util.TimeZone timeZone34 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod35 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz24, date29, timeZone34);
//     org.jfree.data.time.Day day36 = new org.jfree.data.time.Day(date29);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries12.add((org.jfree.data.time.RegularTimePeriod)day36, (java.lang.Number)12);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b19 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 1456070553911L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b23 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i28 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod35);
// 
//   }

  @Test
  public void test484() {}
// Defects4J: flaky method
//   @Test
//   public void test484() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     timeSeries12.setRangeDescription("hi!");
//     timeSeries12.removeAgedItems(false);
//     int i17 = timeSeries12.getMaximumItemCount();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond();
//     java.util.Calendar calendar19 = null;
//     long long20 = fixedMillisecond18.getFirstMillisecond(calendar19);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = fixedMillisecond18.next();
//     org.jfree.data.time.Year year22 = new org.jfree.data.time.Year();
//     int i24 = year22.compareTo((java.lang.Object)4);
//     long long25 = year22.getFirstMillisecond();
//     int i26 = year22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries27 = timeSeries12.createCopy(regularTimePeriod21, (org.jfree.data.time.RegularTimePeriod)year22);
//     java.lang.String str28 = timeSeries12.getDomainDescription();
//     java.lang.Class clazz29 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond30 = new org.jfree.data.time.FixedMillisecond();
//     int i32 = fixedMillisecond30.compareTo((java.lang.Object)(short)10);
//     java.util.Date date33 = fixedMillisecond30.getTime();
//     java.util.TimeZone timeZone34 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod35 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz29, date33, timeZone34);
//     java.util.TimeZone timeZone36 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month37 = new org.jfree.data.time.Month(date33, timeZone36);
//     org.jfree.data.time.Year year38 = month37.getYear();
//     org.jfree.data.time.SerialDate serialDate40 = org.jfree.data.time.SerialDate.createInstance(2);
//     boolean b41 = month37.equals((java.lang.Object)serialDate40);
//     int i42 = month37.getYearValue();
//     org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem44 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month37, 10.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries12.add(timeSeriesDataItem44, false);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 1456070553922L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str28 + "' != '" + "Time"+ "'", str28.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i32 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b41 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i42 == 2016);
// 
//   }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.Year year1 = org.jfree.data.time.Year.parseYear("ERROR : Relative To String");
      org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException");
    } catch (org.jfree.data.time.TimePeriodFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.jfree.data.time.TimePeriodFormatException")) {
        org.junit.Assert.fail("Expected exception of type org.jfree.data.time.TimePeriodFormatException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() {}
// Defects4J: flaky method
//   @Test
//   public void test486() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }
// 
// 
//     org.jfree.data.time.FixedMillisecond fixedMillisecond0 = new org.jfree.data.time.FixedMillisecond();
//     int i2 = fixedMillisecond0.compareTo((java.lang.Object)(short)10);
//     long long3 = fixedMillisecond0.getMiddleMillisecond();
//     long long4 = fixedMillisecond0.getMiddleMillisecond();
//     java.util.Date date5 = fixedMillisecond0.getTime();
//     java.util.Date date6 = fixedMillisecond0.getTime();
//     java.util.TimeZone timeZone7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.jfree.data.time.Day day8 = new org.jfree.data.time.Day(date6, timeZone7);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long3 == 1456070554091L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 1456070554091L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date6);
// 
//   }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    boolean b1 = org.jfree.data.time.SerialDate.isValidMonthCode(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test488() {}
// Defects4J: flaky method
//   @Test
//   public void test488() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }
// 
// 
//     java.lang.Class clazz0 = null;
//     org.jfree.data.time.FixedMillisecond fixedMillisecond1 = new org.jfree.data.time.FixedMillisecond();
//     int i3 = fixedMillisecond1.compareTo((java.lang.Object)(short)10);
//     java.util.Date date4 = fixedMillisecond1.getTime();
//     java.util.TimeZone timeZone5 = null;
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod6 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date4, timeZone5);
//     java.util.TimeZone timeZone7 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
//     org.jfree.data.time.Month month8 = new org.jfree.data.time.Month(date4, timeZone7);
//     org.jfree.data.time.Year year9 = month8.getYear();
//     long long10 = month8.getSerialIndex();
//     java.util.Calendar calendar11 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       long long12 = month8.getLastMillisecond(calendar11);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(date4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNull(regularTimePeriod6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeZone7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(year9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 24194L);
// 
//   }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.jfree.data.time.Month month2 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = month2.previous();
    org.jfree.data.time.RegularTimePeriod regularTimePeriod4 = month2.previous();
    org.jfree.data.time.TimeSeriesDataItem timeSeriesDataItem6 = new org.jfree.data.time.TimeSeriesDataItem((org.jfree.data.time.RegularTimePeriod)month2, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod4);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate2 = new org.jfree.data.time.SpreadsheetDate(2016);
    java.lang.Class clazz4 = null;
    org.jfree.data.time.TimeSeries timeSeries5 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz4);
    java.lang.String str6 = timeSeries5.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate8 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day9 = new org.jfree.data.time.Day(serialDate8);
    long long10 = day9.getLastMillisecond();
    timeSeries5.delete((org.jfree.data.time.RegularTimePeriod)day9);
    java.lang.Object obj12 = timeSeries5.clone();
    org.jfree.data.time.TimeSeries timeSeries15 = timeSeries5.createCopy(2, 7);
    java.lang.String str16 = timeSeries5.getRangeDescription();
    org.jfree.data.time.Month month19 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod20 = month19.previous();
    org.jfree.data.time.Year year21 = new org.jfree.data.time.Year();
    int i23 = year21.compareTo((java.lang.Object)4);
    int i24 = year21.getYear();
    int i26 = year21.compareTo((java.lang.Object)"org.jfree.data.general.SeriesException: Nearest");
    org.jfree.data.time.RegularTimePeriod regularTimePeriod27 = year21.next();
    org.jfree.data.time.TimeSeries timeSeries28 = timeSeries5.createCopy(regularTimePeriod20, (org.jfree.data.time.RegularTimePeriod)year21);
    boolean b29 = spreadsheetDate2.equals((java.lang.Object)timeSeries5);
    int i30 = spreadsheetDate2.getDayOfWeek();
    java.util.Date date31 = spreadsheetDate2.toDate();
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate32 = org.jfree.data.time.SerialDate.getPreviousDayOfWeek(98, (org.jfree.data.time.SerialDate)spreadsheetDate2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Time"+ "'", str6.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Value"+ "'", str16.equals("Value"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);

  }

  @Test
  public void test491() {}
// Defects4J: flaky method
//   @Test
//   public void test491() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
//     org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
//     long long7 = day6.getLastMillisecond();
//     timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
//     java.lang.Object obj9 = timeSeries2.clone();
//     org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
//     timeSeries12.setRangeDescription("hi!");
//     timeSeries12.removeAgedItems(false);
//     int i17 = timeSeries12.getMaximumItemCount();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond18 = new org.jfree.data.time.FixedMillisecond();
//     java.util.Calendar calendar19 = null;
//     long long20 = fixedMillisecond18.getFirstMillisecond(calendar19);
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod21 = fixedMillisecond18.next();
//     org.jfree.data.time.Year year22 = new org.jfree.data.time.Year();
//     int i24 = year22.compareTo((java.lang.Object)4);
//     long long25 = year22.getFirstMillisecond();
//     int i26 = year22.getYear();
//     org.jfree.data.time.TimeSeries timeSeries27 = timeSeries12.createCopy(regularTimePeriod21, (org.jfree.data.time.RegularTimePeriod)year22);
//     java.util.Calendar calendar28 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       year22.peg(calendar28);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(serialDate5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-2208873600001L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 2147483647);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long20 == 1456070554271L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i24 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long25 == 1451635200000L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i26 == 2016);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(timeSeries27);
// 
//   }

  @Test
  public void test492() {}
// Defects4J: flaky method
//   @Test
//   public void test492() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }
// 
// 
//     java.lang.Class clazz1 = null;
//     org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
//     java.lang.String str3 = timeSeries2.getDomainDescription();
//     long long4 = timeSeries2.getMaximumItemAge();
//     org.jfree.data.time.FixedMillisecond fixedMillisecond5 = new org.jfree.data.time.FixedMillisecond();
//     int i7 = fixedMillisecond5.compareTo((java.lang.Object)(short)10);
//     java.text.DateFormatSymbols dateFormatSymbols8 = org.jfree.data.time.SerialDate.DATE_FORMAT_SYMBOLS;
//     boolean b9 = fixedMillisecond5.equals((java.lang.Object)dateFormatSymbols8);
//     long long10 = fixedMillisecond5.getMiddleMillisecond();
//     org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = fixedMillisecond5.next();
//     // The following exception was thrown during execution in test generation
//     try {
//       timeSeries2.add((org.jfree.data.time.RegularTimePeriod)fixedMillisecond5, (java.lang.Number)100, false);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 9223372036854775807L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(dateFormatSymbols8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 1456070554273L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(regularTimePeriod11);
// 
//   }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate(100);
    int i2 = spreadsheetDate1.getDayOfWeek();
    java.lang.Class clazz3 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond4 = new org.jfree.data.time.FixedMillisecond();
    int i6 = fixedMillisecond4.compareTo((java.lang.Object)(short)10);
    java.util.Date date7 = fixedMillisecond4.getTime();
    java.util.TimeZone timeZone8 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz3, date7, timeZone8);
    java.util.TimeZone timeZone10 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(date7, timeZone10);
    boolean b12 = spreadsheetDate1.equals((java.lang.Object)timeZone10);
    java.lang.String str13 = spreadsheetDate1.getDescription();
    int i14 = spreadsheetDate1.getDayOfMonth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 9);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.lang.Class clazz0 = null;
    java.lang.Class clazz1 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond2 = new org.jfree.data.time.FixedMillisecond();
    int i4 = fixedMillisecond2.compareTo((java.lang.Object)(short)10);
    java.util.Date date5 = fixedMillisecond2.getTime();
    java.util.TimeZone timeZone6 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod7 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz1, date5, timeZone6);
    java.util.TimeZone timeZone8 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month9 = new org.jfree.data.time.Month(date5, timeZone8);
    java.util.TimeZone timeZone10 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod11 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date5, timeZone10);
    java.lang.Class clazz14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.TimeSeries timeSeries15 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)regularTimePeriod11, "21-February-2016", "Nearest", clazz14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod11);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.lang.Class clazz1 = null;
    org.jfree.data.time.TimeSeries timeSeries2 = new org.jfree.data.time.TimeSeries((java.lang.Comparable)1, clazz1);
    java.lang.String str3 = timeSeries2.getDomainDescription();
    org.jfree.data.time.SerialDate serialDate5 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day6 = new org.jfree.data.time.Day(serialDate5);
    long long7 = day6.getLastMillisecond();
    timeSeries2.delete((org.jfree.data.time.RegularTimePeriod)day6);
    java.lang.Object obj9 = timeSeries2.clone();
    org.jfree.data.time.TimeSeries timeSeries12 = timeSeries2.createCopy(2, 7);
    org.jfree.data.time.Month month15 = new org.jfree.data.time.Month(7, 8);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod16 = month15.previous();
    timeSeries2.setKey((java.lang.Comparable)month15);
    java.lang.Comparable comparable18 = null;
    // The following exception was thrown during execution in test generation
    try {
      timeSeries2.setKey(comparable18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Time"+ "'", str3.equals("Time"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-2208873600001L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeSeries12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod16);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SpreadsheetDate spreadsheetDate1 = new org.jfree.data.time.SpreadsheetDate((-459));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    java.lang.Class clazz0 = null;
    java.util.Date date1 = null;
    java.lang.Class clazz2 = null;
    java.lang.Class clazz3 = null;
    org.jfree.data.time.FixedMillisecond fixedMillisecond4 = new org.jfree.data.time.FixedMillisecond();
    int i6 = fixedMillisecond4.compareTo((java.lang.Object)(short)10);
    java.util.Date date7 = fixedMillisecond4.getTime();
    java.util.TimeZone timeZone8 = null;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod9 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz3, date7, timeZone8);
    java.util.TimeZone timeZone10 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.Month month11 = new org.jfree.data.time.Month(date7, timeZone10);
    java.util.TimeZone timeZone12 = org.jfree.data.time.RegularTimePeriod.DEFAULT_TIME_ZONE;
    org.jfree.data.time.RegularTimePeriod regularTimePeriod13 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz2, date7, timeZone12);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod14 = org.jfree.data.time.RegularTimePeriod.createInstance(clazz0, date1, timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(regularTimePeriod14);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.jfree.data.time.SpreadsheetDate spreadsheetDate3 = new org.jfree.data.time.SpreadsheetDate(100);
    org.jfree.data.time.SpreadsheetDate spreadsheetDate5 = new org.jfree.data.time.SpreadsheetDate(100);
    boolean b7 = spreadsheetDate5.equals((java.lang.Object)"2016");
    org.jfree.data.time.SerialDate serialDate8 = spreadsheetDate3.getEndOfCurrentMonth((org.jfree.data.time.SerialDate)spreadsheetDate5);
    org.jfree.data.time.SerialDate serialDate9 = org.jfree.data.time.SerialDate.addMonths(12, (org.jfree.data.time.SerialDate)spreadsheetDate3);
    org.jfree.data.time.SerialDate serialDate11 = org.jfree.data.time.SerialDate.createInstance(8);
    org.jfree.data.time.SerialDate serialDate12 = spreadsheetDate3.getEndOfCurrentMonth(serialDate11);
    // The following exception was thrown during execution in test generation
    try {
      org.jfree.data.time.SerialDate serialDate13 = org.jfree.data.time.SerialDate.getFollowingDayOfWeek((-458), serialDate12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate12);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    java.lang.String str1 = org.jfree.data.time.SerialDate.monthCodeToString(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "January"+ "'", str1.equals("January"));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.jfree.data.time.SerialDate serialDate1 = org.jfree.data.time.SerialDate.createInstance(2);
    org.jfree.data.time.Day day2 = new org.jfree.data.time.Day(serialDate1);
    org.jfree.data.time.RegularTimePeriod regularTimePeriod3 = day2.next();
    long long4 = day2.getSerialIndex();
    long long5 = day2.getSerialIndex();
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      day2.peg(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(serialDate1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(regularTimePeriod3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 2L);

  }

}
